'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');
const slot = require('./slot-0257c52f.js');

const statisticCss = ".statistic-title{font-size:var(--xena-font-size-medium);color:var(--xena-color-gray-700);margin-bottom:var(--xena-spacing-2x-small)}.statistic-content{font-size:var(--xena-font-size-xxx-large);display:flex;flex-wrap:nowrap;white-space:nowrap;gap:var(--xena-spacing-2x-small);align-items:baseline}.statistic--success .statistic-content{color:var(--xena-color-green-700)}.statistic--danger .statistic-content{color:var(--xena-color-red-700)}.statistic-content-prefix{font-size:var(--xena-font-size-xx-large)}.statistic:not(.statistic--has-prefix) .statistic-content-prefix{display:none}.statistic-content-suffix{font-size:var(--xena-font-size-xx-large)}.statistic:not(.statistic--has-suffix) .statistic-content-suffix{display:none}";

let Statistic = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.hasPrefix = false;
    this.hasSuffix = false;
  }
  handleSlotChange() {
    this.hasPrefix = slot.hasSlot(this.host, 'prefix');
    this.hasSuffix = slot.hasSlot(this.host, 'suffix');
  }
  render() {
    return (index.h("div", { class: {
        statistic: true,
        'statistic--has-prefix': this.hasPrefix,
        'statistic--has-suffix': this.hasSuffix,
        'statistic--success': this.type === 'success',
        'statistic--danger': this.type === 'danger'
      }, part: "base" }, index.h("div", { class: "statistic-title", part: "label" }, this.label), index.h("div", { class: "statistic-content" }, index.h("div", { class: "statistic-content-prefix", part: "prefix" }, index.h("slot", { name: "prefix", onSlotchange: _ => this.handleSlotChange() })), index.h("div", { class: "statistic-content-value", part: "value" }, index.h("slot", null)), index.h("div", { class: "statistic-content-suffix", part: "suffix" }, index.h("slot", { name: "suffix", onSlotchange: _ => this.handleSlotChange() })))));
  }
  get host() { return index.getElement(this); }
};
Statistic.style = statisticCss;

exports.xena_statistic = Statistic;
