'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');
const i18n = require('./i18n-72793797.js');
require('./platform-850a3acc.js');

const stepCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:block}.step__list{display:flex;overflow:hidden;gap:var(--xena-spacing-medium)}";

let Step = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /** The active step. */
    this.step = 1;
  }
  getAllSteps() {
    const slot = this.stepList.querySelector('slot');
    return [...slot.assignedElements()].filter((el) => {
      return el.tagName.toLowerCase() === 'xena-step-item';
    });
  }
  componentDidRender() {
    const steps = this.getAllSteps();
    steps.forEach((step, index) => {
      step.active = index < this.step;
      step.header = `${i18n.i18n('STEP')} ${index + 1}`;
    });
  }
  render() {
    return (index.h("div", { class: {
        step: true
      } }, index.h("div", { class: "step__list", ref: el => (this.stepList = el) }, index.h("slot", null))));
  }
};
Step.style = stepCss;

exports.xena_step = Step;
