'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');

const tableCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{--th-position:static;--cell-padding:var(--xena-spacing-x-small)}table{border-collapse:collapse;width:100%}.hoverable{--row-hover:var(--xena-color-gray-50)}.sticky-header{--th-position:sticky}.large{--cell-padding:var(--xena-spacing-medium)}.small{--cell-padding:var(--xena-spacing-2x-small)}";

let Table = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /**
     * When hover the rows whith the mouse the row coler will change
     */
    this.hoverable = false;
    /**
     * Adjust the cell padding
     */
    this.size = 'medium';
    /**
     * When scrolling the table the table headers will stick to the top of the screen
     */
    this.stickyHeader = false;
    /**
     * Set header styling or hide the header
     */
    this.type = 'default';
    /**
     * Make first column a vertical header
     */
    this.verticalHeader = false;
  }
  connectedCallback() {
    // Listen for changes
    if ('MutationObserver' in window) {
      this.mutationObserver = new MutationObserver(() => this.updateElements());
      this.mutationObserver.observe(this.host, { attributes: false, childList: true, subtree: false });
    }
    this.updateElements();
  }
  disconnectedCallback() {
    var _a;
    (_a = this.mutationObserver) === null || _a === void 0 ? void 0 : _a.disconnect();
  }
  updateElements() {
    const columns = this.getColumns();
    // Ensure all columns are slotted correctly
    [...columns]
      .filter((el) => el.getAttribute('slot') !== 'columns')
      .forEach((el) => {
      el.setAttribute('slot', 'columns');
    });
  }
  getColumns() {
    return [...this.host.children].filter((el) => el.tagName.toLowerCase() === 'xena-column');
  }
  render() {
    return (index.h(index.Host, { class: {
        'vertical-header': this.verticalHeader,
        // Types
        'table--default': this.type === 'default',
        'table--light': this.type === 'light',
        'table--hidden': this.type === 'hidden'
      } }, index.h("div", null, index.h("table", { ref: el => (this.table = el), class: {
        hoverable: this.hoverable,
        'sticky-header': this.stickyHeader,
        large: this.size === 'large',
        medium: this.size === 'medium',
        small: this.size === 'small'
      } }, index.h("thead", null, index.h("tr", null, index.h("slot", { name: "columns" }))), index.h("tbody", null, index.h("slot", null))))));
  }
  get host() { return index.getElement(this); }
};
Table.style = tableCss;

exports.xena_table = Table;
