'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');

const tagCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:inline-block}.tag{display:flex;align-items:center;line-height:1;white-space:nowrap;user-select:none;cursor:default}.tag__clear::part(base){color:inherit;padding:0}.tag--default{background-color:var(--xena-color-gray-100);color:var(--xena-font-color)}.tag--primary{background-color:var(--xena-color-blue-100);color:var(--xena-color-blue-800)}.tag--success{background-color:var(--xena-color-green-100);color:var(--xena-color-green-800)}.tag--info{background-color:var(--xena-color-cool-100);color:var(--xena-color-cool-800)}.tag--warning{background-color:var(--xena-color-yellow-100);color:var(--xena-color-yellow-800)}.tag--danger{background-color:var(--xena-color-red-100);color:var(--xena-color-red-800)}.tag--small{font-size:var(--xena-button-font-size-small);height:calc(var(--xena-input-height-small) * 0.8);line-height:calc(var(--xena-input-height-small) - var(--xena-input-border-width) * 2);border-radius:var(--xena-input-border-radius-small);padding:0 var(--xena-spacing-x-small)}.tag--small .tag__clear{margin-left:var(--xena-spacing-2x-small);margin-right:calc(-1 * var(--xena-spacing-3x-small))}.tag--medium{font-size:var(--xena-button-font-size-medium);height:calc(var(--xena-input-height-medium) * 0.8);line-height:calc(var(--xena-input-height-medium) - var(--xena-input-border-width) * 2);border-radius:var(--xena-input-border-radius-medium);padding:0 var(--xena-spacing-small)}.tag--medium .tag__clear{margin-left:var(--xena-spacing-2x-small);margin-right:calc(-1 * var(--xena-spacing-2x-small))}.tag--large{font-size:var(--xena-button-font-size-large);height:calc(var(--xena-input-height-large) * 0.8);line-height:calc(var(--xena-input-height-large) - var(--xena-input-border-width) * 2);border-radius:var(--xena-input-border-radius-large);padding:0 var(--xena-spacing-medium)}.tag--large .tag__clear{margin-left:var(--xena-spacing-2x-small);margin-right:calc(-1 * var(--xena-spacing-x-small))}.tag--pill{border-radius:var(--xena-border-radius-pill)}";

let Tag = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.xnClear = index.createEvent(this, "xnClear", 7);
    /** The tag's type. */
    this.type = 'default';
    /** The tag's size. */
    this.size = 'medium';
    /** Set to true to draw a pill-style tag with rounded edges. */
    this.pill = false;
    /** Set to true to make the tag clearable. */
    this.clearable = false;
  }
  connectedCallback() {
    this.handleClearClick = this.handleClearClick.bind(this);
  }
  handleClearClick() {
    this.xnClear.emit();
  }
  render() {
    return (index.h("span", { ref: el => (this.tag = el), part: "base", class: {
        tag: true,
        // Types
        'tag--default': this.type === 'default',
        'tag--primary': this.type === 'primary',
        'tag--success': this.type === 'success',
        'tag--info': this.type === 'info',
        'tag--warning': this.type === 'warning',
        'tag--danger': this.type === 'danger',
        'tag--text': this.type === 'text',
        // Sizes
        'tag--small': this.size === 'small',
        'tag--medium': this.size === 'medium',
        'tag--large': this.size === 'large',
        // Modifers
        'tag--pill': this.pill,
        'tag--clearable': this.clearable
      } }, index.h("span", { part: "content", class: "tag__content" }, index.h("slot", null)), this.clearable && (index.h("xena-icon-button", { exportparts: "base:clear-button", name: "fas-times", class: "tag__clear", onClick: this.handleClearClick }))));
  }
};
Tag.style = tagCss;

exports.xena_tag = Tag;
