import { Component, Element, h } from '@stencil/core';
/**
 * @since 1.9
 * @status experimental
 *
 * @slot - Primary footer content.
 * @slot actions - Secondary footer content
 *
 */
export class CardFooter {
  render() {
    return (h("div", { class: "card-footer" },
      h("slot", null),
      h("div", { class: "actions" },
        h("slot", { name: "actions" }))));
  }
  static get is() { return "xena-card-footer"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["card-footer.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["card-footer.css"]
  }; }
  static get elementRef() { return "host"; }
}
