import { Component, Prop, h } from '@stencil/core';
/**
 * @since 1.0
 * @status stable
 *
 * @slot - The label's content.
 *
 * @part base - The base wrapper
 */
export class Label {
  constructor() {
    /** The label's type. */
    this.type = 'primary';
  }
  render() {
    return (h("span", { ref: el => (this.label = el), part: "base", class: {
        label: true,
        // Types
        'label--primary': this.type === 'primary',
        'label--success': this.type === 'success',
        'label--info': this.type === 'info',
        'label--warning': this.type === 'warning',
        'label--danger': this.type === 'danger',
        'label--default': this.type === 'default'
      }, role: "status" },
      h("slot", null)));
  }
  static get is() { return "xena-label"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["label.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["label.css"]
  }; }
  static get properties() { return {
    "type": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'primary' | 'success' | 'info' | 'warning' | 'danger' | 'default'",
        "resolved": "\"danger\" | \"default\" | \"info\" | \"primary\" | \"success\" | \"warning\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The label's type."
      },
      "attribute": "type",
      "reflect": false,
      "defaultValue": "'primary'"
    }
  }; }
}
