import { Component, h, Prop } from '@stencil/core';
/**
 * @since 1.0
 * @status stable
 *
 * @slot - The panel's content.
 * @slot extra - Optional extras to place to the right in the header, fx. icons with menus.
 *
 * @part base - The component's base wrapper.
 * @part header - The panel header.
 * @part body - The panel body.
 *
 */
export class Panel {
  render() {
    return (h("section", { class: "panel panel-default", part: "base" },
      this.header ? (h("header", { class: "panel-heading", part: "header" },
        h("span", { class: "panel-title" }, this.header))) : null,
      h("div", { class: "panel-body", part: "body" },
        h("slot", null))));
  }
  static get is() { return "xena-panel"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["panel.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["panel.css"]
  }; }
  static get properties() { return {
    "header": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The panel header"
      },
      "attribute": "header",
      "reflect": false
    }
  }; }
}
