import { Component, Prop, h } from '@stencil/core';
/**
 * @since 1.0
 * @status deprecated
 *
 * @part base - The component's base wrapper.
 * @part color - The color element.
 * @part label - The label.
 */
export class Status {
  componentDidRender() {
    this.colorEl.style.background = this.color;
  }
  render() {
    return (h("span", { part: "base", class: "status" },
      h("span", { ref: el => (this.colorEl = el), part: "color", class: "color" }),
      this.label ? (h("span", { part: "label", class: "label" }, this.color)) : null));
  }
  static get is() { return "xena-status"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["status.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["status.css"]
  }; }
  static get properties() { return {
    "color": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "The status color in hex format"
      },
      "attribute": "color",
      "reflect": false
    },
    "label": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Whether label is to be shown or not"
      },
      "attribute": "label",
      "reflect": false
    }
  }; }
}
