import { r as registerInstance, h } from './index-9032f50f.js';

const buttonGroupCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:inline-block}.button-group{display:flex;flex-wrap:nowrap;position:relative}::slotted(.xn-hover){z-index:1}::slotted(.xn-focus){z-index:2}";

let ButtonGroup = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /** A label to use for the button group's `aria-label` attribute. */
    this.label = '';
  }
  connectedCallback() {
    this.handleFocus = this.handleFocus.bind(this);
    this.handleBlur = this.handleBlur.bind(this);
  }
  componentDidLoad() {
    this.buttonGroup.addEventListener('xnFocus', this.handleFocus);
    this.buttonGroup.addEventListener('xnBlur', this.handleBlur);
  }
  disconnectedCallback() {
    this.buttonGroup.removeEventListener('xnFocus', this.handleFocus);
    this.buttonGroup.removeEventListener('xnBlur', this.handleBlur);
  }
  handleFocus(event) {
    const button = event.target;
    button.classList.add('xn-focus');
  }
  handleBlur(event) {
    const button = event.target;
    button.classList.remove('xn-focus');
  }
  render() {
    return (h("div", { ref: el => (this.buttonGroup = el), part: "base", class: "button-group", role: "group", "aria-label": this.label }, h("slot", null)));
  }
};
ButtonGroup.style = buttonGroupCss;

export { ButtonGroup as xena_button_group };
