import { r as registerInstance, h, g as getElement } from './index-9032f50f.js';
import { h as hasSlot } from './slot-0863a9cc.js';

const cardHeaderCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:contents}.card-header{display:grid;grid-template-columns:min-content 1fr min-content;align-items:center}.image{grid-row-start:span 2;grid-column-start:1;margin-right:var(--xena-spacing-small)}.image ::slotted(img){max-width:none !important}.title{grid-row-start:1;grid-column-start:2}.description{grid-row-start:2;grid-column-start:2;color:var(--xena-color-gray-700)}.actions{grid-row-start:span 2;grid-column-start:3;margin-left:var(--xena-spacing-small)}";

let CardHeader = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.hasImage = false;
  }
  handleSlotChange() {
    this.hasImage = hasSlot(this.host, 'image');
  }
  render() {
    return (h("div", { class: "card-header" }, h("div", { class: "image", hidden: !this.hasImage }, h("slot", { name: "image", onSlotchange: _ => this.handleSlotChange() })), h("div", { class: "title" }, h("slot", { name: "title" })), h("div", { class: "description" }, h("small", null, h("slot", { name: "description" }))), h("div", { class: "actions" }, h("slot", { name: "actions" }))));
  }
  get host() { return getElement(this); }
};
CardHeader.style = cardHeaderCss;

export { CardHeader as xena_card_header };
