import { r as registerInstance, h } from './index-9032f50f.js';

const tableColumnCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:contents}th{text-align:left;font-weight:var(--xena-font-weight-semibold);background-color:var(--xena-color-gray-100);padding:var(--cell-padding);vertical-align:middle;top:0;position:var(--th-position);z-index:2}.text-left{text-align:left}.text-center{text-align:center}.text-right{text-align:right}";

let TableColumn = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /**
     * Adjust the alignment of the content
     */
    this.alignment = 'left';
  }
  render() {
    return (h("th", { part: "base", class: {
        'text-left': this.alignment === 'left',
        'text-right': this.alignment === 'right',
        'text-center': this.alignment === 'center'
      }, style: {
        width: this.width
      }, colSpan: this.colspan }, h("slot", null)));
  }
};
TableColumn.style = tableColumnCss;

export { TableColumn as xena_column };
