import { r as registerInstance } from './index-9032f50f.js';
import { a as unregisterLibrary, r as registerLibrary } from './icon-library-registry-b180a47c.js';

const iconLibraryCss = ":host{display:none}";

let IconLibrary = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
  }
  handleUpdate() {
    // Subsequent registrations with the same name will invalidate existing ones
    this.register();
  }
  connectedCallback() {
    if (this.name && this.resolver) {
      this.register();
    }
  }
  disconnectedCallback() {
    unregisterLibrary(this.name);
  }
  register() {
    const { name, resolver, mutator } = this;
    registerLibrary(name, resolver, mutator);
  }
  render() {
    return null;
  }
  static get watchers() { return {
    "name": ["handleUpdate"],
    "resolver": ["handleUpdate"],
    "mutator": ["handleUpdate"]
  }; }
};
IconLibrary.style = iconLibraryCss;

export { IconLibrary as xena_icon_library };
