import { r as registerInstance, h } from './index-9032f50f.js';

const labelCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:inline-flex}.label{display:inline-flex;align-items:center;justify-content:center;font-size:var(--xena-font-size-x-small);font-weight:var(--xena-font-weight-semibold);letter-spacing:var(--xena-letter-spacing-normal);line-height:1;border-radius:var(--xena-border-radius-pill);white-space:nowrap;padding:var(--xena-spacing-2x-small) var(--xena-spacing-x-small);user-select:none;cursor:inherit}.label--primary{background-color:var(--xena-color-blue-100);color:var(--xena-color-blue-800)}.label--success{background-color:var(--xena-color-green-100);color:var(--xena-color-green-800)}.label--info{background-color:var(--xena-color-cool-100);color:var(--xena-color-cool-800)}.label--warning{background-color:var(--xena-color-yellow-100);color:var(--xena-color-yellow-800)}.label--danger{background-color:var(--xena-color-red-100);color:var(--xena-color-red-800)}.label--default{background-color:var(--xena-color-gray-100);color:var(--xena-color-gray-800)}";

let Label = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /** The label's type. */
    this.type = 'primary';
  }
  render() {
    return (h("span", { ref: el => (this.label = el), part: "base", class: {
        label: true,
        // Types
        'label--primary': this.type === 'primary',
        'label--success': this.type === 'success',
        'label--info': this.type === 'info',
        'label--warning': this.type === 'warning',
        'label--danger': this.type === 'danger',
        'label--default': this.type === 'default'
      }, role: "status" }, h("slot", null)));
  }
};
Label.style = labelCss;

export { Label as xena_label };
