import { r as registerInstance, h, g as getElement } from './index-9032f50f.js';
import { h as hasSlot } from './slot-0863a9cc.js';

const listItemCss = ".list-item{display:flex;gap:var(--xena-spacing-medium);justify-content:space-between;align-items:center;padding:var(--xena-spacing-x-small)}.list-item .suffix{display:flex;align-items:center;gap:var(--xena-spacing-small)}.list-item-content{flex-grow:1}.list-item-content ::slotted(*){margin:0 !important}slot[name=prefix],slot[name=suffix]{min-width:--xena-spacing-x-large;display:flex;justify-content:center;align-items:center;gap:var(--xena-spacing-small)}a.list-item{color:currentColor;text-decoration:none}a.list-item:hover{background-color:var(--xena-color-gray-50)}.list-item:not(.list-item--has-prefix) slot[name=prefix]{display:none}.list-item:not(.list-item--has-suffix) slot[name=suffix]{display:none}";

let ListItem = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.hasPrefix = false;
    this.hasSuffix = false;
  }
  handleSlotChange() {
    this.hasPrefix = hasSlot(this.host, 'prefix');
    this.hasSuffix = hasSlot(this.host, 'suffix');
  }
  render() {
    const isLink = this.href ? true : false;
    return isLink ? (h("a", { part: "base", class: {
        'list-item': true,
        'list-item--has-prefix': this.hasPrefix,
        'list-item--has-suffix': this.hasSuffix
      }, href: this.href }, h("slot", { name: "prefix", onSlotchange: _ => this.handleSlotChange() }), h("div", { class: "list-item-content" }, h("slot", null)), h("slot", { name: "suffix", onSlotchange: _ => this.handleSlotChange() }), h("xena-icon", { name: "fas-chevron-right" }))) : (h("div", { part: "base", class: {
        'list-item': true,
        'list-item--has-prefix': this.hasPrefix,
        'list-item--has-suffix': this.hasSuffix
      } }, h("slot", { name: "prefix", onSlotchange: _ => this.handleSlotChange() }), h("div", { class: "list-item-content" }, h("slot", null)), h("slot", { name: "suffix", onSlotchange: _ => this.handleSlotChange() })));
  }
  get host() { return getElement(this); }
};
ListItem.style = listItemCss;

export { ListItem as xena_list_item };
