import { r as registerInstance, h, g as getElement } from './index-9032f50f.js';
import { h as hasSlot } from './slot-0863a9cc.js';

const statisticCss = ".statistic-title{font-size:var(--xena-font-size-medium);color:var(--xena-color-gray-700);margin-bottom:var(--xena-spacing-2x-small)}.statistic-content{font-size:var(--xena-font-size-xxx-large);display:flex;flex-wrap:nowrap;white-space:nowrap;gap:var(--xena-spacing-2x-small);align-items:baseline}.statistic--success .statistic-content{color:var(--xena-color-green-700)}.statistic--danger .statistic-content{color:var(--xena-color-red-700)}.statistic-content-prefix{font-size:var(--xena-font-size-xx-large)}.statistic:not(.statistic--has-prefix) .statistic-content-prefix{display:none}.statistic-content-suffix{font-size:var(--xena-font-size-xx-large)}.statistic:not(.statistic--has-suffix) .statistic-content-suffix{display:none}";

let Statistic = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.hasPrefix = false;
    this.hasSuffix = false;
  }
  handleSlotChange() {
    this.hasPrefix = hasSlot(this.host, 'prefix');
    this.hasSuffix = hasSlot(this.host, 'suffix');
  }
  render() {
    return (h("div", { class: {
        statistic: true,
        'statistic--has-prefix': this.hasPrefix,
        'statistic--has-suffix': this.hasSuffix,
        'statistic--success': this.type === 'success',
        'statistic--danger': this.type === 'danger'
      }, part: "base" }, h("div", { class: "statistic-title", part: "label" }, this.label), h("div", { class: "statistic-content" }, h("div", { class: "statistic-content-prefix", part: "prefix" }, h("slot", { name: "prefix", onSlotchange: _ => this.handleSlotChange() })), h("div", { class: "statistic-content-value", part: "value" }, h("slot", null)), h("div", { class: "statistic-content-suffix", part: "suffix" }, h("slot", { name: "suffix", onSlotchange: _ => this.handleSlotChange() })))));
  }
  get host() { return getElement(this); }
};
Statistic.style = statisticCss;

export { Statistic as xena_statistic };
