import { EventEmitter } from '../../../stencil-public-runtime';
/**
 * @since 1.0
 * @status stable
 */
export declare class AutocompleteList {
  menu: HTMLXenaMenuElement;
  private hostElement;
  /**
   * The text to show when no results are in the list.
   */
  noResultText: string;
  /**
   * The entries to show in the list.
   */
  entries: any[];
  /**
   * The property name for the id of the item.
   */
  idProperty: string;
  /**
   * The property name for the label of the item shown in the list.
   */
  labelProperty: string | ((e: any) => string);
  /**
   * The property name for the label of the item shown in the list.
   */
  iconProperty: string | ((e: any) => string);
  /**
   * The optional index of the entry that is active by default.
   */
  defaultActiveIndex: number;
  /** Emitted when a menu item is selected.  */
  xnSelect: EventEmitter;
  /**
   * Retrieves the menu element.
   */
  getMenuElement(): Promise<HTMLXenaMenuElement>;
  private handleSelection;
  private resolveId;
  private resolveListLabel;
  private resolveIcon;
  componentDidRender(): void;
  render(): any;
}
