import { EventEmitter } from '../../stencil-public-runtime';
/**
 * @since 1.0
 * @status experimental
 *
 * @part base - The component's base wrapper
 */
export declare class FiscalCalendar {
  daysNamesShort: string[];
  daysNames: string[];
  monthNames: string[];
  constructor();
  year: number;
  month: number;
  /** The selected date of the calendar, given as a fiscalDate number. */
  date: number;
  /**
   * Emits the selected fiscalDate.
   */
  dateChange: EventEmitter<number>;
  /**
   * Defines the systemDate as a fiscalDate. If not set, the current date will automatically be selected.
   */
  systemDate: number;
  handleDateChange(): void;
  componentWillLoad(): void;
  setDates(fdate: number): void;
  gotoDate(fdate: number): void;
  getFirstDayOfMonth(): number;
  getDaysInMonth(): number;
  getWeekDates(firstDate: number): number[];
  getWeekdayDates(firstDate: number, rows: number): number[];
  adjustMonth(offset: number): void;
  select(fdate: number, emit?: boolean): void;
  selectWeekdayDates(firstDate: number, rows: number): void;
  selectWeekDates(fdate: number): void;
  getWeek(date: Date): number;
  render(): any;
}
