/**
 * @since 1.0
 * @status stable
 *
 * @part base - The component's base wrapper.
 */
export declare class IconButton {
  button: HTMLButtonElement;
  /** The name of the icon to draw. */
  name: string;
  /** The name of a registered custom icon library. */
  library: string;
  /** An external URL of an SVG file. */
  src: string;
  /**
   * A description that gets read by screen readers and other assistive devices. For optimal accessibility, you should
   * always include a label that describes what the icon button does.
   */
  label: string;
  /** Set to true to disable the button. */
  disabled: boolean;
  /** When set, the underlying button will be rendered as an `<a>` with this `href` instead of a `<button>`. */
  href: string;
  /** Tells the browser where to open the link. Only used when `href` is set. */
  target: '_blank' | '_parent' | '_self' | '_top';
  /** Tells the browser to download the linked file as this filename. Only used when `href` is set. */
  download: string;
  componentDidLoad(): void;
  disconnectedCallback(): void;
  render(): any;
}
