import { EventEmitter } from '../../stencil-public-runtime';
/**
 * @since 1.0
 * @status experimental
 *
 * @part base - The component's base wrapper.
 *
 */
export declare class Pagination {
  private nativeSelect?;
  /** The tooltip for button the changes paginator to the first page. */
  firstPageTooltip: string;
  /** The tooltip for button the changes paginator to the previous page. */
  previousPageTooltip: string;
  /** The tooltip for button the changes paginator to the next page. */
  nextPageTooltip: string;
  /** The tooltip for button the changes paginator to the last page. */
  lastPageTooltip: string;
  /** The total pages available. */
  totalPages: number;
  /** The current page. */
  page: number;
  /** Label added just before the page selector. */
  pageLabel: string;
  /** Label added just before the total number of pages. */
  totalPagesLabel: string;
  /** Emitted when the page changes. */
  pageChange: EventEmitter;
  validatePage(): void;
  private goToFirst;
  private goToPrevious;
  private goToNext;
  private goToLast;
  private onSelection;
  private setPage;
  private get pageList();
  render(): any;
}
