/**
 * @since 1.0
 * @status stable
 *
 * @slot - The popover body text.
 * @slot header - The popover header text.
 * @slot trigger - The element that triggeres the popup.
 *
 * @part base - The component's base wrapper.
 * @part header - The popover header.
 * @part body - The popover body.
 *
 */
export declare class Popover {
  /** Show arrow on the popover pointing to the trigger. */
  arrow: boolean;
  /** Indicates whether or not the popover is open. */
  open: boolean;
  /** The distance in pixels from which to offset the panel away from its trigger. */
  distance: number;
  render(): any;
}
