import { EventEmitter } from '../../stencil-public-runtime';
/**
 * @since 1.8
 * @status experimental
 *
 * @slot Used to set radio components inside the picker. Only xena-radio components are allowed.
 *
 * @part base - The component's base wrapper.
 */
export declare class ColorPicker {
  host: HTMLXenaRadioGroupElement;
  radioGroup: HTMLElement;
  /** Set to true to disable the component. */
  disabled: boolean;
  /**
   * The value of this component.
   */
  value: string;
  /**
   * Emits any changes to the value of the component.
   */
  valueChange: EventEmitter<string>;
  onValueChanged(): void;
  componentDidLoad(): void;
  syncItemsFromValue(): void;
  getItems(): HTMLXenaRadioElement[];
  handleCheckedChange(ev: CustomEvent): void;
  handleSlotChange(): void;
  reportDuplicateItemValues(): void;
  render(): any;
}
