# Card

[component-header:xena-card]

Consists of `xena-card`, `xena-card-header` and `xena-card-footer`.

## Examples

```html preview
<xena-card>
  <xena-card-header>
    <img slot="image" src="https://via.placeholder.com/32" alt="" />
    <b slot="title">App name</b>
    <small slot="description">Developer</small>
    <xena-dropdown slot="actions">
      <xena-icon-button slot="trigger" name="fas-ellipsis-h"></xena-icon-button>
      <xena-menu>
        <xena-menu-item>More details</xena-menu-item>
      </xena-menu>
    </xena-dropdown>
  </xena-card-header>
  Hello world
  <xena-card-footer>
    <xena-button>Install</xena-button>
    <xena-dropdown slot="actions">
      <xena-icon-button slot="trigger" name="fas-ellipsis-h"></xena-icon-button>
      <xena-menu>
        <xena-menu-item>Something else</xena-menu-item>
      </xena-menu>
    </xena-dropdown>
  </xena-card-footer>
</xena-card>
```

### As link

```html preview
<div class="grid grid-cols-3 gap-5">
  <xena-card href="#">
    <img src="https://via.placeholder.com/320x180" alt="Document preview" />
    <xena-card-header>
      <b slot="title">Document 1</b>
      <small slot="description"
        ><xena-icon name="fas-comment"></xena-icon> 2 comments &bull; Uploaded 2 hours ago</small
      >
    </xena-card-header>
  </xena-card>
  <xena-card href="#">
    <img src="https://via.placeholder.com/320x180" alt="Document preview" />
    <xena-card-header>
      <b slot="title">Document 2</b>
      <small slot="description"><xena-icon name="fas-comment"></xena-icon> 0 comments &bull; Uploaded 2 days ago</small>
    </xena-card-header>
  </xena-card>
  <xena-card href="#">
    <img src="https://via.placeholder.com/320x180" alt="Document preview" />
    <xena-card-header>
      <b slot="title">Document 3</b>
      <small slot="description"><xena-icon name="fas-comment"></xena-icon> 1 comment &bull; Uploaded 2022-05-15</small>
    </xena-card-header>
  </xena-card>
</div>
```

## Styles

```html preview
<div class="grid gap-5">
  <xena-card appearance="filled">
    <p class="m-0"><b>Default filled</b> card with background and shadow</p>
  </xena-card>

  <xena-card appearance="outline">
    <p class="m-0"><b>Outline</b> card with border but no shadow or background</p>
  </xena-card>

  <xena-card appearance="subtle">
    <p class="m-0"><b>Subtle</b> card with no border, shadow or background</p>
  </xena-card>
</div>
```

[component-metadata:xena-card]
