# Color Picker

[component-header:xena-color-picker]

The Color Chooser is an intuitive way to choose a desired color.

```html preview
<xena-color-picker value="#517770"></xena-color-picker>
```

## Add swatches

Add custom `swatches` to include predefined colors in the Color Chooser. Swatches must be written as hex values with `#` as prefix like this: `#517770`. Swatches are separated by a `;` as in the code example below.

```html preview
<xena-color-picker
  value="#517770"
  swatches="
    #0E74E1; #FBC218; #DA2F40; #FB7D1D; #68B921; 
    #788D9F; #585858; #86878A; #000000; #FFFFFF;
    "
>
</xena-color-picker>
```

## Types

### Default

The default type is set without using the type attribute. All functionality is present but the swatches are included if no swatches are added.

```html preview
<xena-color-picker
  type="default"
  value="#517770"
  swatches="
    #0E74E1; #FBC218; #DA2F40; #FB7D1D; #68B921; 
    #788D9F; #585858; #86878A; #000000; #FFFFFF;
    "
>
</xena-color-picker>
```

### Expandable

Add attribute `type="expandable"` to hide the custom color palette option but still making it possible to access it by unfolding.

```html preview
<xena-color-picker
  type="expandable"
  value="#517770"
  swatches="
    #0E74E1; #FBC218; #DA2F40; #FB7D1D; #68B921; 
    #788D9F; #585858; #86878A; #000000; #FFFFFF;
    "
>
</xena-color-picker>
```

### Swatches only

Add attribute `type="swatches"` to hide the custom color palette option. Remember to add at least one swatch.

```html preview
<xena-color-picker
  type="swatches"
  value="#517770"
  swatches="
    #0E74E1; #FBC218; #DA2F40; #FB7D1D; #68B921; 
    #788D9F; #585858; #86878A; #000000; #FFFFFF;
    "
>
</xena-color-picker>
```

[component-metadata:xena-color-picker]
