# Color

[component-header:xena-color]

Color components allows for showing a specific color to the user.

```html preview
<xena-color value="blue"></xena-color>
<xena-color value="red"></xena-color>
<xena-color value="white"></xena-color>
<xena-color value="yellow"></xena-color>
<xena-color value="green"></xena-color>
```

## Examples

### Selectable

Use the `selectable` attribute to make the component selectable.

```html preview
<xena-color value="blue" selectable></xena-color>
<xena-color value="red" selectable></xena-color>
<xena-color value="white" selectable></xena-color>
<xena-color value="yellow" selectable></xena-color>
<xena-color value="green" selectable></xena-color>
```

### Checked

Use the `checked` attribute to mark the component checked.

```html preview
<xena-color value="blue"></xena-color>
<xena-color value="red" checked></xena-color>
<xena-color value="white"></xena-color>
<xena-color value="yellow" checked></xena-color>
<xena-color value="green"></xena-color>
```

### Disabled

Use the `disabled` attribute to disable the component.

```html preview
<xena-color value="blue" disabled></xena-color>
<xena-color value="red" disabled></xena-color>
<xena-color value="white" disabled></xena-color>
<xena-color value="yellow" disabled></xena-color>
<xena-color value="green" disabled></xena-color>
```

### Custom color

Use any custom color supported by the browser.

```html preview
<xena-color value="#FF0000"></xena-color>
<xena-color value="#00FF00"></xena-color>
<xena-color value="#0000FF"></xena-color>
<xena-color value="#FFFF00"></xena-color>
<xena-color value="#00FFFF"></xena-color>
```

[component-metadata:xena-color]
