# List item

[component-header:xena-list-item]

This is an item for [list](components/list.md).

## Examples

### Basic

```html preview
<xena-list>
  <xena-list-item>
    <p>Department #1</p>
  </xena-list-item>
</xena-list>
```

### Two lines

```html preview
<xena-list>
  <xena-list-item>
    <h4>Inventory settings</h4>
    <p>3 warehouses</p>
  </xena-list-item>
</xena-list>
```

### Prefix

```html preview
<xena-list>
  <xena-list-item>
    <xena-avatar slot="prefix" initials="JD"></xena-avatar>
    <h4>John Doe</h4>
    <p>Administrator</p>
  </xena-list-item>
</xena-list>
```

### Suffix

```html preview
<xena-list>
  <xena-list-item>
    <xena-avatar slot="prefix" initials="JD"></xena-avatar>
    <h4>Jane Doe</h4>
    <p>Bookkeeper</p>
    <xena-label slot="suffix" type="info">Invited</xena-label>
  </xena-list-item>
</xena-list>
```

```html preview
<xena-list>
  <xena-list-item>
    <xena-avatar slot="prefix" initials="Xe" shape="square"></xena-avatar>
    <h4>Xena Design Company</h4>
    <p>Administrator</p>
    <xena-label slot="suffix" type="warning">Expirering soon</xena-label>
    <xena-icon slot="suffix" name="fas-exclamation-triangle"></xena-icon>
  </xena-list-item>
</xena-list>
```

You can put different actions into to the suffix slot.

```html preview
<xena-list>
  <xena-list-item>
    <h4>Icon button</h4>
    <xena-icon-button slot="suffix" name="fas-trash"></xena-icon-button>
  </xena-list-item>

  <xena-list-item>
    <xena-icon slot="prefix" name="fas-file"></xena-icon>
    <h4>Checkbox</h4>
    <xena-checkbox slot="suffix"></xena-checkbox>
  </xena-list-item>

  <xena-list-item>
    <xena-icon slot="prefix" name="fas-cog"></xena-icon>
    <h4>Switch</h4>
    <xena-switch slot="suffix"></xena-switch>
  </xena-list-item>

  <xena-list-item>
    <xena-icon slot="prefix" name="fas-file"></xena-icon>
    <h4>Dropdown</h4>
    <xena-dropdown slot="suffix">
      <xena-icon-button slot="trigger" name="fas-ellipsis-h"></xena-icon-button>
      <xena-menu>
        <xena-menu-item>Edit</xena-menu-item>
        <xena-menu-item>Copy</xena-menu-item>
        <xena-menu-item>Delete</xena-menu-item>
      </xena-menu>
    </xena-dropdown>
  </xena-list-item>
</xena-list>
```

## Options

### Link

A list item is considered "clickable" if it has a `href`. A chenvron icon will automatically be applied.

```html preview
<xena-list>
  <xena-list-item href="#">
    <h4>Voucher no. 323987</h4>
    <p>03-09-2021</p>
    <xena-label slot="suffix" type="primary">Awaiting approval</xena-label>
  </xena-list-item>
</xena-list>
```

[component-metadata:xena-list-item]
