# Panel

[component-header:xena-page-size]

A component for selecting the size of a paged view.

```html preview
<xena-page-size sizes="[10,20,50,100]"></xena-page-size>
```

### Listening to event

The component emits a sizeChange event whenever the size changes.

```html preview
<xena-page-size id="p-1" sizes="[10,50,100]"></xena-page-size>
<script>
  const p = document.querySelector('#p-1');

  p.addEventListener('sizeChange', event => {
    const selectedSize = event.detail;
    console.log('select size: ', selectedSize);
  });
</script>
```

[component-metadata:xena-page-size]
