# Panel

[component-header:xena-pagination]

Pagination is a component that lets the user select among pages for a data result.

The component offers the user the ability to go first, last, previous or next page. It also allows the user to select a specific page from a dropdown.

```html preview
<xena-pagination total-pages="10"></xena-pagination>
```

### Listening to event

The component emits a pageChange event whenever the page changes.

```html preview
<xena-pagination id="p-1" total-pages="10"></xena-pagination>
<script>
  const p = document.querySelector('#p-1');

  p.addEventListener('pageChange', event => {
    const selectedPage = event.detail;
    console.log('select page: ', selectedPage);
  });
</script>
```

[component-metadata:xena-pagination]
