# Radio Group

[component-header:xena-radio-group]

The Radio Group allows the user to select defined radio buttons.

Use [Radio](/components/radio)-component inside the radio group.

Here is an example of a simple radio group.

```html preview
<xena-radio-group>
  <xena-radio value="blue">Blue</xena-radio>
  <xena-radio value="red">Red</xena-radio>
  <xena-radio value="white">White</xena-radio>
  <xena-radio value="yellow">Yellow</xena-radio>
  <xena-radio value="green">Green</xena-radio>
</xena-radio-group>
```

## Examples

### Checked

Use the `checked` attribute on a color component to mark the radio checked.

```html preview
<xena-radio-group>
  <xena-radio value="blue">Blue</xena-radio>
  <xena-radio value="red">Red</xena-radio>
  <xena-radio value="white" checked>White</xena-radio>
  <xena-radio value="yellow">Yellow</xena-radio>
  <xena-radio value="green">Green</xena-radio>
</xena-radio-group>
```

### Disabled

Use the `disabled` attribute on a radio component to disable the radio.

```html preview
<xena-radio-group>
  <xena-radio value="blue">Blue</xena-radio>
  <xena-radio value="red" disabled>Red</xena-radio>
  <xena-radio value="white">White</xena-radio>
  <xena-radio value="yellow" disabled>Yellow</xena-radio>
  <xena-radio value="green">Green</xena-radio>
</xena-radio-group>
```

[component-metadata:xena-radio-group]
