# Spinner

[component-header:xena-spinner]

Spinners are used to show the progress of an indeterminate operation. There are two "modes" for the spinner: a circle or squares inspired by the logo.

```html preview
<div class="grid grid-cols-2" style="text-align: center;">
  <xena-spinner></xena-spinner>
  <xena-spinner mode="squares"></xena-spinner>
</div>
```

## Examples

### Size

Spinners are sized relative to the current font size. To change their size, set the `font-size` property on the spinner itself or on a parent element as shown below.

```html preview
<div class="grid grid-cols-6" style="text-align: center;">
  <xena-spinner></xena-spinner>
  <xena-spinner style="font-size: 2rem;"></xena-spinner>
  <xena-spinner style="font-size: 3rem;"></xena-spinner>
  <xena-spinner mode="squares"></xena-spinner>
  <xena-spinner mode="squares" style="font-size: 2rem;"></xena-spinner>
  <xena-spinner mode="squares" style="font-size: 3rem;"></xena-spinner>
</div>
```

### Label

You can put in a label next to the spinner.

```html preview
<div class="grid grid-cols-2" style="text-align: center;">
  <xena-spinner label="Loading"></xena-spinner>
  <xena-spinner mode="squares" style="font-size: 2rem;" label="Getting ready"></xena-spinner>
</div>
```

### Stroke Width

The width of the spinner can be changed by setting the `--stroke-width` custom property.

```html preview
<xena-spinner style="font-size: 2rem; --stroke-width: 6px;"></xena-spinner>
```

### Color

The spinner's colors can be changed by setting the `--indicator-color` and `--track-color` custom properties.

```html preview
<div class="grid grid-cols-2" style="text-align: center;">
  <xena-spinner style="font-size: 2rem; --indicator-color: tomato;"></xena-spinner>
  <xena-spinner mode="squares" style="font-size: 2rem; --indicator-color: #c01818;"></xena-spinner>
</div>
```

[component-metadata:xena-spinner]
