# Switch

[component-header:xena-switch]

Switches allow the user to toggle an option on or off.

```html preview
<xena-switch>Switch</xena-switch>
```

?> **Usage:** Switches are for immediate responses, fx settings and toggling additional stuff. Don't use switches if the user must click a submit button to apply the setting or it's a group of related choises; use [checkboxes](components/checkbox) instead. Avoid using switches and checkboxes in the same form/context.

## Examples

### Checked

Use the `checked` attribute to activate the switch.

```html preview
<xena-switch checked>Checked</xena-switch>
```

### Disabled

Use the `disabled` attribute to disable the switch.

```html preview
<xena-switch disabled>Disabled</xena-switch>
```

### Custom Size

Use the available custom properties to make the switch a different size.

```html preview
<xena-switch style="--width: 80px; --height: 32px; --thumb-size: 26px;"></xena-switch>
```

[component-metadata:xena-switch]
