# Table Cell

[component-header:xena-cell]

The `cell` component, is part of our [`table`](/components/table.md)-component and is not to be used outside of this.

```html preview
<xena-table>
  <xena-column>Column 1</xena-column>
  <xena-column>Column 2</xena-column>
  <xena-column>Column 3</xena-column>
  <xena-row>
    <xena-cell>(0) Data 1</xena-cell>
    <xena-cell>(0) Data 2</xena-cell>
    <xena-cell>(0) Data 3</xena-cell>
  </xena-row>
  <xena-row>
    <xena-cell>(1) Data 1</xena-cell>
    <xena-cell>(1) Data 2</xena-cell>
    <xena-cell>(1) Data 3</xena-cell>
  </xena-row>
  <xena-row>
    <xena-cell>(2) Data 1</xena-cell>
    <xena-cell>(2) Data 2</xena-cell>
    <xena-cell>(2) Data 3</xena-cell>
  </xena-row>
</xena-table>
```

## Examples

## Alignment

The `alignment` property enables you to choose the alignment of the content within the cell.

You have three options; `left`, `center` and `right`.

```html preview
<xena-table>
  <xena-column alignment="left">Column 1</xena-column>
  <xena-column alignment="center">Column 2</xena-column>
  <xena-column alignment="right">Column 3</xena-column>
  <xena-row>
    <xena-cell alignment="left">Left</xena-cell>
    <xena-cell alignment="center">Center</xena-cell>
    <xena-cell alignment="right">Right</xena-cell>
  </xena-row>
</xena-table>
```

## Colspan

The `colspan` property mimics the native `colspan` attribute from the `td` element.

```html preview
<xena-table>
  <xena-column>Column 1</xena-column>
  <xena-column>Column 2</xena-column>
  <xena-column>Column 3</xena-column>
  <xena-row>
    <xena-cell colspan="2">(0) Data 1 and (0) Data 2</xena-cell>
    <xena-cell>(0) Data 3</xena-cell>
  </xena-row>
  <xena-row>
    <xena-cell>(1) Data 1</xena-cell>
    <xena-cell>(1) Data 2</xena-cell>
    <xena-cell>(1) Data 3</xena-cell>
  </xena-row>
  <xena-row>
    <xena-cell colspan="3" alignment="center">(2) Data 1, (2) Data 2 and (2) Data 3</xena-cell>
  </xena-row>
</xena-table>
</xena-table>
```

[component-metadata:xena-cell]
