# Table Column

[component-header:xena-column]

The `column` component, is part of our [`table`](/components/table.md)-component and is not to be used outside of this.

All `xena-column` elements in the root of `xena-table` will automatically be assigned to the slot "columns".

```html preview
<xena-table>
  <xena-column>Column 1</xena-column>
  <xena-column>Column 2</xena-column>
  <xena-column>Column 3</xena-column>
  <xena-row>
    <xena-cell>(0) Data 1</xena-cell>
    <xena-cell>(0) Data 2</xena-cell>
    <xena-cell>(0) Data 3</xena-cell>
  </xena-row>
  <xena-row>
    <xena-cell>(1) Data 1</xena-cell>
    <xena-cell>(1) Data 2</xena-cell>
    <xena-cell>(1) Data 3</xena-cell>
  </xena-row>
  <xena-row>
    <xena-cell>(2) Data 1</xena-cell>
    <xena-cell>(2) Data 2</xena-cell>
    <xena-cell>(2) Data 3</xena-cell>
  </xena-row>
</xena-table>
```

## Examples

### Alignment

The `alignment` property enables you to choose the alignment of the content within the column.

You have three options; `left`, `center` and `right`.

```html preview
<xena-table>
  <xena-column alignment="left">Left</xena-column>
  <xena-column alignment="center">Center</xena-column>
  <xena-column alignment="right">Right</xena-column>
</xena-table>
```

### Colspan

The `colspan` property mimics the native `colspan` attribute from the `th` element.

```html preview
<xena-table>
  <xena-column alignment="left">Left</xena-column>
  <xena-column colspan="2" alignment="center">Center</xena-column>
  <xena-row>
    <xena-cell>(0) Data 1</xena-cell>
    <xena-cell>(0) Data 2</xena-cell>
    <xena-cell>(0) Data 3</xena-cell>
  </xena-row>
</xena-table>
```

### Width

The `width` property enables you to choose the width of the content within the column.

This means that you can use both percentage and pixels.

```html preview
<xena-table>
  <xena-column width="50%">Column 1</xena-column>
  <xena-column width="100px">Column 2</xena-column>
  <xena-column>Column 3</xena-column>
</xena-table>
```

[component-metadata:xena-column]
