# Tag

[component-header:xena-tag]

Tags are used as labels to organize things or to indicate a selection.

```html preview
<xena-tag type="default">Default</xena-tag>
<xena-tag type="primary">Primary</xena-tag>
<xena-tag type="success">Success</xena-tag>
<xena-tag type="info">Info</xena-tag>
<xena-tag type="warning">Warning</xena-tag>
<xena-tag type="danger">Danger</xena-tag>
```

## Examples

### Sizes

Use the `size` prop to change a tab's size.

```html preview
<xena-tag size="small">Small</xena-tag>
<xena-tag size="medium">Medium</xena-tag>
<xena-tag size="large">Large</xena-tag>
```

### Pill

Use the `pill` prop to give tabs rounded edges.

```html preview
<xena-tag size="small" pill>Small</xena-tag>
<xena-tag size="medium" pill>Medium</xena-tag>
<xena-tag size="large" pill>Large</xena-tag>
```

### Clearable

Use the `clearable` attribute to add a clear button to the tag.

```html preview
<div class="tags-clearable">
  <xena-tag size="small" clearable>Small</xena-tag>
  <xena-tag size="medium" clearable>Medium</xena-tag>
  <xena-tag size="large" clearable>Large</xena-tag>
</div>

<script>
  const div = document.querySelector('.tags-clearable');

  div.addEventListener('xena-clear', event => {
    const tag = event.target;
    tag.style.opacity = '0';
    setTimeout(() => (tag.style.opacity = '1'), 2000);
  });
</script>

<style>
  .tags-clearable xena-tag {
    transition: var(--xena-transition-medium) opacity;
  }
</style>
```

[component-metadata:xena-tag]
