# Textarea

[component-header:xena-textarea]

Textareas collect data from the user and allow multiple lines of text.

```html preview
<xena-textarea></xena-textarea>
```

## Examples

### Rows

Use the `rows` attribute to change the number of text rows that get shown.

```html preview
<xena-textarea rows="2"></xena-textarea>
```

### Placeholders

Use the `placeholder` attribute to add a placeholder.

```html preview
<xena-textarea placeholder="Type something"></xena-textarea>
```

### Disabled

Use the `disabled` attribute to disable an input.

```html preview
<xena-textarea placeholder="Textarea" disabled></xena-textarea>
```

### Sizes

Use the `size` attribute to change a textarea's size.

```html preview
<xena-textarea placeholder="Small" size="small"></xena-textarea>
<br />
<xena-textarea placeholder="Medium" size="medium"></xena-textarea>
<br />
<xena-textarea placeholder="Large" size="large"></xena-textarea>
```

### Tools

Use the `tools`-slot to insert a single tool or a set of tools. The slot places itself in the top right position of the textarea-component. It will respect the visibility of the scrollbar.

```html preview
<xena-textarea size="small" class="mb-4">
  <xena-icon slot="tools" name="fas-bolt"></xena-icon>
</xena-textarea>

<xena-textarea size="medium" class="mb-4">
  <xena-icon slot="tools" name="fas-bolt"></xena-icon>
</xena-textarea>

<xena-textarea size="large" class="mb-4">
  <xena-icon slot="tools" name="fas-bolt"></xena-icon>
</xena-textarea>
```

### Labels

Use the `label` attribute to give the textarea an accessible label. For labels that contain HTML, use the `label` slot instead.

```html preview
<xena-textarea label="Comments"></xena-textarea>
```

### Help Text

Add descriptive help text to a textarea with the `help-text` attribute. For help texts that contain HTML, use the `help-text` slot instead.

```html preview
<xena-textarea label="Feedback" help-text="Please tell us what you think."> </xena-textarea>
```

### Prevent Resizing

By default, textareas can be resized vertically by the user. To prevent resizing, set the `resize` attribute to `none`.

```html preview
<xena-textarea resize="none"></xena-textarea>
```

### Expand with Content

Textareas will automatically resize to expand to fit their content when `resize` is set to `auto`.

```html preview
<xena-textarea resize="auto"></xena-textarea>
```

[component-metadata:xena-textarea]
