# Timeline item

[component-header:xena-timeline-item]

This is an item for [timeline](components/timeline.md).

## Examples

```html preview
<xena-timeline>
  <xena-timeline-item>
    <xena-tooltip slot="icon" content="Note"><xena-icon name="far-sticky-note"></xena-icon></xena-tooltip>
    <div slot="author">Donald Duck added a note</div>
    This is a description of the timeline event, or a snippet from the body text belonging to the timeline event.
    <div slot="timestamp">Yesterday</div>
    <xena-dropdown slot="actions" placement="bottom-end">
      <xena-icon-button slot="trigger" name="fas-ellipsis-h"></xena-icon-button>
      <xena-menu>
        <xena-menu-item>View details</xena-menu-item>
        <xena-menu-item>Delete note</xena-menu-item>
      </xena-menu>
    </xena-dropdown>
  </xena-timeline-item>
  <xena-timeline-item has-attachments>
    <xena-tooltip slot="icon" content="Email"><xena-icon name="far-envelope"></xena-icon></xena-tooltip>
    <div slot="author">Donald Duck emailed "Accounting"</div>
    <xena-tooltip slot="status" content="Sent"><xena-icon name="fas-check"></xena-icon></xena-tooltip>
    <div slot="timestamp">2021/11/11, 12:11</div>
    <span slot="header">Invoice no. 398762</span>
    This is a description of the timeline event, or a snippet from the body text belonging to the timeline event.
    <xena-dropdown slot="actions" placement="bottom-end">
      <xena-icon-button slot="trigger" name="fas-ellipsis-h"></xena-icon-button>
      <xena-menu>
        <xena-menu-item>View details</xena-menu-item>
      </xena-menu>
    </xena-dropdown>
  </xena-timeline-item>
  <xena-timeline-item>
    <xena-tooltip slot="icon" content="SMS"><xena-icon name="far-comment-alt"></xena-icon></xena-tooltip>
    <div slot="author">Donald Duck texted "CEO"</div>
    <xena-tooltip slot="status" content="Not delivered"
      ><xena-icon name="fas-exclamation-triangle" class="text-danger"></xena-icon
    ></xena-tooltip>
    <div slot="timestamp">2021/11/11, 12:09</div>
    <q>Hi Walt, Just wanted to confirm our meeting tomorrow at 09:00. Best regards, your plumber</q>
    <xena-dropdown slot="actions" placement="bottom-end">
      <xena-icon-button slot="trigger" name="fas-ellipsis-h"></xena-icon-button>
      <xena-menu>
        <xena-menu-item>View details</xena-menu-item>
      </xena-menu>
    </xena-dropdown>
  </xena-timeline-item>
  <xena-timeline-item>
    <xena-tooltip slot="icon" content="Event"><xena-icon name="far-calendar"></xena-icon></xena-tooltip>
    <div slot="author">Donald Duck</div>
    <div slot="timestamp">2021/11/01, 19:21</div>
    Contact created
  </xena-timeline-item>
</xena-timeline>
```

[component-metadata:xena-timeline-item]
