# Timeline

[component-header:xena-timeline]

This is the container for [timeline items](components/timeline-item.md).

## Examples

```html preview
<xena-timeline>
  <xena-timeline-item has-attachments>
    <xena-tooltip slot="icon" content="Email"><xena-icon name="far-envelope"></xena-icon></xena-tooltip>
    <div slot="timestamp">2021/11/11, 12:11</div>
    <div slot="author">Donald Duck emailed "Accounting"</div>
    <xena-tooltip slot="status" content="Sent"><xena-icon name="fas-check"></xena-icon></xena-tooltip>
    <span slot="header">Invoice no. 398762</span>
    This is a description of the timeline event, or a snippet from the body text belonging to the timeline event.
    <xena-dropdown slot="actions" placement="bottom-end">
      <xena-icon-button slot="trigger" name="fas-ellipsis-h"></xena-icon-button>
      <xena-menu>
        <xena-menu-item>View details</xena-menu-item>
      </xena-menu>
    </xena-dropdown>
  </xena-timeline-item>
</xena-timeline>
```

You can easily reverse the order of timeline event by setting `show-reverse`.

```html preview
<xena-timeline show-reverse>
  <xena-timeline-item> Item 1 </xena-timeline-item>
  <xena-timeline-item> Item 2 </xena-timeline-item>
</xena-timeline>
```

[component-metadata:xena-timeline]
