'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');
const slot = require('./slot-0257c52f.js');

const cardHeaderCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:contents}.card-header{display:grid;grid-template-columns:min-content 1fr min-content;align-items:center}.image{grid-row-start:span 2;grid-column-start:1;margin-right:var(--xena-spacing-small)}.image ::slotted(img){max-width:none !important}.title{grid-row-start:1;grid-column-start:2}.description{grid-row-start:2;grid-column-start:2;color:var(--xena-color-gray-700)}.actions{grid-row-start:span 2;grid-column-start:3;margin-left:var(--xena-spacing-small)}";

let CardHeader = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.hasImage = false;
  }
  handleSlotChange() {
    this.hasImage = slot.hasSlot(this.host, 'image');
  }
  render() {
    return (index.h("div", { class: "card-header" }, index.h("div", { class: "image", hidden: !this.hasImage }, index.h("slot", { name: "image", onSlotchange: _ => this.handleSlotChange() })), index.h("div", { class: "title" }, index.h("slot", { name: "title" })), index.h("div", { class: "description" }, index.h("small", null, index.h("slot", { name: "description" }))), index.h("div", { class: "actions" }, index.h("slot", { name: "actions" }))));
  }
  get host() { return index.getElement(this); }
};
CardHeader.style = cardHeaderCss;

exports.xena_card_header = CardHeader;
