'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');
const slot = require('./slot-0257c52f.js');

const emptyCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}.empty{padding:var(--xena-spacing-medium) var(--xena-spacing-large);margin:0 auto;display:flex;flex-direction:column;width:fit-content;align-items:center}.empty-illustration{font-size:var(--xena-font-size-xxxx-large);color:var(--xena-color-cool-300)}.empty-text{color:var(--xena-color-gray-700);text-align:center}.empty h3{font-weight:var(--xena-font-weight-normal);font-size:var(--xena-font-size-xx-large);color:var(--xena-color-black);margin:0 0 var(--xena-spacing-2x-small) 0}.empty slot[name=actions],.empty slot[name=secondary-actions]{margin-top:var(--xena-spacing-small);display:flex;gap:var(--xena-spacing-small)}.empty:not(.empty--has-actions) slot[name=actions]{display:none}.empty:not(.empty--has-secondary-actions) slot[name=secondary-actions]{display:none}";

let Empty = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.hasActions = false;
    this.hasSecondaryActions = false;
  }
  handleSlotChange() {
    this.hasActions = slot.hasSlot(this.host, 'actions');
    this.hasSecondaryActions = slot.hasSlot(this.host, 'secondary-actions');
  }
  render() {
    return (index.h("div", { class: {
        empty: true,
        'empty--has-actions': this.hasActions,
        'empty--has-secondary-actions': this.hasSecondaryActions
      }, part: "base" }, index.h("div", { class: "empty-illustration", part: "illustration" }, index.h("slot", { name: "icon" }, index.h("xena-icon", { name: "fas-inbox" }))), index.h("div", { class: "empty-text", part: "text" }, this.header ? (index.h("h3", { class: "empty-headline", part: "header" }, this.header)) : null, index.h("slot", null, "No data")), index.h("slot", { name: "actions", onSlotchange: _ => this.handleSlotChange() }), index.h("slot", { name: "secondary-actions", onSlotchange: _ => this.handleSlotChange() })));
  }
  get host() { return index.getElement(this); }
};
Empty.style = emptyCss;

exports.xena_empty = Empty;
