'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');
const iconLibraryRegistry = require('./icon-library-registry-72cc3e12.js');

const iconLibraryCss = ":host{display:none}";

let IconLibrary = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
  }
  handleUpdate() {
    // Subsequent registrations with the same name will invalidate existing ones
    this.register();
  }
  connectedCallback() {
    if (this.name && this.resolver) {
      this.register();
    }
  }
  disconnectedCallback() {
    iconLibraryRegistry.unregisterLibrary(this.name);
  }
  register() {
    const { name, resolver, mutator } = this;
    iconLibraryRegistry.registerLibrary(name, resolver, mutator);
  }
  render() {
    return null;
  }
  static get watchers() { return {
    "name": ["handleUpdate"],
    "resolver": ["handleUpdate"],
    "mutator": ["handleUpdate"]
  }; }
};
IconLibrary.style = iconLibraryCss;

exports.xena_icon_library = IconLibrary;
