'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');
const elements = require('./elements-dc4868e8.js');
const formControl = require('./form-control-97c8789e.js');
const slot = require('./slot-0257c52f.js');

const inputCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}.form-control .form-control__label{display:none}.form-control .form-control__help-text{display:none}.form-control--has-label .form-control__label{display:inline-block;color:var(--xena-input-label-color);margin-bottom:var(--xena-spacing-2x-small)}.form-control--has-label .form-control__label .form-control__label-required{padding-left:var(--xena-spacing-2x-small)}.form-control--has-label.form-control--small .form-control__label{font-size:var(--xena-input-label-font-size-small)}.form-control--has-label.form-control--medium .form-control__label{font-size:var(--xena-input-label-font-size-medium)}.form-control--has-label.form-control--large .form-control_label{font-size:var(--xena-input-label-font-size-large)}.form-control--has-help-text .form-control__help-text{display:block;color:var(--xena-input-help-text-color);margin-top:var(--xena-spacing-3x-small)}.form-control--has-help-text.form-control--small .form-control__help-text{font-size:var(--xena-input-help-text-font-size-small)}.form-control--has-help-text.form-control--medium .form-control__help-text{font-size:var(--xena-input-help-text-font-size-medium)}.form-control--has-help-text.form-control--large .form-control__help-text{font-size:var(--xena-input-help-text-font-size-large)}.form-control--has-error-text .form-control__help-text{display:none}.form-control--has-error-text .form-control__input>.input[part=base],.form-control--has-error-text .form-control__input>.select *[part=select-box]{border-color:var(--xena-input-error-text-color)}.form-control--has-error-text .form-control__error-text{display:block;color:var(--xena-input-error-text-color);margin-top:var(--xena-spacing-3x-small)}.form-control--has-error-text.form-control--small .form-control__error-text{font-size:var(--xena-input-error-text-font-size-small)}.form-control--has-error-text.form-control--medium .form-control__error-text{font-size:var(--xena-input-error-text-font-size-medium)}.form-control--has-error-text.form-control--large .form-control__error-text{font-size:var(--xena-input-error-text-font-size-large)}:host{display:inline-block;width:100%}.input{display:flex;flex:0 0 auto;padding:0 12px;background-color:var(--xena-input-background-color);background-image:none;color:var(--xena-input-color);font-family:var(--xena-input-font-family);border-width:var(--xena-input-border-width);border-color:var(--xena-input-border-color);border-style:solid;outline:solid 0 var(--xena-focus-ring-color-blue);transition:border-color var(--xena-transition-fast) ease-in-out, outline var(--xena-transition-x-fast) ease-in-out;box-sizing:border-box}.input.input--focused{background-color:var(--xena-input-background-color-focus);border-color:var(--xena-input-border-color-focus);outline-width:var(--xena-focus-ring-width)}.input.input--disabled{background-color:var(--xena-input-background-color-disabled);border-color:var(--xena-input-border-color-disabled);color:var(--xena-input-color-disabled);opacity:0.9;cursor:not-allowed;outline:none}.input.input--large{height:var(--xena-input-height-large);border-radius:var(--xena-input-border-radius-large);font-size:var(--xena-font-size-large);padding:0 var(--xena-spacing-small)}.input.input--large ::slotted([slot=prefix]){padding-right:var(--xena-spacing-x-small)}.input.input--large ::slotted([slot=suffix]){padding-left:var(--xena-spacing-x-small)}.input.input--medium{height:var(--xena-input-height-medium);border-radius:var(--xena-input-border-radius-medium);font-size:var(--xena-font-size-medium);padding:0 var(--xena-spacing-small)}.input.input--medium ::slotted([slot=prefix]){padding-right:var(--xena-spacing-x-small)}.input.input--medium ::slotted([slot=suffix]){padding-left:var(--xena-spacing-x-small)}.input.input--small{height:var(--xena-input-height-small);border-radius:var(--xena-input-border-radius-small);font-size:var(--xena-font-size-medium);padding:0 var(--xena-spacing-x-small)}.input.input--small ::slotted([slot=prefix]){padding-right:var(--xena-spacing-2x-small)}.input.input--small ::slotted([slot=suffix]){padding-left:var(--xena-spacing-2x-small)}.input.input--round{border-radius:var(--xena-border-radius-x-large)}.input.input--edged{border-radius:0px}.text-right input{text-align:right}input{display:flex;flex:1 1 auto;font-family:inherit;font-size:inherit;font-weight:inherit;min-width:0;width:100%;height:100%;color:inherit;border:none;background:none;box-shadow:none;padding:0;margin:0;cursor:inherit;-webkit-appearance:none}input:focus{outline:none}.input__prefix,.input__suffix{display:flex;flex:0 0 auto;align-items:center;color:var(--xena-input-icon-color)}";

let Input = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.xnInput = index.createEvent(this, "xnInput", 7);
    this.valueChange = index.createEvent(this, "valueChange", 7);
    this.xnBlur = index.createEvent(this, "xnBlur", 7);
    this.xnFocus = index.createEvent(this, "xnFocus", 7);
    this.xnStyle = index.createEvent(this, "xnStyle", 7);
    this.inputId = `xena-input-${inputIds++}`;
    this.labelId = `input-label-${inputIds}`;
    this.helpTextId = `input-help-text-${inputIds}`;
    this.errorTextId = `input-error-text-${inputIds}`;
    this.didBlurAfterEdit = false;
    this.inheritedAttributes = {};
    this.lastEmittedValue = null;
    this.hasFocus = false;
    this.hasHelpTextSlot = false;
    this.hasErrorTextSlot = false;
    this.hasLabelSlot = false;
    this.hasPrefixSlot = false;
    this.hasSuffixSlot = false;
    /**
     * Indicates whether and how the text value should be automatically capitalized as it is entered/edited by the user.
     */
    this.autocapitalize = 'off';
    /**
     * Indicates whether the value of the control can be automatically completed by the browser.
     */
    this.autocomplete = 'off';
    /**
     * Whether auto correction should be enabled when the user is entering/editing the text value.
     */
    this.autocorrect = 'off';
    /**
     * This Boolean attribute lets you specify that a form control should have input focus when the page loads.
     */
    this.autofocus = false;
    /**
     * If `true`, the user cannot interact with the input.
     */
    this.disabled = false;
    /** The input's label. Alternatively, you can use the label slot. */
    this.label = '';
    /** The input's help text. Alternatively, you can use the help-text slot. */
    this.helpText = '';
    /** The input's error text. Alternatively, you can use the error-text slot. */
    this.errorText = '';
    /**
     * The name of the control, which is submitted with the form data.
     */
    this.name = this.inputId;
    /**
     * If `true`, the user cannot modify the value.
     */
    this.readonly = false;
    /**
     * If `true`, the user must fill in a value before submitting a form.
     */
    this.required = false;
    /**
     * Defines the shape of the input field.
     */
    this.shape = 'default';
    /**
     * Defines the size of the input field.
     */
    this.size = 'medium';
    /**
     * If `true`, the element will have its spelling and grammar checked.
     */
    this.spellcheck = false;
    /**
     * The type of control to display. The default type is text.
     */
    this.type = 'text';
    /**
     * The value of the input.
     */
    this.value = '';
    /**
     * Adjust the alignment of the content
     */
    this.alignment = 'left';
    this.onInput = (ev) => {
      const input = ev.target;
      if (input) {
        this.value = input.value || '';
      }
      this.xnInput.emit(ev);
    };
    this.onBlur = (_ev) => {
      this.hasFocus = false;
      this.focusChanged();
      this.emitStyle();
      this.xnBlur.emit(_ev);
      this.emitValueChange();
    };
    this.onFocus = (_ev) => {
      this.hasFocus = true;
      this.focusChanged();
      this.emitStyle();
      this.xnFocus.emit(_ev);
    };
    this.onChange = (_ev) => {
      this.value = this.nativeInput.value;
      this.emitValueChange();
    };
    this.onKeydown = (ev) => {
      if (this.shouldClearOnEdit()) {
        // Did the input value change after it was blurred and edited?
        // Do not clear if user is hitting Enter to submit form
        if (this.didBlurAfterEdit && this.hasValue() && ev.key !== 'Enter') {
          // Clear the input
          this.clearTextInput();
        }
        // Reset the flag
        this.didBlurAfterEdit = false;
      }
    };
    this.clearTextInput = (_ev) => {
      this.value = '';
      /**
       * This is needed for clearOnEdit
       * Otherwise the value will not be cleared
       * if user is inside the input
       */
      if (this.nativeInput) {
        this.nativeInput.value = '';
      }
    };
  }
  disabledChanged() {
    this.emitStyle();
  }
  /**
   * Update the native input element when the value changes
   */
  valueChanged() {
    this.emitStyle();
  }
  handleLabelChange() {
    this.handleSlotChange();
  }
  componentWillLoad() {
    this.inheritedAttributes = elements.inheritAttributes(this.host, ['tabindex', 'title']);
    this.handleSlotChange();
  }
  connectedCallback() {
    this.emitStyle();
    {
      document.dispatchEvent(new CustomEvent('xnInputDidLoad', {
        detail: this.host
      }));
    }
    if ('MutationObserver' in window) {
      this.mutationObserver = new MutationObserver(() => this.handleSlotChange());
      this.mutationObserver.observe(this.host, { attributes: false, childList: true, subtree: false });
    }
  }
  disconnectedCallback() {
    var _a;
    {
      document.dispatchEvent(new CustomEvent('xnInputDidUnload', {
        detail: this.host
      }));
      (_a = this.mutationObserver) === null || _a === void 0 ? void 0 : _a.disconnect();
    }
  }
  /**
   * Sets focus on the native `input` in `xena-input`. Use this method instead of the global
   * `input.focus()`.
   */
  async setFocus() {
    if (this.nativeInput) {
      this.nativeInput.focus();
    }
  }
  /**
   * Sets blur on the native `input` in `xena-input`. Use this method instead of the global
   * `input.blur()`.
   * @internal
   */
  async setBlur() {
    if (this.nativeInput) {
      this.nativeInput.blur();
    }
  }
  /**
   * Returns the native `<input>` element used under the hood.
   */
  getInputElement() {
    return Promise.resolve(this.nativeInput);
  }
  shouldClearOnEdit() {
    const { type, clearOnEdit } = this;
    return clearOnEdit === undefined ? type === 'password' : clearOnEdit;
  }
  getValue() {
    return typeof this.value === 'number' ? this.value.toString() : (this.value || '').toString();
  }
  handleSlotChange() {
    this.hasHelpTextSlot = slot.hasSlot(this.host, 'help-text');
    this.hasErrorTextSlot = slot.hasSlot(this.host, 'error-text');
    this.hasLabelSlot = slot.hasSlot(this.host, 'label');
    this.hasPrefixSlot = slot.hasSlot(this.host, 'prefix');
    this.hasSuffixSlot = slot.hasSlot(this.host, 'suffix');
  }
  emitStyle() {
    this.xnStyle.emit({
      interactive: true,
      input: true,
      'has-placeholder': this.placeholder != null,
      'has-value': this.hasValue(),
      'has-focus': this.hasFocus,
      'interactive-disabled': this.disabled
    });
  }
  emitValueChange() {
    if (this.lastEmittedValue != this.value) {
      this.lastEmittedValue = this.value;
      this.valueChange.emit(this.value == null ? this.value : this.value.toString());
    }
  }
  focusChanged() {
    // If clearOnEdit is enabled and the input blurred but has a value, set a flag
    if (!this.hasFocus && this.shouldClearOnEdit() && this.hasValue()) {
      this.didBlurAfterEdit = true;
    }
  }
  handleLabelClick() {
    this.nativeInput.focus();
  }
  hasValue() {
    return this.getValue().length > 0;
  }
  render() {
    const value = this.getValue();
    return (index.h(index.Host, { "aria-disabled": this.disabled ? 'true' : null }, index.h(formControl.FormControl, { inputId: this.inputId, label: this.label, labelId: this.labelId, hasLabelSlot: this.hasLabelSlot, helpTextId: this.helpTextId, helpText: this.helpText, errorTextId: this.errorTextId, errorText: this.errorText, hasHelpTextSlot: this.hasHelpTextSlot, hasErrorTextSlot: this.hasErrorTextSlot, size: this.size, onLabelClick: _ => this.handleLabelClick(), required: this.required }, index.h("div", { part: "base", class: {
        input: true,
        // Shape classes
        'input--default': this.shape === 'default',
        'input--round': this.shape === 'round',
        'input--edged': this.shape === 'edged',
        //Alignment
        'text-right': this.alignment === 'right',
        // State classes
        'input--large': this.size === 'large',
        'input--medium': this.size === 'medium',
        'input--small': this.size === 'small',
        'input--focused': this.hasFocus,
        'input--disabled': this.disabled
      } }, this.hasPrefixSlot ? (index.h("span", { part: "prefix", class: "input__prefix" }, index.h("slot", { name: "prefix" }))) : null, index.h("input", Object.assign({ class: "native-input", ref: input => (this.nativeInput = input), disabled: this.disabled, accept: this.accept, autoCapitalize: this.autocapitalize, autoComplete: this.autocomplete, autoCorrect: this.autocorrect, autoFocus: this.autofocus, enterKeyHint: this.enterkeyhint, inputMode: this.inputmode, min: this.min, max: this.max, minLength: this.minlength, maxLength: this.maxlength, multiple: this.multiple, name: this.name, pattern: this.pattern, placeholder: this.placeholder || '', readOnly: this.readonly, required: this.required, spellcheck: this.spellcheck, step: this.step, type: this.type, value: value, onInput: this.onInput, onBlur: this.onBlur, onFocus: this.onFocus, onKeyDown: this.onKeydown, onChange: this.onChange }, this.inheritedAttributes)), this.hasSuffixSlot ? (index.h("span", { part: "suffix", class: "input__suffix" }, index.h("slot", { name: "suffix" }))) : null))));
  }
  get host() { return index.getElement(this); }
  static get watchers() { return {
    "disabled": ["disabledChanged"],
    "value": ["valueChanged"],
    "helpText": ["handleLabelChange"],
    "errorText": ["handleLabelChange"],
    "label": ["handleLabelChange"]
  }; }
};
let inputIds = 0;
Input.style = inputCss;

exports.xena_input = Input;
