'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');
const slot = require('./slot-0257c52f.js');

const listItemCss = ".list-item{display:flex;gap:var(--xena-spacing-medium);justify-content:space-between;align-items:center;padding:var(--xena-spacing-x-small)}.list-item .suffix{display:flex;align-items:center;gap:var(--xena-spacing-small)}.list-item-content{flex-grow:1}.list-item-content ::slotted(*){margin:0 !important}slot[name=prefix],slot[name=suffix]{min-width:--xena-spacing-x-large;display:flex;justify-content:center;align-items:center;gap:var(--xena-spacing-small)}a.list-item{color:currentColor;text-decoration:none}a.list-item:hover{background-color:var(--xena-color-gray-50)}.list-item:not(.list-item--has-prefix) slot[name=prefix]{display:none}.list-item:not(.list-item--has-suffix) slot[name=suffix]{display:none}";

let ListItem = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.hasPrefix = false;
    this.hasSuffix = false;
  }
  handleSlotChange() {
    this.hasPrefix = slot.hasSlot(this.host, 'prefix');
    this.hasSuffix = slot.hasSlot(this.host, 'suffix');
  }
  render() {
    const isLink = this.href ? true : false;
    return isLink ? (index.h("a", { part: "base", class: {
        'list-item': true,
        'list-item--has-prefix': this.hasPrefix,
        'list-item--has-suffix': this.hasSuffix
      }, href: this.href }, index.h("slot", { name: "prefix", onSlotchange: _ => this.handleSlotChange() }), index.h("div", { class: "list-item-content" }, index.h("slot", null)), index.h("slot", { name: "suffix", onSlotchange: _ => this.handleSlotChange() }), index.h("xena-icon", { name: "fas-chevron-right" }))) : (index.h("div", { part: "base", class: {
        'list-item': true,
        'list-item--has-prefix': this.hasPrefix,
        'list-item--has-suffix': this.hasSuffix
      } }, index.h("slot", { name: "prefix", onSlotchange: _ => this.handleSlotChange() }), index.h("div", { class: "list-item-content" }, index.h("slot", null)), index.h("slot", { name: "suffix", onSlotchange: _ => this.handleSlotChange() })));
  }
  get host() { return index.getElement(this); }
};
ListItem.style = listItemCss;

exports.xena_list_item = ListItem;
