'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-d0e7980b.js');

const stepItemCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{flex:1 1 0%}.step-item{flex:1 1 0%}.step-item__label{border-top:var(--xena-spacing-2x-small) solid var(--xena-color-gray-200);padding-top:var(--xena-spacing-x-small);padding-bottom:var(--xena-spacing-small);flex-direction:column;display:flex}.step-item--active .step-item__label{border-top:var(--xena-spacing-2x-small) solid var(--xena-color-blue-600)}.step-item--active .step-item__label-header{color:var(--xena-color-blue-600)}.step-item__label-header{text-transform:uppercase;color:var(--xena-color-gray-600);font-weight:var(--xena-font-weight-semibold);font-size:var(--xena-font-size-x-small);line-height:var(--xena-line-height-dense)}.step-item__label-description{font-weight:var(--xena-font-weight-semibold);font-size:var(--xena-font-size-small);line-height:var(--xena-line-height-dense)}";

let StepItem = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    /** Header for the step item. (Will be set by the Step component.) */
    this.header = '';
    /** Label for the step item. */
    this.label = '';
    /** Whether the step is active or not. (Will be set by the Step component) */
    this.active = false;
  }
  render() {
    return (index.h("span", { class: {
        'step-item': true,
        'step-item--active': this.active
      } }, index.h("span", { class: "step-item__label" }, index.h("span", { class: "step-item__label-header" }, this.header), index.h("span", { class: "step-item__label-description" }, this.label))));
  }
};
StepItem.style = stepItemCss;

exports.xena_step_item = StepItem;
