import { Component, Element, Prop, h } from '@stencil/core';
/**
 * @since 1.9
 * @status experimental
 *
 * @slot - Content of the card.
 */
export class Card {
  constructor() {
    /** Alter the appearance of the card element. */
    this.appearance = 'filled';
  }
  render() {
    const isLink = this.href ? true : false;
    const CardRoot = isLink ? 'a' : 'div';
    return (h(CardRoot, { ref: el => (this.card = el), class: {
        card: true,
        outline: this.appearance === 'outline',
        subtle: this.appearance === 'subtle'
      }, href: isLink && this.href ? this.href : null },
      h("slot", null)));
  }
  static get is() { return "xena-card"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["card.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["card.css"]
  }; }
  static get properties() { return {
    "href": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "When set, the underlying element will be rendered as an `<a>` with this `href` instead of a `<div>`."
      },
      "attribute": "href",
      "reflect": false
    },
    "appearance": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "'outline' | 'subtle' | 'filled'",
        "resolved": "\"filled\" | \"outline\" | \"subtle\"",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Alter the appearance of the card element."
      },
      "attribute": "appearance",
      "reflect": false,
      "defaultValue": "'filled'"
    }
  }; }
  static get elementRef() { return "host"; }
}
