import { Component, h, Host, Prop } from '@stencil/core';
/**
 * @since 1.3
 * @status experimental
 *
 * @part base - The component's base wrapper.
 */
export class List {
  constructor() {
    /** Set to true to show borders between list items. */
    this.bordered = false;
  }
  render() {
    return (h(Host, { part: "base", bordered: this.bordered },
      h("slot", null)));
  }
  static get is() { return "xena-list"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["list.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["list.css"]
  }; }
  static get properties() { return {
    "bordered": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Set to true to show borders between list items."
      },
      "attribute": "bordered",
      "reflect": true,
      "defaultValue": "false"
    }
  }; }
}
