import { Component, h, Prop } from '@stencil/core';
/**
 * @since 1.7
 * @status experimental
 *
 * @part base - The component's base wrapper.
 */
export class StepItem {
  constructor() {
    /** Header for the step item. (Will be set by the Step component.) */
    this.header = '';
    /** Label for the step item. */
    this.label = '';
    /** Whether the step is active or not. (Will be set by the Step component) */
    this.active = false;
  }
  render() {
    return (h("span", { class: {
        'step-item': true,
        'step-item--active': this.active
      } },
      h("span", { class: "step-item__label" },
        h("span", { class: "step-item__label-header" }, this.header),
        h("span", { class: "step-item__label-description" }, this.label))));
  }
  static get is() { return "xena-step-item"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["step-item.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["step-item.css"]
  }; }
  static get properties() { return {
    "header": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Header for the step item. (Will be set by the Step component.)"
      },
      "attribute": "header",
      "reflect": false,
      "defaultValue": "''"
    },
    "label": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Label for the step item."
      },
      "attribute": "label",
      "reflect": false,
      "defaultValue": "''"
    },
    "active": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Whether the step is active or not. (Will be set by the Step component)"
      },
      "attribute": "active",
      "reflect": false,
      "defaultValue": "false"
    }
  }; }
}
