import { Component, h, Prop } from '@stencil/core';
/**
 * @since 1.5
 * @status experimental
 *
 * @slot default - Timeline items
 *
 * @part base - The component's base wrapper
 */
export class Timeline {
  constructor() {
    /** Set to true to show items in reverse order. */
    this.showReverse = false;
  }
  render() {
    return (h("ul", { part: "base", "show-reverse": this.showReverse },
      h("slot", null)));
  }
  static get is() { return "xena-timeline"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["timeline.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["timeline.css"]
  }; }
  static get properties() { return {
    "showReverse": {
      "type": "boolean",
      "mutable": false,
      "complexType": {
        "original": "boolean",
        "resolved": "boolean",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": "Set to true to show items in reverse order."
      },
      "attribute": "show-reverse",
      "reflect": true,
      "defaultValue": "false"
    }
  }; }
}
