import { Platform } from './platform';
const en = {
  OK: 'OK',
  CONFIRM: 'Confirm',
  CANCEL: 'Cancel',
  NEXT_MONTH: 'Next month',
  PREVIOUS_MONTH: 'Previous month',
  STEP: 'Step'
};
const da = {
  OK: 'OK',
  CONFIRM: 'Godkend',
  CANCEL: 'Annuller',
  NEXT_MONTH: 'Næste måned',
  PREVIOUS_MONTH: 'Forrige måned',
  STEP: 'Trin'
};
const nb = {
  OK: 'OK',
  CONFIRM: 'Godkjenn',
  CANCEL: 'Avbryt',
  NEXT_MONTH: 'Neste måned',
  PREVIOUS_MONTH: 'Forrige måned',
  STEP: 'Steg'
};
const pl = {
  OK: 'OK',
  CONFIRM: 'Potwierdź',
  CANCEL: 'Anuluj',
  NEXT_MONTH: 'Następny miesiąc',
  PREVIOUS_MONTH: 'Poprzedni miesiąc',
  STEP: 'Krok'
};
const translations = { en, da, nb, pl };
export function i18n(key) {
  const lang = Platform.getLanguage();
  let result = translations[lang][key];
  if (result == null) {
    console.warn(`Translation is missing for ${key} in language ${lang}`);
    result = translations['en'][key];
  }
  if (result == null) {
    result = '-- TRANSLATION MISSING --';
  }
  return result;
}
