export const repeat = (func, wait = 0, times = 3) => {
  let timer;
  let count;
  return (...args) => {
    return new Promise(resolve => {
      count = 0;
      timer = setInterval(() => {
        count++;
        let success = false;
        try {
          success = func(...args);
        }
        catch (error) {
          success = false;
        }
        if (success || count >= times) {
          clearInterval(timer);
          resolve(success);
        }
      }, wait);
    });
  };
};
