import { r as registerInstance, h, g as getElement } from './index-9032f50f.js';
import { h as hasSlot } from './slot-0863a9cc.js';

const emptyCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}.empty{padding:var(--xena-spacing-medium) var(--xena-spacing-large);margin:0 auto;display:flex;flex-direction:column;width:fit-content;align-items:center}.empty-illustration{font-size:var(--xena-font-size-xxxx-large);color:var(--xena-color-cool-300)}.empty-text{color:var(--xena-color-gray-700);text-align:center}.empty h3{font-weight:var(--xena-font-weight-normal);font-size:var(--xena-font-size-xx-large);color:var(--xena-color-black);margin:0 0 var(--xena-spacing-2x-small) 0}.empty slot[name=actions],.empty slot[name=secondary-actions]{margin-top:var(--xena-spacing-small);display:flex;gap:var(--xena-spacing-small)}.empty:not(.empty--has-actions) slot[name=actions]{display:none}.empty:not(.empty--has-secondary-actions) slot[name=secondary-actions]{display:none}";

let Empty = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.hasActions = false;
    this.hasSecondaryActions = false;
  }
  handleSlotChange() {
    this.hasActions = hasSlot(this.host, 'actions');
    this.hasSecondaryActions = hasSlot(this.host, 'secondary-actions');
  }
  render() {
    return (h("div", { class: {
        empty: true,
        'empty--has-actions': this.hasActions,
        'empty--has-secondary-actions': this.hasSecondaryActions
      }, part: "base" }, h("div", { class: "empty-illustration", part: "illustration" }, h("slot", { name: "icon" }, h("xena-icon", { name: "fas-inbox" }))), h("div", { class: "empty-text", part: "text" }, this.header ? (h("h3", { class: "empty-headline", part: "header" }, this.header)) : null, h("slot", null, "No data")), h("slot", { name: "actions", onSlotchange: _ => this.handleSlotChange() }), h("slot", { name: "secondary-actions", onSlotchange: _ => this.handleSlotChange() })));
  }
  get host() { return getElement(this); }
};
Empty.style = emptyCss;

export { Empty as xena_empty };
