import { r as registerInstance, h } from './index-9032f50f.js';

const popoverCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}div[slot=trigger]{cursor:pointer}.popover{min-width:var(--xena-spacing-7x-large);max-width:95vw;color:var(--xena-color-black)}.popover-title{padding:var(--xena-spacing-x-small) var(--xena-spacing-small);font-weight:var(--xena-font-weight-semibold);border-bottom:1px solid var(--xena-panel-border-color);white-space:nowrap}.popover-body{padding:var(--xena-spacing-x-small) var(--xena-spacing-small)}";

let Popover = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /** Show arrow on the popover pointing to the trigger. */
    this.arrow = false;
    /** Indicates whether or not the popover is open. */
    this.open = false;
    /** The distance in pixels from which to offset the panel away from its trigger. */
    this.distance = 2;
  }
  render() {
    return (h("xena-dropdown", { placement: "bottom", arrow: this.arrow, open: this.open, distance: this.distance }, h("div", { slot: "trigger" }, h("slot", { name: "trigger" })), h("div", { class: "popover", part: "base" }, h("div", { class: "popover-inner", role: "tooltip" }, h("div", { class: "popover-title", part: "header" }, h("slot", { name: "header" })), h("div", { class: "popover-body", part: "body" }, h("slot", null))))));
  }
};
Popover.style = popoverCss;

export { Popover as xena_popover };
