import { r as registerInstance, h } from './index-9032f50f.js';
import { i as i18n } from './i18n-50ab32ba.js';
import './platform-956c6775.js';

const stepCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}:host{display:block}.step__list{display:flex;overflow:hidden;gap:var(--xena-spacing-medium)}";

let Step = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /** The active step. */
    this.step = 1;
  }
  getAllSteps() {
    const slot = this.stepList.querySelector('slot');
    return [...slot.assignedElements()].filter((el) => {
      return el.tagName.toLowerCase() === 'xena-step-item';
    });
  }
  componentDidRender() {
    const steps = this.getAllSteps();
    steps.forEach((step, index) => {
      step.active = index < this.step;
      step.header = `${i18n('STEP')} ${index + 1}`;
    });
  }
  render() {
    return (h("div", { class: {
        step: true
      } }, h("div", { class: "step__list", ref: el => (this.stepList = el) }, h("slot", null))));
  }
};
Step.style = stepCss;

export { Step as xena_step };
