import { r as registerInstance, c as createEvent, h, g as getElement } from './index-9032f50f.js';
import { F as FormControl } from './form-control-35ed8f3c.js';
import { h as hasSlot } from './slot-0863a9cc.js';

const textareaCss = ":host{position:relative;box-sizing:border-box}:host *,:host *:before,:host *:after{box-sizing:inherit}.form-control .form-control__label{display:none}.form-control .form-control__help-text{display:none}.form-control--has-label .form-control__label{display:inline-block;color:var(--xena-input-label-color);margin-bottom:var(--xena-spacing-2x-small)}.form-control--has-label .form-control__label .form-control__label-required{padding-left:var(--xena-spacing-2x-small)}.form-control--has-label.form-control--small .form-control__label{font-size:var(--xena-input-label-font-size-small)}.form-control--has-label.form-control--medium .form-control__label{font-size:var(--xena-input-label-font-size-medium)}.form-control--has-label.form-control--large .form-control_label{font-size:var(--xena-input-label-font-size-large)}.form-control--has-help-text .form-control__help-text{display:block;color:var(--xena-input-help-text-color);margin-top:var(--xena-spacing-3x-small)}.form-control--has-help-text.form-control--small .form-control__help-text{font-size:var(--xena-input-help-text-font-size-small)}.form-control--has-help-text.form-control--medium .form-control__help-text{font-size:var(--xena-input-help-text-font-size-medium)}.form-control--has-help-text.form-control--large .form-control__help-text{font-size:var(--xena-input-help-text-font-size-large)}.form-control--has-error-text .form-control__help-text{display:none}.form-control--has-error-text .form-control__input>.input[part=base],.form-control--has-error-text .form-control__input>.select *[part=select-box]{border-color:var(--xena-input-error-text-color)}.form-control--has-error-text .form-control__error-text{display:block;color:var(--xena-input-error-text-color);margin-top:var(--xena-spacing-3x-small)}.form-control--has-error-text.form-control--small .form-control__error-text{font-size:var(--xena-input-error-text-font-size-small)}.form-control--has-error-text.form-control--medium .form-control__error-text{font-size:var(--xena-input-error-text-font-size-medium)}.form-control--has-error-text.form-control--large .form-control__error-text{font-size:var(--xena-input-error-text-font-size-large)}:host{display:block}.textarea{display:flex;align-items:center;position:relative;width:100%;font-family:var(--xena-input-font-family);font-weight:var(--xena-input-font-weight);line-height:var(--xena-line-height-normal);letter-spacing:var(--xena-input-letter-spacing);background-color:var(--xena-input-background-color);border:solid var(--xena-input-border-width) var(--xena-input-border-color);outline:solid 0 var(--xena-focus-ring-color-blue);vertical-align:middle;transition:var(--xena-transition-fast) color, var(--xena-transition-fast) border, outline var(--xena-transition-x-fast) ease-in-out;cursor:text}.textarea:hover:not(.textarea--disabled){background-color:var(--xena-input-background-color-hover);border-color:var(--xena-input-border-color-hover)}.textarea:hover:not(.textarea--disabled) .textarea__control{color:var(--xena-input-color-hover)}.textarea.textarea--focused:not(.textarea--disabled){background-color:var(--xena-input-background-color-focus);border-color:var(--xena-input-border-color-focus);outline-width:var(--xena-focus-ring-width);color:var(--xena-input-color-focus)}.textarea.textarea--focused:not(.textarea--disabled) .textarea__control{color:var(--xena-input-color-focus)}.textarea.textarea--disabled{background-color:var(--xena-input-background-color-disabled);border-color:var(--xena-input-border-color-disabled);opacity:0.5;cursor:not-allowed}.textarea.textarea--disabled .textarea__control{color:var(--xena-input-color-disabled)}.textarea.textarea--disabled .textarea__control::placeholder{color:var(--xena-input-placeholder-color-disabled)}.textarea__control{flex:1 1 auto;font-family:inherit;font-size:inherit;font-weight:inherit;line-height:1.4;color:var(--xena-input-color);border:none;background:none;box-shadow:none;cursor:inherit;-webkit-appearance:none;margin:0px}.textarea__control::-webkit-search-decoration,.textarea__control::-webkit-search-cancel-button,.textarea__control::-webkit-search-results-button,.textarea__control::-webkit-search-results-decoration{-webkit-appearance:none}.textarea__control::placeholder{color:var(--xena-input-placeholder-color);user-select:none}.textarea__control:focus{outline:none}.textarea--small{border-radius:var(--xena-input-border-radius-small);font-size:var(--xena-input-font-size-medium)}.textarea--small .textarea__control{padding:var(--xena-spacing-x-small) var(--xena-spacing-x-small)}.textarea--small.textarea--has-tools .textarea__control{padding-right:calc(var(--xena-spacing-small) + var(--xena-spacing-small))}.textarea--small .textarea__tools{right:var(--xena-spacing-x-small)}.textarea--medium{border-radius:var(--xena-input-border-radius-medium);font-size:var(--xena-input-font-size-medium)}.textarea--medium .textarea__control{padding:var(--xena-spacing-x-small) var(--xena-spacing-small)}.textarea--medium.textarea--has-tools .textarea__control{padding-right:calc(var(--xena-spacing-medium) + var(--xena-spacing-medium))}.textarea--medium .textarea__tools{right:var(--xena-spacing-small)}.textarea--large{border-radius:var(--xena-input-border-radius-large);font-size:var(--xena-input-font-size-large)}.textarea--large .textarea__control{padding:var(--xena-spacing-x-small) var(--xena-spacing-small)}.textarea--large.textarea--has-tools .textarea__control{padding-right:calc(var(--xena-spacing-medium) + var(--xena-spacing-large))}.textarea--large .textarea__tools{right:var(--xena-spacing-small)}.textarea--resize-none .textarea__control{resize:none}.textarea--resize-vertical .textarea__control{resize:vertical}.textarea--resize-auto .textarea__control{height:auto;resize:none}.textarea__tools{position:absolute;top:var(--xena-spacing-x-small)}.textarea--scrollable>.textarea__tools{right:var(--xena-spacing-large)}";

let id = 0;
let Textarea = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.valueChange = createEvent(this, "valueChange", 7);
    this.xnInput = createEvent(this, "xnInput", 7);
    this.xnFocus = createEvent(this, "xnFocus", 7);
    this.xnBlur = createEvent(this, "xnBlur", 7);
    this.inputId = `textarea-${++id}`;
    this.labelId = `textarea-label-${id}`;
    this.helpTextId = `textarea-help-text-${id}`;
    this.hasFocus = false;
    this.hasHelpTextSlot = false;
    this.hasLabelSlot = false;
    this.hasToolsSlot = false;
    /** The textarea's size. */
    this.size = 'medium';
    /** The textarea's name attribute. */
    this.name = '';
    /** The textarea's value attribute. */
    this.value = '';
    /** The textarea's label. Alternatively, you can use the label slot. */
    this.label = '';
    /** The textarea's help text. Alternatively, you can use the help-text slot. */
    this.helpText = '';
    /** The number of rows to display by default. */
    this.rows = 4;
    /** Controls how the textarea can be resized. */
    this.resize = 'vertical';
    /** Set to true to disable the textarea. */
    this.disabled = false;
    /** Set to true for a readonly textarea. */
    this.readonly = false;
    /**
     * This will be true when the control is in an invalid state. Validity is determined by props such as `required`,
     * `minlength`, and `maxlength` using the browser's constraint validation API.
     */
    this.invalid = false;
  }
  handleLabelChange() {
    this.handleSlotChange();
  }
  handleRowsChange() {
    this.setTextareaHeight();
  }
  handleValueChange() {
    // In rare cases, the watcher may be called before render so we need to make sure the textarea exists
    this.invalid = this.textarea ? !this.textarea.checkValidity() : false;
    this.checkForScrollbar();
  }
  connectedCallback() {
    this.handleChange = this.handleChange.bind(this);
    this.handleInput = this.handleInput.bind(this);
    this.handleBlur = this.handleBlur.bind(this);
    this.handleFocus = this.handleFocus.bind(this);
    this.handleSlotChange = this.handleSlotChange.bind(this);
    this.host.shadowRoot.addEventListener('slotchange', this.handleSlotChange);
  }
  componentWillLoad() {
    this.handleSlotChange();
  }
  componentDidLoad() {
    this.setTextareaHeight();
    this.resizeObserver = new ResizeObserver(() => this.setTextareaHeight());
    this.resizeObserver.observe(this.textarea);
  }
  disconnectedCallback() {
    this.resizeObserver.unobserve(this.textarea);
    this.host.shadowRoot.removeEventListener('slotchange', this.handleSlotChange);
  }
  /** Sets focus on the textarea. */
  async setFocus(options) {
    this.textarea.focus(options);
  }
  /** Removes focus fromt the textarea. */
  async removeFocus() {
    this.textarea.blur();
  }
  /** Selects all the text in the input. */
  async select() {
    return this.textarea.select();
  }
  /** Sets the start and end positions of the text selection (0-based). */
  async setSelectionRange(selectionStart, selectionEnd, selectionDirection = 'none') {
    return this.textarea.setSelectionRange(selectionStart, selectionEnd, selectionDirection);
  }
  /** Replaces a range of text with a new string. */
  async setRangeText(replacement, start, end, selectMode = 'preserve') {
    this.textarea.setRangeText(replacement, start, end, selectMode);
    if (this.value !== this.textarea.value) {
      this.value = this.textarea.value;
      this.setTextareaHeight();
      this.valueChange.emit(this.value);
      this.xnInput.emit();
    }
  }
  /** Checks for validity and shows the browser's validation message if the control is invalid. */
  async reportValidity() {
    return this.textarea.reportValidity();
  }
  /** Sets a custom validation message. If `message` is not empty, the field will be considered invalid. */
  async setCustomValidity(message) {
    this.textarea.setCustomValidity(message);
    this.invalid = !this.textarea.checkValidity();
  }
  handleChange() {
    this.valueChange.emit(this.value);
  }
  handleInput() {
    this.value = this.textarea.value;
    this.setTextareaHeight();
    this.xnInput.emit();
  }
  handleBlur() {
    this.hasFocus = false;
    this.xnBlur.emit();
  }
  handleFocus() {
    this.hasFocus = true;
    this.xnFocus.emit();
  }
  handleSlotChange() {
    this.hasLabelSlot = hasSlot(this.host, 'label');
    this.hasHelpTextSlot = hasSlot(this.host, 'help-text');
    this.hasToolsSlot = hasSlot(this.host, 'tools');
  }
  setTextareaHeight() {
    if (this.resize === 'auto') {
      this.textarea.style.height = 'auto';
      this.textarea.style.height = this.textarea.scrollHeight + 'px';
    }
    else {
      this.textarea.style.height = undefined;
    }
    this.checkForScrollbar();
  }
  checkForScrollbar() {
    if (!this.textarea)
      return;
    if (this.textarea.clientHeight < this.textarea.scrollHeight) {
      this.textarea.parentElement.classList.add('textarea--scrollable');
    }
    else {
      this.textarea.parentElement.classList.remove('textarea--scrollable');
    }
  }
  render() {
    var _a;
    return (h(FormControl, { inputId: this.inputId, label: this.label, labelId: this.labelId, hasLabelSlot: this.hasLabelSlot, helpTextId: this.helpTextId, helpText: this.helpText, hasHelpTextSlot: this.hasHelpTextSlot, size: this.size }, h("div", { part: "base", class: {
        textarea: true,
        // Sizes
        'textarea--small': this.size === 'small',
        'textarea--medium': this.size === 'medium',
        'textarea--large': this.size === 'large',
        // States
        'textarea--disabled': this.disabled,
        'textarea--focused': this.hasFocus,
        'textarea--empty': ((_a = this.value) === null || _a === void 0 ? void 0 : _a.length) === 0,
        'textarea--invalid': this.invalid,
        // Modifiers
        'textarea--resize-none': this.resize === 'none',
        'textarea--resize-vertical': this.resize === 'vertical',
        'textarea--resize-auto': this.resize === 'auto',
        'textarea--has-tools': this.hasToolsSlot
      } }, h("textarea", { part: "textarea", ref: el => (this.textarea = el), id: this.inputId, class: "textarea__control", name: this.name, placeholder: this.placeholder, disabled: this.disabled, readOnly: this.readonly, rows: this.rows, minLength: this.minlength, maxLength: this.maxlength, value: this.value, autoCapitalize: this.autocapitalize, autoCorrect: this.autocorrect, autoFocus: this.autofocus, spellcheck: this.spellcheck, required: this.required, inputMode: this.inputmode, "aria-labelledby": this.labelId, onChange: this.handleChange, onInput: this.handleInput, onFocus: this.handleFocus, onBlur: this.handleBlur }), this.hasToolsSlot ? (h("span", { part: "tools", class: "textarea__tools" }, h("slot", { name: "tools" }))) : null)));
  }
  get host() { return getElement(this); }
  static get watchers() { return {
    "helpText": ["handleLabelChange"],
    "label": ["handleLabelChange"],
    "rows": ["handleRowsChange"],
    "value": ["handleValueChange"]
  }; }
};
Textarea.style = textareaCss;

export { Textarea as xena_textarea };
