import { r as registerInstance, h } from './index-9032f50f.js';

const timelineItemCss = "li.timeline-item{margin:0;padding:0;display:grid;gap:var(--xena-spacing-medium);grid-template-columns:16px auto 30px}.timeline-item-prefix{width:var(--xena-spacing-medium);position:relative;display:flex;flex-direction:column;align-items:center;padding-top:var(--xena-spacing-2x-small);gap:var(--xena-spacing-x-small);color:var(--xena-color-gray-500)}.timeline-item-prefix::after{content:\"\";border-left:1px solid var(--xena-input-border-color);flex-grow:1}.timeline-item-content{display:flex;flex-direction:column;gap:var(--xena-spacing-2x-small);padding-top:var(--xena-spacing-2x-small)}.timeline-item-info{display:flex;gap:var(--xena-spacing-small);font-size:var(--xena-font-size-small);color:var(--xena-color-gray-700);align-items:baseline}.timeline-item-info slot[name=author]{display:block;flex-grow:1}.timeline-item-info slot[name=status],.timeline-item-info slot[name=timestamp]{white-space:nowrap;flex-shrink:0}.timeline-item-body{display:flex;flex-direction:column;padding-bottom:var(--xena-spacing-large)}.timeline-item-header{display:inline-flex;gap:var(--xena-spacing-small);align-items:baseline}.timeline-item-header slot[name=header]{font-weight:var(--xena-font-weight-semibold)}";

let TimelineItem = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    /** Set if event has attachments. */
    this.hasAttachments = false;
  }
  render() {
    return (h("li", { class: "timeline-item", part: "base" }, h("div", { class: "timeline-item-prefix", part: "prefix" }, h("slot", { name: "icon" })), h("div", { class: "timeline-item-content", part: "content" }, h("div", { class: "timeline-item-info", part: "info" }, h("slot", { name: "author" }), h("slot", { name: "status" }), h("slot", { name: "timestamp" })), h("div", { class: "timeline-item-body", part: "body" }, h("div", { class: "timeline-item-header" }, h("slot", { name: "header" }), this.hasAttachments ? h("xena-icon", { name: "fas-paperclip" }) : ''), h("slot", null))), h("div", { class: "timeline-item-menu", part: "suffix" }, h("slot", { name: "actions" }))));
  }
};
TimelineItem.style = timelineItemCss;

export { TimelineItem as xena_timeline_item };
