/* eslint-disable */
/* tslint:disable */
/**
 * This is an autogenerated file created by the Stencil compiler.
 * It contains typing information for all components that exist in this project.
 */
import { HTMLStencilElement, JSXBase } from "./stencil-public-runtime";
import { Alignments, AutocompleteTypes, BaseColorTypes, ExtendedColorTypes, OutlineTypes, ShapeTypes, SizeTypes, TextFieldTypes } from "./utils/types";
import { IconLibraryMutator, IconLibraryResolver } from "./components/icon-library/icon-library-registry";
import { StyleEventDetail } from "./utils/events";
export namespace Components {
    interface XenaAlert {
        /**
          * Set to true to make the alert closable.
         */
        "closable": boolean;
        /**
          * The length of time, in milliseconds, the alert will show before closing itself. If the user interacts with the alert before it closes (e.g. moves the mouse over it), the timer will restart.
         */
        "duration": number;
        /**
          * The optional header of the alert.
         */
        "header": string;
        /**
          * Hides the alert
         */
        "hide": () => Promise<void>;
        /**
          * Set to true to make the alert inline.
         */
        "inline": boolean;
        /**
          * Indicates whether or not the alert is open. You can use this in lieu of the show/hide methods.
         */
        "open": boolean;
        "removeBorders": boolean;
        /**
          * Shows the alert.
         */
        "show": () => Promise<void>;
        /**
          * Displays the alert as a toast notification. This will move the alert out of its position in the DOM and, when dismissed, it will be removed from the DOM completely. By storing a reference to the alert, you can reuse it by calling this method again. The returned promise will resolve after the alert is hidden.
         */
        "toast": () => Promise<void>;
        /**
          * The type of alert.
         */
        "type": ExtendedColorTypes;
    }
    interface XenaAutocomplete {
        /**
          * Set the amount of time, in milliseconds, to wait before initiating search after each keystroke.
         */
        "debounce": number;
        /**
          * If `true`, the user cannot interact with the input.
         */
        "disabled": boolean;
        /**
          * The input's error text. Alternatively, you can use the error-text slot.
         */
        "errorText": string;
        /**
          * Retrieves the native input element.
         */
        "getInputElement": () => Promise<HTMLInputElement>;
        /**
          * The input's help text.
         */
        "helpText": string;
        /**
          * Closes the autocomplete popup if open.
         */
        "hide": () => Promise<void>;
        /**
          * The property name for the id of the item.
         */
        "idProperty": string;
        /**
          * The autocomplete's label.
         */
        "label": string;
        /**
          * The property name for the icon of the item shown in the dropdown list. The name of the icon must be for an icon in the default icon set. (See xena-icon)
         */
        "listIconProperty": string | ((e: any) => string);
        /**
          * The property name for the label of the item shown in the dropdown list.
         */
        "listLabelProperty": string | ((e: any) => string);
        /**
          * Specified the max height of the dropdown.
         */
        "maxDropdownHeight": string;
        /**
          * The text in dropdown when no results are found.
         */
        "noResultText": string;
        /**
          * Indicates whether or not the dropdown is open. You can use this in lieu of the show/hide methods.
         */
        "open": boolean;
        /**
          * The text to show in the input field when user is not searching.
         */
        "placeholder": string;
        /**
          * If `true`, the user must fill in a value before submitting a form.
         */
        "required": boolean;
        /**
          * Sets the datasource to retrieve data from. The datasource is a lambda function which can expect a search query as an argument. In return it must provide a Promise that can deliver an array of data entries.
          * @param datasource
         */
        "setDatasource": (datasource: (searchString: string) => Promise<any[]>) => Promise<void>;
        /**
          * Sets focus on the input field.
         */
        "setFocus": () => Promise<void>;
        /**
          * Defines the shape of the input field.
         */
        "shape": ShapeTypes;
        /**
          * Opens the autocomplete popup if closed.
         */
        "show": () => Promise<void>;
        /**
          * Whether the dropdown with results should be shown even when there are no results on the components initial focus.
         */
        "showInitialNoResult": boolean;
        /**
          * Defines the size of the input field.
         */
        "size": SizeTypes;
        /**
          * The selected value of the component.
         */
        "value": any;
        /**
          * The property name for the label of the item shown in the input field.
         */
        "valueLabelProperty": string | ((e: any) => string);
    }
    interface XenaAutocompleteList {
        /**
          * The optional index of the entry that is active by default.
         */
        "defaultActiveIndex": number;
        /**
          * The entries to show in the list.
         */
        "entries": any[];
        /**
          * Retrieves the menu element.
         */
        "getMenuElement": () => Promise<HTMLXenaMenuElement>;
        /**
          * The property name for the label of the item shown in the list.
         */
        "iconProperty": string | ((e: any) => string);
        /**
          * The property name for the id of the item.
         */
        "idProperty": string;
        /**
          * The property name for the label of the item shown in the list.
         */
        "labelProperty": string | ((e: any) => string);
        /**
          * The text to show when no results are in the list.
         */
        "noResultText": string;
    }
    interface XenaAvatar {
        /**
          * Alternative text for the image.
         */
        "alt": string;
        /**
          * The image source to use for the avatar.
         */
        "image": string;
        /**
          * Initials to use as a fallback when no image is available (1-2 characters max recommended).
         */
        "initials": string;
        /**
          * The shape of the avatar.
         */
        "shape": 'circle' | 'square' | 'rounded';
    }
    interface XenaButton {
        /**
          * Set to true to show a caret at the end of the button.
         */
        "caret": boolean;
        /**
          * Set to true to disable the button. For links the `href` will be removed
         */
        "disabled": boolean;
        /**
          * Tells the browser to download the linked file as this filename. Only used when `href` is set.
         */
        "download": string;
        /**
          * When set, the underlying button will be rendered as an `<a>` with this `href` instead of a `<button>`.
         */
        "href": string;
        /**
          * Set to true to show loading state.
         */
        "loading": boolean;
        /**
          * The button's mode.
         */
        "mode": OutlineTypes;
        /**
          * An optional name for the button. Ignored when `href` is set.
         */
        "name": string;
        /**
          * Removes focus from the button.
         */
        "removeFocus": () => Promise<void>;
        /**
          * Sets focus on the button.
         */
        "setFocus": () => Promise<void>;
        /**
          * The button's size.
         */
        "size": SizeTypes;
        /**
          * Indicates if activating the button should submit the form. Ignored when `href` is set.
         */
        "submit": boolean;
        /**
          * Tells the browser where to open the link. Only used when `href` is set.
         */
        "target": '_blank' | '_parent' | '_self' | '_top';
        /**
          * The button's type. (link type is deprecated)
         */
        "type": BaseColorTypes | 'link' | 'default';
        /**
          * An optional value for the button. Ignored when `href` is set.
         */
        "value": string;
    }
    interface XenaButtonGroup {
        /**
          * A label to use for the button group's `aria-label` attribute.
         */
        "label": string;
    }
    interface XenaCard {
        /**
          * Alter the appearance of the card element.
         */
        "appearance": 'outline' | 'subtle' | 'filled';
        /**
          * When set, the underlying element will be rendered as an `<a>` with this `href` instead of a `<div>`.
         */
        "href": string;
    }
    interface XenaCardFooter {
    }
    interface XenaCardHeader {
    }
    interface XenaCell {
        /**
          * Adjust the alignment of the content
         */
        "alignment": Alignments;
        /**
          * Adjust the colspan of the cell
         */
        "colspan": number;
    }
    interface XenaCheckbox {
        /**
          * Set to true to draw the checkbox in a checked state.
         */
        "checked": boolean;
        /**
          * Set to true to disable the checkbox.
         */
        "disabled": boolean;
        /**
          * Set to true to draw the checkbox in an indeterminate state.
         */
        "indeterminate": boolean;
        /**
          * This will be true when the control is in an invalid state. Validity is determined by the `required` prop.
         */
        "invalid": boolean;
        /**
          * The checkbox's name attribute.
         */
        "name": string;
        /**
          * Removes focus from the checkbox.
         */
        "removeFocus": () => Promise<void>;
        /**
          * Checks for validity and shows the browser's validation message if the control is invalid.
         */
        "reportValidity": () => Promise<boolean>;
        /**
          * Set to true to make the checkbox a required field.
         */
        "required": boolean;
        /**
          * Sets a custom validation message. If `message` is not empty, the field will be considered invalid.
         */
        "setCustomValidity": (message: string) => Promise<void>;
        /**
          * Sets focus on the checkbox.
         */
        "setFocus": (options?: FocusOptions) => Promise<void>;
        /**
          * The checkbox's value attribute.
         */
        "value": string;
    }
    interface XenaColor {
        /**
          * Set to true to draw the component in a checked state.
         */
        "checked": boolean;
        /**
          * Set to true to disable the component.
         */
        "disabled": boolean;
        /**
          * Removes focus from the radio.
         */
        "removeFocus": () => Promise<void>;
        /**
          * Set to true to make the component selectable.
         */
        "selectable": boolean;
        /**
          * Sets focus on the radio.
         */
        "setFocus": (options?: FocusOptions) => Promise<void>;
        /**
          * The color value of this component.
         */
        "value": string;
    }
    interface XenaColorPicker {
        /**
          * Swatches are predefined colors shown at the top of the color picker. Swatches must be written as hex values with `#` as prefix like this: `#517770`.
         */
        "swatches": string;
        /**
          * The components type.
         */
        "type": 'default' | 'expandable' | 'swatches';
        /**
          * The components value. The value is set by selecting a color with the color picker.
         */
        "value": string;
    }
    interface XenaColumn {
        /**
          * Adjust the alignment of the content
         */
        "alignment": Alignments;
        /**
          * Adjust the colspan of the column
         */
        "colspan": number;
        /**
          * Adjust the width of the column
         */
        "width": string;
    }
    interface XenaDropdown {
        /**
          * Show arrow on the dropdown pointing to the trigger.
         */
        "arrow": boolean;
        /**
          * Determines whether the dropdown should hide when a menu item is selected.
         */
        "closeOnSelect": boolean;
        /**
          * The dropdown will close when the user interacts outside of this element (e.g. clicking).
         */
        "containingElement": HTMLElement;
        /**
          * The distance in pixels from which to offset the panel away from its trigger.
         */
        "distance": number;
        /**
          * Hides the dropdown panel
         */
        "hide": () => Promise<void>;
        /**
          * Enable this option to prevent the panel from being clipped when the component is placed inside a container with `overflow: auto|scroll`.
         */
        "hoist": boolean;
        /**
          * Disables toggle keys for dropdown. Keys for toggling will only close the dropdown, not open it.
         */
        "noToggleKey": boolean;
        /**
          * Indicates whether or not the dropdown is open. You can use this in lieu of the show/hide methods.
         */
        "open": boolean;
        /**
          * The preferred placement of the dropdown panel. Note that the actual placement may vary as needed to keep the panel inside of the viewport.
         */
        "placement": | 'top'
    | 'top-start'
    | 'top-end'
    | 'bottom'
    | 'bottom-start'
    | 'bottom-end'
    | 'right'
    | 'right-start'
    | 'right-end'
    | 'left'
    | 'left-start'
    | 'left-end';
        /**
          * This method can be called to force the dropdown to reposition itself. In most cases it should do so automatically, but there may be some edge cases where changes are not detected.
         */
        "scheduleUpdate": () => Promise<void>;
        /**
          * Shows the dropdown panel
         */
        "show": () => Promise<void>;
        /**
          * The distance in pixels from which to offset the panel along its trigger.
         */
        "skidding": number;
        /**
          * Action taken against the dropdown when trigger is clicked.
         */
        "triggerClickAction": 'toggle' | 'open' | 'none';
    }
    interface XenaEmpty {
        /**
          * The empty headline
         */
        "header": string;
    }
    interface XenaFiscalCalendar {
        /**
          * The selected date of the calendar, given as a fiscalDate number.
         */
        "date": number;
        /**
          * Defines the systemDate as a fiscalDate. If not set, the current date will automatically be selected.
         */
        "systemDate": number;
    }
    interface XenaFiscalDatepicker {
        /**
          * Defines the currently selected date. If not set, the current date date will be used.
         */
        "date": number;
        /**
          * If `true`, the user cannot interact with the input.
         */
        "disabled": boolean;
        /**
          * Retrieves the native input element.
         */
        "getInputElement": () => Promise<HTMLInputElement>;
        /**
          * The datepicker's help text.
         */
        "helpText": string;
        /**
          * Closes the calendar popup if open.
         */
        "hide": () => Promise<void>;
        /**
          * The datepicker's label.
         */
        "label": string;
        /**
          * Indicates whether or not the dropdown is open. You can use this in lieu of the show/hide methods.
         */
        "open": boolean;
        /**
          * Set focus on the native input element.
         */
        "setFocus": () => Promise<void>;
        /**
          * Defines the shape of the input field.
         */
        "shape": ShapeTypes;
        /**
          * Opens the calendar popup if closed.
         */
        "show": () => Promise<void>;
        /**
          * Defines the size of the input field.
         */
        "size": SizeTypes;
        /**
          * Defines the systemDate as a fiscalDate. If not set, the current date will automatically be selected.
         */
        "systemDate": number;
    }
    interface XenaIcon {
        /**
          * An alternative description to use for accessibility. If omitted, the icon is considered decorative and is hidden from accessibility tree
         */
        "label": string;
        /**
          * The name of a registered custom icon library.
         */
        "library": string;
        /**
          * The name of the icon to draw.
         */
        "name": string;
        "redraw": () => Promise<void>;
        /**
          * An external URL of an SVG file.
         */
        "src": string;
    }
    interface XenaIconButton {
        /**
          * Set to true to disable the button.
         */
        "disabled": boolean;
        /**
          * Tells the browser to download the linked file as this filename. Only used when `href` is set.
         */
        "download": string;
        /**
          * When set, the underlying button will be rendered as an `<a>` with this `href` instead of a `<button>`.
         */
        "href": string;
        /**
          * A description that gets read by screen readers and other assistive devices. For optimal accessibility, you should always include a label that describes what the icon button does.
         */
        "label": string;
        /**
          * The name of a registered custom icon library.
         */
        "library": string;
        /**
          * The name of the icon to draw.
         */
        "name": string;
        /**
          * An external URL of an SVG file.
         */
        "src": string;
        /**
          * Tells the browser where to open the link. Only used when `href` is set.
         */
        "target": '_blank' | '_parent' | '_self' | '_top';
    }
    interface XenaIconLibrary {
        /**
          * A function that mutates the SVG element before it renders.
         */
        "mutator": IconLibraryMutator;
        /**
          * The name of the icon library.
         */
        "name": string;
        /**
          * A function that translates an icon name to a URL where the corresponding SVG file exists The URL can be local or a CORS-enabled endpoint.
         */
        "resolver": IconLibraryResolver;
    }
    interface XenaInput {
        /**
          * If the value of the type attribute is `"file"`, then this attribute will indicate the types of files that the server accepts, otherwise it will be ignored. The value must be a comma-separated list of unique content type specifiers.
         */
        "accept"?: string;
        /**
          * Adjust the alignment of the content
         */
        "alignment": Alignments;
        /**
          * Indicates whether and how the text value should be automatically capitalized as it is entered/edited by the user.
         */
        "autocapitalize": string;
        /**
          * Indicates whether the value of the control can be automatically completed by the browser.
         */
        "autocomplete": AutocompleteTypes;
        /**
          * Whether auto correction should be enabled when the user is entering/editing the text value.
         */
        "autocorrect": 'on' | 'off';
        /**
          * This Boolean attribute lets you specify that a form control should have input focus when the page loads.
         */
        "autofocus": boolean;
        /**
          * If `true`, the value will be cleared after focus upon edit. Defaults to `true` when `type` is `"password"`, `false` for all other types.
         */
        "clearOnEdit"?: boolean;
        /**
          * If `true`, the user cannot interact with the input.
         */
        "disabled": boolean;
        /**
          * A hint to the browser for which enter key to display. Possible values: `"enter"`, `"done"`, `"go"`, `"next"`, `"previous"`, `"search"`, and `"send"`.
         */
        "enterkeyhint"?: 'enter' | 'done' | 'go' | 'next' | 'previous' | 'search' | 'send';
        /**
          * The input's error text. Alternatively, you can use the error-text slot.
         */
        "errorText": string;
        /**
          * Returns the native `<input>` element used under the hood.
         */
        "getInputElement": () => Promise<HTMLInputElement>;
        /**
          * The input's help text. Alternatively, you can use the help-text slot.
         */
        "helpText": string;
        /**
          * A hint to the browser for which keyboard to display. Possible values: `"none"`, `"text"`, `"tel"`, `"url"`, `"email"`, `"numeric"`, `"decimal"`, and `"search"`.
         */
        "inputmode"?: 'none' | 'text' | 'tel' | 'url' | 'email' | 'numeric' | 'decimal' | 'search';
        /**
          * The input's label. Alternatively, you can use the label slot.
         */
        "label": string;
        /**
          * The maximum value, which must not be less than its minimum (min attribute) value.
         */
        "max"?: string;
        /**
          * If the value of the type attribute is `text`, `email`, `search`, `password`, `tel`, or `url`, this attribute specifies the maximum number of characters that the user can enter.
         */
        "maxlength"?: number;
        /**
          * The minimum value, which must not be greater than its maximum (max attribute) value.
         */
        "min"?: string;
        /**
          * If the value of the type attribute is `text`, `email`, `search`, `password`, `tel`, or `url`, this attribute specifies the minimum number of characters that the user can enter.
         */
        "minlength"?: number;
        /**
          * If `true`, the user can enter more than one value. This attribute applies when the type attribute is set to `"email"` or `"file"`, otherwise it is ignored.
         */
        "multiple"?: boolean;
        /**
          * The name of the control, which is submitted with the form data.
         */
        "name": string;
        /**
          * A regular expression that the value is checked against. The pattern must match the entire value, not just some subset. Use the title attribute to describe the pattern to help the user. This attribute applies when the value of the type attribute is `"text"`, `"search"`, `"tel"`, `"url"`, `"email"`, `"date"`, or `"password"`, otherwise it is ignored. When the type attribute is `"date"`, `pattern` will only be used in browsers that do not support the `"date"` input type natively. See https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/date for more information.
         */
        "pattern"?: string;
        /**
          * Instructional text that shows before the input has a value.
         */
        "placeholder"?: string | null;
        /**
          * If `true`, the user cannot modify the value.
         */
        "readonly": boolean;
        /**
          * If `true`, the user must fill in a value before submitting a form.
         */
        "required": boolean;
        /**
          * Sets blur on the native `input` in `xena-input`. Use this method instead of the global `input.blur()`.
         */
        "setBlur": () => Promise<void>;
        /**
          * Sets focus on the native `input` in `xena-input`. Use this method instead of the global `input.focus()`.
         */
        "setFocus": () => Promise<void>;
        /**
          * Defines the shape of the input field.
         */
        "shape": ShapeTypes;
        /**
          * Defines the size of the input field.
         */
        "size": SizeTypes;
        /**
          * If `true`, the element will have its spelling and grammar checked.
         */
        "spellcheck": boolean;
        /**
          * Works with the min and max attributes to limit the increments at which a value can be set. Possible values are: `"any"` or a positive floating point number.
         */
        "step"?: string;
        /**
          * The type of control to display. The default type is text.
         */
        "type": TextFieldTypes;
        /**
          * The value of the input.
         */
        "value"?: string | number | null;
    }
    interface XenaLabel {
        /**
          * The label's type.
         */
        "type": 'primary' | 'success' | 'info' | 'warning' | 'danger' | 'default';
    }
    interface XenaList {
        /**
          * Set to true to show borders between list items.
         */
        "bordered": boolean;
    }
    interface XenaListItem {
        /**
          * When set, the list item will be rendered as an `<a>` with this `href` instead of a `<div>`.
         */
        "href": string;
    }
    interface XenaMenu {
        /**
          * Removes focus from the menu.
         */
        "removeFocus": () => Promise<void>;
        /**
          * Select the active menu element.
         */
        "selectActiveMenuElement": () => Promise<void>;
        /**
          * Sets focus on the menu.
         */
        "setFocus": () => Promise<void>;
        /**
          * Initiates type-to-select logic, which automatically selects an option based on what the user is currently typing. The key passed will be appended to the internal query and the selection will be updated. After a brief period, the internal query is cleared automatically. This method is intended to be used with the keydown event. Useful for enabling type-to-select when the menu doesn't have focus.
         */
        "typeToSelect": (key: string) => Promise<void>;
    }
    interface XenaMenuDivider {
    }
    interface XenaMenuItem {
        /**
          * Draws the menu in an active (i.e. or hover/focus), state to indicate the current menu selection. This is used in lieu of standard :hover and :focus states to prevent concurrent interactions from different devices, such as focusing with the keyboard and hovering with the mouse.
         */
        "active": boolean;
        /**
          * Set to true to draw the item in a checked state.
         */
        "checked": boolean;
        /**
          * Set to true to draw the menu item in a disabled state.
         */
        "disabled": boolean;
        /**
          * When set, the item will be rendered as an `<a>` with this `href` instead of a `<div>` - unless the item is disabled.
         */
        "href": string;
        /**
          * Sets this menu item active
         */
        "setActive": (value: boolean) => Promise<void>;
        /**
          * A unique value to store in the menu item.
         */
        "value": string;
    }
    interface XenaMenuLabel {
    }
    interface XenaModal {
        /**
          * Set to true to show a default close button in the header of the dialog.
         */
        "closable": boolean;
        /**
          * Set to true to let clicks on the overlay close the dialog.
         */
        "closableOverlay": boolean;
        /**
          * Hides the modal
         */
        "hide": () => Promise<void>;
        /**
          * The modal's label as displayed in the header. You should always include a relevant label even when using `no-header`, as it is required for proper accessibility.
         */
        "label": string;
        /**
          * Set to true to remove the padding in the boddy.
         */
        "noBodyPadding": boolean;
        /**
          * Set to true to disable the header. This will also remove the default close button, so please ensure you provide an easy, accessible way for users to dismiss the modal.
         */
        "noHeader": boolean;
        /**
          * Indicates whether or not the modal is open. You can use this in lieu of the show/hide methods.
         */
        "open": boolean;
        /**
          * Shows the modal
         */
        "show": () => Promise<void>;
    }
    interface XenaPageSize {
        /**
          * Label added just before the size selector.
         */
        "label": string;
        /**
          * The current page size.
         */
        "size": number;
        /**
          * The selectable page sizes.
         */
        "sizes": number[] | string;
    }
    interface XenaPagination {
        /**
          * The tooltip for button the changes paginator to the first page.
         */
        "firstPageTooltip": string;
        /**
          * The tooltip for button the changes paginator to the last page.
         */
        "lastPageTooltip": string;
        /**
          * The tooltip for button the changes paginator to the next page.
         */
        "nextPageTooltip": string;
        /**
          * The current page.
         */
        "page": number;
        /**
          * Label added just before the page selector.
         */
        "pageLabel": string;
        /**
          * The tooltip for button the changes paginator to the previous page.
         */
        "previousPageTooltip": string;
        /**
          * The total pages available.
         */
        "totalPages": number;
        /**
          * Label added just before the total number of pages.
         */
        "totalPagesLabel": string;
    }
    interface XenaPanel {
        /**
          * The panel header
         */
        "header": string;
    }
    interface XenaPanelDivider {
    }
    interface XenaPopover {
        /**
          * Show arrow on the popover pointing to the trigger.
         */
        "arrow": boolean;
        /**
          * The distance in pixels from which to offset the panel away from its trigger.
         */
        "distance": number;
        /**
          * Indicates whether or not the popover is open.
         */
        "open": boolean;
    }
    interface XenaProgressBar {
        /**
          * When true, percentage is ignored, the label is hidden, and the progress bar is drawn in an indeterminate state.
         */
        "indeterminate": boolean;
        /**
          * The progress bar's percentage, 0 to 100.
         */
        "percentage": number;
    }
    interface XenaProgressRing {
        /**
          * The current progress percentage, 0 - 100.
         */
        "percentage": number;
        /**
          * The size of the progress ring in pixels.
         */
        "size": number;
        /**
          * The stroke width of the progress ring in pixels.
         */
        "strokeWidth": number;
    }
    interface XenaRadio {
        /**
          * Set to true to draw the radio in a checked state.
         */
        "checked": boolean;
        /**
          * Set to true to disable the radio.
         */
        "disabled": boolean;
        /**
          * This will be true when the control is in an invalid state. Validity in range inputs is determined by the message provided by the `setCustomValidity` method.
         */
        "invalid": boolean;
        /**
          * The radio's name attribute.
         */
        "name": string;
        /**
          * Set to true to make the radio readonly.
         */
        "readonly": boolean;
        /**
          * Removes focus from the radio.
         */
        "removeFocus": () => Promise<void>;
        /**
          * Checks for validity and shows the browser's validation message if the control is invalid.
         */
        "reportValidity": () => Promise<boolean>;
        /**
          * Sets a custom validation message. If `message` is not empty, the field will be considered invalid.
         */
        "setCustomValidity": (message: string) => Promise<void>;
        /**
          * Sets focus on the radio.
         */
        "setFocus": (options?: FocusOptions) => Promise<void>;
        /**
          * The radio's value attribute.
         */
        "value": string;
    }
    interface XenaRadioGroup {
        /**
          * Set to true to disable the component.
         */
        "disabled": boolean;
        /**
          * The value of this component.
         */
        "value": string;
    }
    interface XenaRow {
    }
    interface XenaSelect {
        /**
          * Set to true to add a clear button when the select is populated.
         */
        "clearable": boolean;
        /**
          * Set to true to disable the select control.
         */
        "disabled": boolean;
        /**
          * The select's error text. Alternatively, you can use the error-text slot.
         */
        "errorText": string;
        /**
          * The select's help text. Alternatively, you can use the help-text slot.
         */
        "helpText": string;
        /**
          * Enable this option to prevent the panel from being clipped when the component is placed inside a container with `overflow: auto|scroll`.
         */
        "hoist": boolean;
        /**
          * This will be true when the control is in an invalid state. Validity is determined by the `required` prop.
         */
        "invalid": boolean;
        /**
          * The select's label. Alternatively, you can use the label slot.
         */
        "label": string;
        /**
          * The maximum number of tags to show when `multiple` is true. After the maximum, "+n" will be shown to indicate the number of additional items that are selected. Set to -1 to remove the limit.
         */
        "maxTagsVisible": number;
        /**
          * Set to true to enable multiselect.
         */
        "multiple": boolean;
        /**
          * The select's name.
         */
        "name": string;
        /**
          * Set to true to draw a pill-style select with rounded edges.
         */
        "pill": boolean;
        /**
          * The select's placeholder text.
         */
        "placeholder": string;
        /**
          * Set to true to hide remove button from each tag.
         */
        "removeTagClearable": boolean;
        /**
          * Checks for validity and shows the browser's validation message if the control is invalid.
         */
        "reportValidity": () => Promise<boolean>;
        /**
          * The select's required attribute.
         */
        "required": boolean;
        /**
          * Sets a custom validation message. If `message` is not empty, the field will be considered invalid.
         */
        "setCustomValidity": (message: string) => Promise<void>;
        /**
          * The select's size.
         */
        "size": 'small' | 'medium' | 'large';
        /**
          * The value of the control. This will be a string or an array depending on `multiple`.
         */
        "value": string | Array<string>;
    }
    interface XenaSlider {
        /**
          * Container height is set with the height-property. It is set with pixels or percentage of containing element.
         */
        "height": string;
        /**
          * The property for setting the slider's maximum value. Default is 100.
         */
        "max": string | number | { x: number; y: number };
        /**
          * The property for setting the slider's minimum value. Default is 0.
         */
        "min": string | number | { x: number; y: number };
        /**
          * The slider type. Default is horizontal.
         */
        "type": 'horizontal' | 'vertical' | 'both';
        /**
          * The components value is split into 'x' and 'y'. Default values are 0.
         */
        "value": string | number | { x: number; y: number };
        /**
          * Container width is set with the width-property. It is set with pixels or percentage of containing element.
         */
        "width": string;
    }
    interface XenaSpinner {
        /**
          * Spinner label
         */
        "label": string;
        /**
          * Spinner style
         */
        "mode": 'circle' | 'squares';
    }
    interface XenaStatistic {
        /**
          * Label of the statistic
         */
        "label": string;
        /**
          * Optional theming
         */
        "type": 'success' | 'danger';
    }
    interface XenaStatus {
        /**
          * The status color in hex format
         */
        "color": string;
        /**
          * Whether label is to be shown or not
         */
        "label": boolean;
    }
    interface XenaStep {
        /**
          * The active step.
         */
        "step": number;
    }
    interface XenaStepItem {
        /**
          * Whether the step is active or not. (Will be set by the Step component)
         */
        "active": boolean;
        /**
          * Header for the step item. (Will be set by the Step component.)
         */
        "header": string;
        /**
          * Label for the step item.
         */
        "label": string;
    }
    interface XenaSwitch {
        /**
          * Set to true to draw the switch in a checked state.
         */
        "checked": boolean;
        /**
          * Set to true to disable the switch.
         */
        "disabled": boolean;
        /**
          * This will be true when the control is in an invalid state. Validity is determined by the `required` prop.
         */
        "invalid": boolean;
        /**
          * Set to true if margin matching other input's label space should be added.
         */
        "labelMargin": boolean;
        /**
          * The switch's name attribute.
         */
        "name": string;
        /**
          * Removes focus from the switch.
         */
        "removeFocus": () => Promise<void>;
        /**
          * Checks for validity and shows the browser's validation message if the control is invalid.
         */
        "reportValidity": () => Promise<boolean>;
        /**
          * Set to true to make the switch a required field.
         */
        "required": boolean;
        /**
          * Sets a custom validation message. If `message` is not empty, the field will be considered invalid.
         */
        "setCustomValidity": (message: string) => Promise<void>;
        /**
          * Sets focus on the switch.
         */
        "setFocus": (options?: FocusOptions) => Promise<void>;
        /**
          * The switch's value attribute.
         */
        "value": string;
    }
    interface XenaTab {
        /**
          * Set to true to draw the tab in an active state.
         */
        "active": boolean;
        /**
          * When true, the tab will be rendered with a close icon.
         */
        "closable": boolean;
        /**
          * Set to true to draw the tab in a disabled state.
         */
        "disabled": boolean;
        /**
          * The name of the tab panel the tab will control. The panel must be located in the same tab group.
         */
        "panel": string;
        /**
          * Removes focus from the tab.
         */
        "removeFocus": () => Promise<void>;
        /**
          * Sets focus to the tab.
         */
        "setFocus": (options?: FocusOptions) => Promise<void>;
    }
    interface XenaTabGroup {
        /**
          * Disables the scroll arrows that appear when tabs overflow.
         */
        "noScrollControls": boolean;
        /**
          * The placement of the tabs.
         */
        "placement": 'top' | 'bottom' | 'left' | 'right';
        /**
          * Shows the specified tab panel.
         */
        "show": (panel: string) => Promise<void>;
        /**
          * Name of the selected tab
         */
        "value": string;
    }
    interface XenaTabPanel {
        /**
          * When true, the tab panel will be shown.
         */
        "active": boolean;
        /**
          * The tab panel's name.
         */
        "name": string;
    }
    interface XenaTable {
        /**
          * When hover the rows whith the mouse the row coler will change
         */
        "hoverable": boolean;
        /**
          * Adjust the cell padding
         */
        "size": SizeTypes;
        /**
          * When scrolling the table the table headers will stick to the top of the screen
         */
        "stickyHeader": boolean;
        /**
          * Set header styling or hide the header
         */
        "type": 'default' | 'light' | 'hidden';
        /**
          * Make first column a vertical header
         */
        "verticalHeader": boolean;
    }
    interface XenaTag {
        /**
          * Set to true to make the tag clearable.
         */
        "clearable": boolean;
        /**
          * Set to true to draw a pill-style tag with rounded edges.
         */
        "pill": boolean;
        /**
          * The tag's size.
         */
        "size": 'small' | 'medium' | 'large';
        /**
          * The tag's type.
         */
        "type": 'default' | 'primary' | 'success' | 'info' | 'warning' | 'danger' | 'text';
    }
    interface XenaTextarea {
        /**
          * The textarea's autocaptialize attribute.
         */
        "autocapitalize": string;
        /**
          * The textarea's autocomplete attribute.
         */
        "autocomplete": string;
        /**
          * The textarea's autocorrect attribute.
         */
        "autocorrect": string;
        /**
          * The textarea's autofocus attribute.
         */
        "autofocus": boolean;
        /**
          * Set to true to disable the textarea.
         */
        "disabled": boolean;
        /**
          * The textarea's help text. Alternatively, you can use the help-text slot.
         */
        "helpText": string;
        /**
          * The textarea's inputmode attribute.
         */
        "inputmode": 'none' | 'text' | 'decimal' | 'numeric' | 'tel' | 'search' | 'email' | 'url';
        /**
          * This will be true when the control is in an invalid state. Validity is determined by props such as `required`, `minlength`, and `maxlength` using the browser's constraint validation API.
         */
        "invalid": boolean;
        /**
          * The textarea's label. Alternatively, you can use the label slot.
         */
        "label": string;
        /**
          * The maximum length of input that will be considered valid.
         */
        "maxlength": number;
        /**
          * The minimum length of input that will be considered valid.
         */
        "minlength": number;
        /**
          * The textarea's name attribute.
         */
        "name": string;
        /**
          * The textarea's placeholder text.
         */
        "placeholder": string;
        /**
          * Set to true for a readonly textarea.
         */
        "readonly": boolean;
        /**
          * Removes focus fromt the textarea.
         */
        "removeFocus": () => Promise<void>;
        /**
          * Checks for validity and shows the browser's validation message if the control is invalid.
         */
        "reportValidity": () => Promise<boolean>;
        /**
          * The textarea's required attribute.
         */
        "required": boolean;
        /**
          * Controls how the textarea can be resized.
         */
        "resize": 'none' | 'vertical' | 'auto';
        /**
          * The number of rows to display by default.
         */
        "rows": number;
        /**
          * Selects all the text in the input.
         */
        "select": () => Promise<void>;
        /**
          * Sets a custom validation message. If `message` is not empty, the field will be considered invalid.
         */
        "setCustomValidity": (message: string) => Promise<void>;
        /**
          * Sets focus on the textarea.
         */
        "setFocus": (options?: FocusOptions) => Promise<void>;
        /**
          * Replaces a range of text with a new string.
         */
        "setRangeText": (replacement: string, start: number, end: number, selectMode?: 'select' | 'start' | 'end' | 'preserve') => Promise<void>;
        /**
          * Sets the start and end positions of the text selection (0-based).
         */
        "setSelectionRange": (selectionStart: number, selectionEnd: number, selectionDirection?: 'forward' | 'backward' | 'none') => Promise<void>;
        /**
          * The textarea's size.
         */
        "size": 'small' | 'medium' | 'large';
        /**
          * The textarea's spellcheck attribute.
         */
        "spellcheck": boolean;
        /**
          * The textarea's value attribute.
         */
        "value": string;
    }
    interface XenaTimeline {
        /**
          * Set to true to show items in reverse order.
         */
        "showReverse": boolean;
    }
    interface XenaTimelineItem {
        /**
          * Set if event has attachments.
         */
        "hasAttachments": boolean;
    }
    interface XenaTooltip {
        /**
          * The tooltip's content.
         */
        "content": string;
        /**
          * Set to true to disable the tooltip so it won't show when triggered.
         */
        "disabled": boolean;
        /**
          * The distance in pixels from which to offset the tooltip away from its target.
         */
        "distance": number;
        /**
          * Shows the tooltip.
         */
        "hide": () => Promise<void>;
        /**
          * Indicates whether or not the tooltip is open. You can use this in lieu of the show/hide methods.
         */
        "open": boolean;
        /**
          * The preferred placement of the tooltip. Note that the actual placement may vary as needed to keep the tooltip inside of the viewport.
         */
        "placement": | 'top'
    | 'top-start'
    | 'top-end'
    | 'right'
    | 'right-start'
    | 'right-end'
    | 'bottom'
    | 'bottom-start'
    | 'bottom-end'
    | 'left'
    | 'left-start'
    | 'left-end';
        /**
          * Shows the tooltip.
         */
        "show": () => Promise<void>;
        /**
          * The distance in pixels from which to offset the tooltip along its target.
         */
        "skidding": number;
        /**
          * Controls how the tooltip is activated. Possible options include `click`, `hover`, `focus`, and `manual`. Multiple options can be passed by separating them with a space. When manual is used, the tooltip must be activated programmatically.
         */
        "trigger": string;
    }
}
declare global {
    interface HTMLXenaAlertElement extends Components.XenaAlert, HTMLStencilElement {
    }
    var HTMLXenaAlertElement: {
        prototype: HTMLXenaAlertElement;
        new (): HTMLXenaAlertElement;
    };
    interface HTMLXenaAutocompleteElement extends Components.XenaAutocomplete, HTMLStencilElement {
    }
    var HTMLXenaAutocompleteElement: {
        prototype: HTMLXenaAutocompleteElement;
        new (): HTMLXenaAutocompleteElement;
    };
    interface HTMLXenaAutocompleteListElement extends Components.XenaAutocompleteList, HTMLStencilElement {
    }
    var HTMLXenaAutocompleteListElement: {
        prototype: HTMLXenaAutocompleteListElement;
        new (): HTMLXenaAutocompleteListElement;
    };
    interface HTMLXenaAvatarElement extends Components.XenaAvatar, HTMLStencilElement {
    }
    var HTMLXenaAvatarElement: {
        prototype: HTMLXenaAvatarElement;
        new (): HTMLXenaAvatarElement;
    };
    interface HTMLXenaButtonElement extends Components.XenaButton, HTMLStencilElement {
    }
    var HTMLXenaButtonElement: {
        prototype: HTMLXenaButtonElement;
        new (): HTMLXenaButtonElement;
    };
    interface HTMLXenaButtonGroupElement extends Components.XenaButtonGroup, HTMLStencilElement {
    }
    var HTMLXenaButtonGroupElement: {
        prototype: HTMLXenaButtonGroupElement;
        new (): HTMLXenaButtonGroupElement;
    };
    interface HTMLXenaCardElement extends Components.XenaCard, HTMLStencilElement {
    }
    var HTMLXenaCardElement: {
        prototype: HTMLXenaCardElement;
        new (): HTMLXenaCardElement;
    };
    interface HTMLXenaCardFooterElement extends Components.XenaCardFooter, HTMLStencilElement {
    }
    var HTMLXenaCardFooterElement: {
        prototype: HTMLXenaCardFooterElement;
        new (): HTMLXenaCardFooterElement;
    };
    interface HTMLXenaCardHeaderElement extends Components.XenaCardHeader, HTMLStencilElement {
    }
    var HTMLXenaCardHeaderElement: {
        prototype: HTMLXenaCardHeaderElement;
        new (): HTMLXenaCardHeaderElement;
    };
    interface HTMLXenaCellElement extends Components.XenaCell, HTMLStencilElement {
    }
    var HTMLXenaCellElement: {
        prototype: HTMLXenaCellElement;
        new (): HTMLXenaCellElement;
    };
    interface HTMLXenaCheckboxElement extends Components.XenaCheckbox, HTMLStencilElement {
    }
    var HTMLXenaCheckboxElement: {
        prototype: HTMLXenaCheckboxElement;
        new (): HTMLXenaCheckboxElement;
    };
    interface HTMLXenaColorElement extends Components.XenaColor, HTMLStencilElement {
    }
    var HTMLXenaColorElement: {
        prototype: HTMLXenaColorElement;
        new (): HTMLXenaColorElement;
    };
    interface HTMLXenaColorPickerElement extends Components.XenaColorPicker, HTMLStencilElement {
    }
    var HTMLXenaColorPickerElement: {
        prototype: HTMLXenaColorPickerElement;
        new (): HTMLXenaColorPickerElement;
    };
    interface HTMLXenaColumnElement extends Components.XenaColumn, HTMLStencilElement {
    }
    var HTMLXenaColumnElement: {
        prototype: HTMLXenaColumnElement;
        new (): HTMLXenaColumnElement;
    };
    interface HTMLXenaDropdownElement extends Components.XenaDropdown, HTMLStencilElement {
    }
    var HTMLXenaDropdownElement: {
        prototype: HTMLXenaDropdownElement;
        new (): HTMLXenaDropdownElement;
    };
    interface HTMLXenaEmptyElement extends Components.XenaEmpty, HTMLStencilElement {
    }
    var HTMLXenaEmptyElement: {
        prototype: HTMLXenaEmptyElement;
        new (): HTMLXenaEmptyElement;
    };
    interface HTMLXenaFiscalCalendarElement extends Components.XenaFiscalCalendar, HTMLStencilElement {
    }
    var HTMLXenaFiscalCalendarElement: {
        prototype: HTMLXenaFiscalCalendarElement;
        new (): HTMLXenaFiscalCalendarElement;
    };
    interface HTMLXenaFiscalDatepickerElement extends Components.XenaFiscalDatepicker, HTMLStencilElement {
    }
    var HTMLXenaFiscalDatepickerElement: {
        prototype: HTMLXenaFiscalDatepickerElement;
        new (): HTMLXenaFiscalDatepickerElement;
    };
    interface HTMLXenaIconElement extends Components.XenaIcon, HTMLStencilElement {
    }
    var HTMLXenaIconElement: {
        prototype: HTMLXenaIconElement;
        new (): HTMLXenaIconElement;
    };
    interface HTMLXenaIconButtonElement extends Components.XenaIconButton, HTMLStencilElement {
    }
    var HTMLXenaIconButtonElement: {
        prototype: HTMLXenaIconButtonElement;
        new (): HTMLXenaIconButtonElement;
    };
    interface HTMLXenaIconLibraryElement extends Components.XenaIconLibrary, HTMLStencilElement {
    }
    var HTMLXenaIconLibraryElement: {
        prototype: HTMLXenaIconLibraryElement;
        new (): HTMLXenaIconLibraryElement;
    };
    interface HTMLXenaInputElement extends Components.XenaInput, HTMLStencilElement {
    }
    var HTMLXenaInputElement: {
        prototype: HTMLXenaInputElement;
        new (): HTMLXenaInputElement;
    };
    interface HTMLXenaLabelElement extends Components.XenaLabel, HTMLStencilElement {
    }
    var HTMLXenaLabelElement: {
        prototype: HTMLXenaLabelElement;
        new (): HTMLXenaLabelElement;
    };
    interface HTMLXenaListElement extends Components.XenaList, HTMLStencilElement {
    }
    var HTMLXenaListElement: {
        prototype: HTMLXenaListElement;
        new (): HTMLXenaListElement;
    };
    interface HTMLXenaListItemElement extends Components.XenaListItem, HTMLStencilElement {
    }
    var HTMLXenaListItemElement: {
        prototype: HTMLXenaListItemElement;
        new (): HTMLXenaListItemElement;
    };
    interface HTMLXenaMenuElement extends Components.XenaMenu, HTMLStencilElement {
    }
    var HTMLXenaMenuElement: {
        prototype: HTMLXenaMenuElement;
        new (): HTMLXenaMenuElement;
    };
    interface HTMLXenaMenuDividerElement extends Components.XenaMenuDivider, HTMLStencilElement {
    }
    var HTMLXenaMenuDividerElement: {
        prototype: HTMLXenaMenuDividerElement;
        new (): HTMLXenaMenuDividerElement;
    };
    interface HTMLXenaMenuItemElement extends Components.XenaMenuItem, HTMLStencilElement {
    }
    var HTMLXenaMenuItemElement: {
        prototype: HTMLXenaMenuItemElement;
        new (): HTMLXenaMenuItemElement;
    };
    interface HTMLXenaMenuLabelElement extends Components.XenaMenuLabel, HTMLStencilElement {
    }
    var HTMLXenaMenuLabelElement: {
        prototype: HTMLXenaMenuLabelElement;
        new (): HTMLXenaMenuLabelElement;
    };
    interface HTMLXenaModalElement extends Components.XenaModal, HTMLStencilElement {
    }
    var HTMLXenaModalElement: {
        prototype: HTMLXenaModalElement;
        new (): HTMLXenaModalElement;
    };
    interface HTMLXenaPageSizeElement extends Components.XenaPageSize, HTMLStencilElement {
    }
    var HTMLXenaPageSizeElement: {
        prototype: HTMLXenaPageSizeElement;
        new (): HTMLXenaPageSizeElement;
    };
    interface HTMLXenaPaginationElement extends Components.XenaPagination, HTMLStencilElement {
    }
    var HTMLXenaPaginationElement: {
        prototype: HTMLXenaPaginationElement;
        new (): HTMLXenaPaginationElement;
    };
    interface HTMLXenaPanelElement extends Components.XenaPanel, HTMLStencilElement {
    }
    var HTMLXenaPanelElement: {
        prototype: HTMLXenaPanelElement;
        new (): HTMLXenaPanelElement;
    };
    interface HTMLXenaPanelDividerElement extends Components.XenaPanelDivider, HTMLStencilElement {
    }
    var HTMLXenaPanelDividerElement: {
        prototype: HTMLXenaPanelDividerElement;
        new (): HTMLXenaPanelDividerElement;
    };
    interface HTMLXenaPopoverElement extends Components.XenaPopover, HTMLStencilElement {
    }
    var HTMLXenaPopoverElement: {
        prototype: HTMLXenaPopoverElement;
        new (): HTMLXenaPopoverElement;
    };
    interface HTMLXenaProgressBarElement extends Components.XenaProgressBar, HTMLStencilElement {
    }
    var HTMLXenaProgressBarElement: {
        prototype: HTMLXenaProgressBarElement;
        new (): HTMLXenaProgressBarElement;
    };
    interface HTMLXenaProgressRingElement extends Components.XenaProgressRing, HTMLStencilElement {
    }
    var HTMLXenaProgressRingElement: {
        prototype: HTMLXenaProgressRingElement;
        new (): HTMLXenaProgressRingElement;
    };
    interface HTMLXenaRadioElement extends Components.XenaRadio, HTMLStencilElement {
    }
    var HTMLXenaRadioElement: {
        prototype: HTMLXenaRadioElement;
        new (): HTMLXenaRadioElement;
    };
    interface HTMLXenaRadioGroupElement extends Components.XenaRadioGroup, HTMLStencilElement {
    }
    var HTMLXenaRadioGroupElement: {
        prototype: HTMLXenaRadioGroupElement;
        new (): HTMLXenaRadioGroupElement;
    };
    interface HTMLXenaRowElement extends Components.XenaRow, HTMLStencilElement {
    }
    var HTMLXenaRowElement: {
        prototype: HTMLXenaRowElement;
        new (): HTMLXenaRowElement;
    };
    interface HTMLXenaSelectElement extends Components.XenaSelect, HTMLStencilElement {
    }
    var HTMLXenaSelectElement: {
        prototype: HTMLXenaSelectElement;
        new (): HTMLXenaSelectElement;
    };
    interface HTMLXenaSliderElement extends Components.XenaSlider, HTMLStencilElement {
    }
    var HTMLXenaSliderElement: {
        prototype: HTMLXenaSliderElement;
        new (): HTMLXenaSliderElement;
    };
    interface HTMLXenaSpinnerElement extends Components.XenaSpinner, HTMLStencilElement {
    }
    var HTMLXenaSpinnerElement: {
        prototype: HTMLXenaSpinnerElement;
        new (): HTMLXenaSpinnerElement;
    };
    interface HTMLXenaStatisticElement extends Components.XenaStatistic, HTMLStencilElement {
    }
    var HTMLXenaStatisticElement: {
        prototype: HTMLXenaStatisticElement;
        new (): HTMLXenaStatisticElement;
    };
    interface HTMLXenaStatusElement extends Components.XenaStatus, HTMLStencilElement {
    }
    var HTMLXenaStatusElement: {
        prototype: HTMLXenaStatusElement;
        new (): HTMLXenaStatusElement;
    };
    interface HTMLXenaStepElement extends Components.XenaStep, HTMLStencilElement {
    }
    var HTMLXenaStepElement: {
        prototype: HTMLXenaStepElement;
        new (): HTMLXenaStepElement;
    };
    interface HTMLXenaStepItemElement extends Components.XenaStepItem, HTMLStencilElement {
    }
    var HTMLXenaStepItemElement: {
        prototype: HTMLXenaStepItemElement;
        new (): HTMLXenaStepItemElement;
    };
    interface HTMLXenaSwitchElement extends Components.XenaSwitch, HTMLStencilElement {
    }
    var HTMLXenaSwitchElement: {
        prototype: HTMLXenaSwitchElement;
        new (): HTMLXenaSwitchElement;
    };
    interface HTMLXenaTabElement extends Components.XenaTab, HTMLStencilElement {
    }
    var HTMLXenaTabElement: {
        prototype: HTMLXenaTabElement;
        new (): HTMLXenaTabElement;
    };
    interface HTMLXenaTabGroupElement extends Components.XenaTabGroup, HTMLStencilElement {
    }
    var HTMLXenaTabGroupElement: {
        prototype: HTMLXenaTabGroupElement;
        new (): HTMLXenaTabGroupElement;
    };
    interface HTMLXenaTabPanelElement extends Components.XenaTabPanel, HTMLStencilElement {
    }
    var HTMLXenaTabPanelElement: {
        prototype: HTMLXenaTabPanelElement;
        new (): HTMLXenaTabPanelElement;
    };
    interface HTMLXenaTableElement extends Components.XenaTable, HTMLStencilElement {
    }
    var HTMLXenaTableElement: {
        prototype: HTMLXenaTableElement;
        new (): HTMLXenaTableElement;
    };
    interface HTMLXenaTagElement extends Components.XenaTag, HTMLStencilElement {
    }
    var HTMLXenaTagElement: {
        prototype: HTMLXenaTagElement;
        new (): HTMLXenaTagElement;
    };
    interface HTMLXenaTextareaElement extends Components.XenaTextarea, HTMLStencilElement {
    }
    var HTMLXenaTextareaElement: {
        prototype: HTMLXenaTextareaElement;
        new (): HTMLXenaTextareaElement;
    };
    interface HTMLXenaTimelineElement extends Components.XenaTimeline, HTMLStencilElement {
    }
    var HTMLXenaTimelineElement: {
        prototype: HTMLXenaTimelineElement;
        new (): HTMLXenaTimelineElement;
    };
    interface HTMLXenaTimelineItemElement extends Components.XenaTimelineItem, HTMLStencilElement {
    }
    var HTMLXenaTimelineItemElement: {
        prototype: HTMLXenaTimelineItemElement;
        new (): HTMLXenaTimelineItemElement;
    };
    interface HTMLXenaTooltipElement extends Components.XenaTooltip, HTMLStencilElement {
    }
    var HTMLXenaTooltipElement: {
        prototype: HTMLXenaTooltipElement;
        new (): HTMLXenaTooltipElement;
    };
    interface HTMLElementTagNameMap {
        "xena-alert": HTMLXenaAlertElement;
        "xena-autocomplete": HTMLXenaAutocompleteElement;
        "xena-autocomplete-list": HTMLXenaAutocompleteListElement;
        "xena-avatar": HTMLXenaAvatarElement;
        "xena-button": HTMLXenaButtonElement;
        "xena-button-group": HTMLXenaButtonGroupElement;
        "xena-card": HTMLXenaCardElement;
        "xena-card-footer": HTMLXenaCardFooterElement;
        "xena-card-header": HTMLXenaCardHeaderElement;
        "xena-cell": HTMLXenaCellElement;
        "xena-checkbox": HTMLXenaCheckboxElement;
        "xena-color": HTMLXenaColorElement;
        "xena-color-picker": HTMLXenaColorPickerElement;
        "xena-column": HTMLXenaColumnElement;
        "xena-dropdown": HTMLXenaDropdownElement;
        "xena-empty": HTMLXenaEmptyElement;
        "xena-fiscal-calendar": HTMLXenaFiscalCalendarElement;
        "xena-fiscal-datepicker": HTMLXenaFiscalDatepickerElement;
        "xena-icon": HTMLXenaIconElement;
        "xena-icon-button": HTMLXenaIconButtonElement;
        "xena-icon-library": HTMLXenaIconLibraryElement;
        "xena-input": HTMLXenaInputElement;
        "xena-label": HTMLXenaLabelElement;
        "xena-list": HTMLXenaListElement;
        "xena-list-item": HTMLXenaListItemElement;
        "xena-menu": HTMLXenaMenuElement;
        "xena-menu-divider": HTMLXenaMenuDividerElement;
        "xena-menu-item": HTMLXenaMenuItemElement;
        "xena-menu-label": HTMLXenaMenuLabelElement;
        "xena-modal": HTMLXenaModalElement;
        "xena-page-size": HTMLXenaPageSizeElement;
        "xena-pagination": HTMLXenaPaginationElement;
        "xena-panel": HTMLXenaPanelElement;
        "xena-panel-divider": HTMLXenaPanelDividerElement;
        "xena-popover": HTMLXenaPopoverElement;
        "xena-progress-bar": HTMLXenaProgressBarElement;
        "xena-progress-ring": HTMLXenaProgressRingElement;
        "xena-radio": HTMLXenaRadioElement;
        "xena-radio-group": HTMLXenaRadioGroupElement;
        "xena-row": HTMLXenaRowElement;
        "xena-select": HTMLXenaSelectElement;
        "xena-slider": HTMLXenaSliderElement;
        "xena-spinner": HTMLXenaSpinnerElement;
        "xena-statistic": HTMLXenaStatisticElement;
        "xena-status": HTMLXenaStatusElement;
        "xena-step": HTMLXenaStepElement;
        "xena-step-item": HTMLXenaStepItemElement;
        "xena-switch": HTMLXenaSwitchElement;
        "xena-tab": HTMLXenaTabElement;
        "xena-tab-group": HTMLXenaTabGroupElement;
        "xena-tab-panel": HTMLXenaTabPanelElement;
        "xena-table": HTMLXenaTableElement;
        "xena-tag": HTMLXenaTagElement;
        "xena-textarea": HTMLXenaTextareaElement;
        "xena-timeline": HTMLXenaTimelineElement;
        "xena-timeline-item": HTMLXenaTimelineItemElement;
        "xena-tooltip": HTMLXenaTooltipElement;
    }
}
declare namespace LocalJSX {
    interface XenaAlert {
        /**
          * Set to true to make the alert closable.
         */
        "closable"?: boolean;
        /**
          * The length of time, in milliseconds, the alert will show before closing itself. If the user interacts with the alert before it closes (e.g. moves the mouse over it), the timer will restart.
         */
        "duration"?: number;
        /**
          * The optional header of the alert.
         */
        "header"?: string;
        /**
          * Set to true to make the alert inline.
         */
        "inline"?: boolean;
        /**
          * Emitted after the alert closes and all transitions are complete.
         */
        "onXnAfterHide"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted after the alert opens and all transitions are complete.
         */
        "onXnAfterShow"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the alert closes. Calling `event.preventDefault()` will prevent it from being closed.
         */
        "onXnHide"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the alert opens. Calling `event.preventDefault()` will prevent it from being opened.
         */
        "onXnShow"?: (event: CustomEvent<any>) => void;
        /**
          * Indicates whether or not the alert is open. You can use this in lieu of the show/hide methods.
         */
        "open"?: boolean;
        /**
          * The type of alert.
         */
        "type"?: ExtendedColorTypes;
    }
    interface XenaAutocomplete {
        /**
          * Set the amount of time, in milliseconds, to wait before initiating search after each keystroke.
         */
        "debounce"?: number;
        /**
          * If `true`, the user cannot interact with the input.
         */
        "disabled"?: boolean;
        /**
          * The input's error text. Alternatively, you can use the error-text slot.
         */
        "errorText"?: string;
        /**
          * The input's help text.
         */
        "helpText"?: string;
        /**
          * The property name for the id of the item.
         */
        "idProperty"?: string;
        /**
          * The autocomplete's label.
         */
        "label"?: string;
        /**
          * The property name for the icon of the item shown in the dropdown list. The name of the icon must be for an icon in the default icon set. (See xena-icon)
         */
        "listIconProperty"?: string | ((e: any) => string);
        /**
          * The property name for the label of the item shown in the dropdown list.
         */
        "listLabelProperty"?: string | ((e: any) => string);
        /**
          * Specified the max height of the dropdown.
         */
        "maxDropdownHeight"?: string;
        /**
          * The text in dropdown when no results are found.
         */
        "noResultText"?: string;
        /**
          * Emitted when value has been changed - either by selecting an item from the list or by deleting the selected value.
         */
        "onValueChange"?: (event: CustomEvent<any>) => void;
        /**
          * Indicates whether or not the dropdown is open. You can use this in lieu of the show/hide methods.
         */
        "open"?: boolean;
        /**
          * The text to show in the input field when user is not searching.
         */
        "placeholder"?: string;
        /**
          * If `true`, the user must fill in a value before submitting a form.
         */
        "required"?: boolean;
        /**
          * Defines the shape of the input field.
         */
        "shape"?: ShapeTypes;
        /**
          * Whether the dropdown with results should be shown even when there are no results on the components initial focus.
         */
        "showInitialNoResult"?: boolean;
        /**
          * Defines the size of the input field.
         */
        "size"?: SizeTypes;
        /**
          * The selected value of the component.
         */
        "value"?: any;
        /**
          * The property name for the label of the item shown in the input field.
         */
        "valueLabelProperty"?: string | ((e: any) => string);
    }
    interface XenaAutocompleteList {
        /**
          * The optional index of the entry that is active by default.
         */
        "defaultActiveIndex"?: number;
        /**
          * The entries to show in the list.
         */
        "entries"?: any[];
        /**
          * The property name for the label of the item shown in the list.
         */
        "iconProperty"?: string | ((e: any) => string);
        /**
          * The property name for the id of the item.
         */
        "idProperty"?: string;
        /**
          * The property name for the label of the item shown in the list.
         */
        "labelProperty"?: string | ((e: any) => string);
        /**
          * The text to show when no results are in the list.
         */
        "noResultText"?: string;
        /**
          * Emitted when a menu item is selected.
         */
        "onXnSelect"?: (event: CustomEvent<any>) => void;
    }
    interface XenaAvatar {
        /**
          * Alternative text for the image.
         */
        "alt"?: string;
        /**
          * The image source to use for the avatar.
         */
        "image"?: string;
        /**
          * Initials to use as a fallback when no image is available (1-2 characters max recommended).
         */
        "initials"?: string;
        /**
          * The shape of the avatar.
         */
        "shape"?: 'circle' | 'square' | 'rounded';
    }
    interface XenaButton {
        /**
          * Set to true to show a caret at the end of the button.
         */
        "caret"?: boolean;
        /**
          * Set to true to disable the button. For links the `href` will be removed
         */
        "disabled"?: boolean;
        /**
          * Tells the browser to download the linked file as this filename. Only used when `href` is set.
         */
        "download"?: string;
        /**
          * When set, the underlying button will be rendered as an `<a>` with this `href` instead of a `<button>`.
         */
        "href"?: string;
        /**
          * Set to true to show loading state.
         */
        "loading"?: boolean;
        /**
          * The button's mode.
         */
        "mode"?: OutlineTypes;
        /**
          * An optional name for the button. Ignored when `href` is set.
         */
        "name"?: string;
        /**
          * Emitted when the button loses focus.
         */
        "onXnBlur"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the button gains focus.
         */
        "onXnFocus"?: (event: CustomEvent<any>) => void;
        /**
          * The button's size.
         */
        "size"?: SizeTypes;
        /**
          * Indicates if activating the button should submit the form. Ignored when `href` is set.
         */
        "submit"?: boolean;
        /**
          * Tells the browser where to open the link. Only used when `href` is set.
         */
        "target"?: '_blank' | '_parent' | '_self' | '_top';
        /**
          * The button's type. (link type is deprecated)
         */
        "type"?: BaseColorTypes | 'link' | 'default';
        /**
          * An optional value for the button. Ignored when `href` is set.
         */
        "value"?: string;
    }
    interface XenaButtonGroup {
        /**
          * A label to use for the button group's `aria-label` attribute.
         */
        "label"?: string;
    }
    interface XenaCard {
        /**
          * Alter the appearance of the card element.
         */
        "appearance"?: 'outline' | 'subtle' | 'filled';
        /**
          * When set, the underlying element will be rendered as an `<a>` with this `href` instead of a `<div>`.
         */
        "href"?: string;
    }
    interface XenaCardFooter {
    }
    interface XenaCardHeader {
    }
    interface XenaCell {
        /**
          * Adjust the alignment of the content
         */
        "alignment"?: Alignments;
        /**
          * Adjust the colspan of the cell
         */
        "colspan"?: number;
    }
    interface XenaCheckbox {
        /**
          * Set to true to draw the checkbox in a checked state.
         */
        "checked"?: boolean;
        /**
          * Set to true to disable the checkbox.
         */
        "disabled"?: boolean;
        /**
          * Set to true to draw the checkbox in an indeterminate state.
         */
        "indeterminate"?: boolean;
        /**
          * This will be true when the control is in an invalid state. Validity is determined by the `required` prop.
         */
        "invalid"?: boolean;
        /**
          * The checkbox's name attribute.
         */
        "name"?: string;
        /**
          * Emitted when the control's checked state changes.
         */
        "onCheckedChange"?: (event: CustomEvent<boolean>) => void;
        /**
          * Emitted when the control loses focus.
         */
        "onXnBlur"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the control gains focus.
         */
        "onXnFocus"?: (event: CustomEvent<any>) => void;
        /**
          * Set to true to make the checkbox a required field.
         */
        "required"?: boolean;
        /**
          * The checkbox's value attribute.
         */
        "value"?: string;
    }
    interface XenaColor {
        /**
          * Set to true to draw the component in a checked state.
         */
        "checked"?: boolean;
        /**
          * Set to true to disable the component.
         */
        "disabled"?: boolean;
        /**
          * Emitted when the control's checked state changes.
         */
        "onCheckedChange"?: (event: CustomEvent<any>) => void;
        /**
          * Emits any changes to the value of the component.
         */
        "onValueChange"?: (event: CustomEvent<string>) => void;
        /**
          * Set to true to make the component selectable.
         */
        "selectable"?: boolean;
        /**
          * The color value of this component.
         */
        "value"?: string;
    }
    interface XenaColorPicker {
        /**
          * A hex value is emitted whenever the color is changed by swatches, sliders, or input.
         */
        "onValueChange"?: (event: CustomEvent<string>) => void;
        /**
          * Swatches are predefined colors shown at the top of the color picker. Swatches must be written as hex values with `#` as prefix like this: `#517770`.
         */
        "swatches"?: string;
        /**
          * The components type.
         */
        "type"?: 'default' | 'expandable' | 'swatches';
        /**
          * The components value. The value is set by selecting a color with the color picker.
         */
        "value"?: string;
    }
    interface XenaColumn {
        /**
          * Adjust the alignment of the content
         */
        "alignment"?: Alignments;
        /**
          * Adjust the colspan of the column
         */
        "colspan"?: number;
        /**
          * Adjust the width of the column
         */
        "width"?: string;
    }
    interface XenaDropdown {
        /**
          * Show arrow on the dropdown pointing to the trigger.
         */
        "arrow"?: boolean;
        /**
          * Determines whether the dropdown should hide when a menu item is selected.
         */
        "closeOnSelect"?: boolean;
        /**
          * The dropdown will close when the user interacts outside of this element (e.g. clicking).
         */
        "containingElement"?: HTMLElement;
        /**
          * The distance in pixels from which to offset the panel away from its trigger.
         */
        "distance"?: number;
        /**
          * Enable this option to prevent the panel from being clipped when the component is placed inside a container with `overflow: auto|scroll`.
         */
        "hoist"?: boolean;
        /**
          * Disables toggle keys for dropdown. Keys for toggling will only close the dropdown, not open it.
         */
        "noToggleKey"?: boolean;
        /**
          * Emitted after the dropdown closes and all transitions are complete.
         */
        "onXnAfterHide"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted after the dropdown opens and all transitions are complete.
         */
        "onXnAfterShow"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the dropdown closes. Calling `event.preventDefault()` will prevent it from being closed.
         */
        "onXnHide"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the dropdown opens. Calling `event.preventDefault()` will prevent it from being opened.
         */
        "onXnShow"?: (event: CustomEvent<any>) => void;
        /**
          * Indicates whether or not the dropdown is open. You can use this in lieu of the show/hide methods.
         */
        "open"?: boolean;
        /**
          * The preferred placement of the dropdown panel. Note that the actual placement may vary as needed to keep the panel inside of the viewport.
         */
        "placement"?: | 'top'
    | 'top-start'
    | 'top-end'
    | 'bottom'
    | 'bottom-start'
    | 'bottom-end'
    | 'right'
    | 'right-start'
    | 'right-end'
    | 'left'
    | 'left-start'
    | 'left-end';
        /**
          * The distance in pixels from which to offset the panel along its trigger.
         */
        "skidding"?: number;
        /**
          * Action taken against the dropdown when trigger is clicked.
         */
        "triggerClickAction"?: 'toggle' | 'open' | 'none';
    }
    interface XenaEmpty {
        /**
          * The empty headline
         */
        "header"?: string;
    }
    interface XenaFiscalCalendar {
        /**
          * The selected date of the calendar, given as a fiscalDate number.
         */
        "date"?: number;
        /**
          * Emits the selected fiscalDate.
         */
        "onDateChange"?: (event: CustomEvent<number>) => void;
        /**
          * Defines the systemDate as a fiscalDate. If not set, the current date will automatically be selected.
         */
        "systemDate"?: number;
    }
    interface XenaFiscalDatepicker {
        /**
          * Defines the currently selected date. If not set, the current date date will be used.
         */
        "date"?: number;
        /**
          * If `true`, the user cannot interact with the input.
         */
        "disabled"?: boolean;
        /**
          * The datepicker's help text.
         */
        "helpText"?: string;
        /**
          * The datepicker's label.
         */
        "label"?: string;
        /**
          * Emitted when selected date changes.
         */
        "onDateChange"?: (event: CustomEvent<any>) => void;
        /**
          * Indicates whether or not the dropdown is open. You can use this in lieu of the show/hide methods.
         */
        "open"?: boolean;
        /**
          * Defines the shape of the input field.
         */
        "shape"?: ShapeTypes;
        /**
          * Defines the size of the input field.
         */
        "size"?: SizeTypes;
        /**
          * Defines the systemDate as a fiscalDate. If not set, the current date will automatically be selected.
         */
        "systemDate"?: number;
    }
    interface XenaIcon {
        /**
          * An alternative description to use for accessibility. If omitted, the icon is considered decorative and is hidden from accessibility tree
         */
        "label"?: string;
        /**
          * The name of a registered custom icon library.
         */
        "library"?: string;
        /**
          * The name of the icon to draw.
         */
        "name"?: string;
        /**
          * Emitted when the icon failed to load.
         */
        "onXnError"?: (event: CustomEvent<{ status?: number }>) => void;
        /**
          * Emitted when the icon has loaded.
         */
        "onXnLoad"?: (event: CustomEvent<any>) => void;
        /**
          * An external URL of an SVG file.
         */
        "src"?: string;
    }
    interface XenaIconButton {
        /**
          * Set to true to disable the button.
         */
        "disabled"?: boolean;
        /**
          * Tells the browser to download the linked file as this filename. Only used when `href` is set.
         */
        "download"?: string;
        /**
          * When set, the underlying button will be rendered as an `<a>` with this `href` instead of a `<button>`.
         */
        "href"?: string;
        /**
          * A description that gets read by screen readers and other assistive devices. For optimal accessibility, you should always include a label that describes what the icon button does.
         */
        "label"?: string;
        /**
          * The name of a registered custom icon library.
         */
        "library"?: string;
        /**
          * The name of the icon to draw.
         */
        "name"?: string;
        /**
          * An external URL of an SVG file.
         */
        "src"?: string;
        /**
          * Tells the browser where to open the link. Only used when `href` is set.
         */
        "target"?: '_blank' | '_parent' | '_self' | '_top';
    }
    interface XenaIconLibrary {
        /**
          * A function that mutates the SVG element before it renders.
         */
        "mutator"?: IconLibraryMutator;
        /**
          * The name of the icon library.
         */
        "name"?: string;
        /**
          * A function that translates an icon name to a URL where the corresponding SVG file exists The URL can be local or a CORS-enabled endpoint.
         */
        "resolver"?: IconLibraryResolver;
    }
    interface XenaInput {
        /**
          * If the value of the type attribute is `"file"`, then this attribute will indicate the types of files that the server accepts, otherwise it will be ignored. The value must be a comma-separated list of unique content type specifiers.
         */
        "accept"?: string;
        /**
          * Adjust the alignment of the content
         */
        "alignment"?: Alignments;
        /**
          * Indicates whether and how the text value should be automatically capitalized as it is entered/edited by the user.
         */
        "autocapitalize"?: string;
        /**
          * Indicates whether the value of the control can be automatically completed by the browser.
         */
        "autocomplete"?: AutocompleteTypes;
        /**
          * Whether auto correction should be enabled when the user is entering/editing the text value.
         */
        "autocorrect"?: 'on' | 'off';
        /**
          * This Boolean attribute lets you specify that a form control should have input focus when the page loads.
         */
        "autofocus"?: boolean;
        /**
          * If `true`, the value will be cleared after focus upon edit. Defaults to `true` when `type` is `"password"`, `false` for all other types.
         */
        "clearOnEdit"?: boolean;
        /**
          * If `true`, the user cannot interact with the input.
         */
        "disabled"?: boolean;
        /**
          * A hint to the browser for which enter key to display. Possible values: `"enter"`, `"done"`, `"go"`, `"next"`, `"previous"`, `"search"`, and `"send"`.
         */
        "enterkeyhint"?: 'enter' | 'done' | 'go' | 'next' | 'previous' | 'search' | 'send';
        /**
          * The input's error text. Alternatively, you can use the error-text slot.
         */
        "errorText"?: string;
        /**
          * The input's help text. Alternatively, you can use the help-text slot.
         */
        "helpText"?: string;
        /**
          * A hint to the browser for which keyboard to display. Possible values: `"none"`, `"text"`, `"tel"`, `"url"`, `"email"`, `"numeric"`, `"decimal"`, and `"search"`.
         */
        "inputmode"?: 'none' | 'text' | 'tel' | 'url' | 'email' | 'numeric' | 'decimal' | 'search';
        /**
          * The input's label. Alternatively, you can use the label slot.
         */
        "label"?: string;
        /**
          * The maximum value, which must not be less than its minimum (min attribute) value.
         */
        "max"?: string;
        /**
          * If the value of the type attribute is `text`, `email`, `search`, `password`, `tel`, or `url`, this attribute specifies the maximum number of characters that the user can enter.
         */
        "maxlength"?: number;
        /**
          * The minimum value, which must not be greater than its maximum (max attribute) value.
         */
        "min"?: string;
        /**
          * If the value of the type attribute is `text`, `email`, `search`, `password`, `tel`, or `url`, this attribute specifies the minimum number of characters that the user can enter.
         */
        "minlength"?: number;
        /**
          * If `true`, the user can enter more than one value. This attribute applies when the type attribute is set to `"email"` or `"file"`, otherwise it is ignored.
         */
        "multiple"?: boolean;
        /**
          * The name of the control, which is submitted with the form data.
         */
        "name"?: string;
        /**
          * Emitted when the value has changed.
         */
        "onValueChange"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the input loses focus.
         */
        "onXnBlur"?: (event: CustomEvent<FocusEvent>) => void;
        /**
          * Emitted when the input has focus.
         */
        "onXnFocus"?: (event: CustomEvent<FocusEvent>) => void;
        /**
          * Emitted when a keyboard input occurred.
         */
        "onXnInput"?: (event: CustomEvent<KeyboardEvent>) => void;
        /**
          * A regular expression that the value is checked against. The pattern must match the entire value, not just some subset. Use the title attribute to describe the pattern to help the user. This attribute applies when the value of the type attribute is `"text"`, `"search"`, `"tel"`, `"url"`, `"email"`, `"date"`, or `"password"`, otherwise it is ignored. When the type attribute is `"date"`, `pattern` will only be used in browsers that do not support the `"date"` input type natively. See https://developer.mozilla.org/en-US/docs/Web/HTML/Element/input/date for more information.
         */
        "pattern"?: string;
        /**
          * Instructional text that shows before the input has a value.
         */
        "placeholder"?: string | null;
        /**
          * If `true`, the user cannot modify the value.
         */
        "readonly"?: boolean;
        /**
          * If `true`, the user must fill in a value before submitting a form.
         */
        "required"?: boolean;
        /**
          * Defines the shape of the input field.
         */
        "shape"?: ShapeTypes;
        /**
          * Defines the size of the input field.
         */
        "size"?: SizeTypes;
        /**
          * If `true`, the element will have its spelling and grammar checked.
         */
        "spellcheck"?: boolean;
        /**
          * Works with the min and max attributes to limit the increments at which a value can be set. Possible values are: `"any"` or a positive floating point number.
         */
        "step"?: string;
        /**
          * The type of control to display. The default type is text.
         */
        "type"?: TextFieldTypes;
        /**
          * The value of the input.
         */
        "value"?: string | number | null;
    }
    interface XenaLabel {
        /**
          * The label's type.
         */
        "type"?: 'primary' | 'success' | 'info' | 'warning' | 'danger' | 'default';
    }
    interface XenaList {
        /**
          * Set to true to show borders between list items.
         */
        "bordered"?: boolean;
    }
    interface XenaListItem {
        /**
          * When set, the list item will be rendered as an `<a>` with this `href` instead of a `<div>`.
         */
        "href"?: string;
    }
    interface XenaMenu {
        /**
          * Emitted when the menu loses focus.
         */
        "onXnBlur"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the menu gains focus.
         */
        "onXnFocus"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when a menu item is selected.
         */
        "onXnSelect"?: (event: CustomEvent<any>) => void;
    }
    interface XenaMenuDivider {
    }
    interface XenaMenuItem {
        /**
          * Draws the menu in an active (i.e. or hover/focus), state to indicate the current menu selection. This is used in lieu of standard :hover and :focus states to prevent concurrent interactions from different devices, such as focusing with the keyboard and hovering with the mouse.
         */
        "active"?: boolean;
        /**
          * Set to true to draw the item in a checked state.
         */
        "checked"?: boolean;
        /**
          * Set to true to draw the menu item in a disabled state.
         */
        "disabled"?: boolean;
        /**
          * When set, the item will be rendered as an `<a>` with this `href` instead of a `<div>` - unless the item is disabled.
         */
        "href"?: string;
        /**
          * Emitted when the menu item becomes active.
         */
        "onXnActivate"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the menu item becomes inactive.
         */
        "onXnDeactivate"?: (event: CustomEvent<any>) => void;
        /**
          * A unique value to store in the menu item.
         */
        "value"?: string;
    }
    interface XenaMenuLabel {
    }
    interface XenaModal {
        /**
          * Set to true to show a default close button in the header of the dialog.
         */
        "closable"?: boolean;
        /**
          * Set to true to let clicks on the overlay close the dialog.
         */
        "closableOverlay"?: boolean;
        /**
          * The modal's label as displayed in the header. You should always include a relevant label even when using `no-header`, as it is required for proper accessibility.
         */
        "label"?: string;
        /**
          * Set to true to remove the padding in the boddy.
         */
        "noBodyPadding"?: boolean;
        /**
          * Set to true to disable the header. This will also remove the default close button, so please ensure you provide an easy, accessible way for users to dismiss the modal.
         */
        "noHeader"?: boolean;
        /**
          * Emitted after the modal closes and all transitions are complete.
         */
        "onXnAfterHide"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted after the modal opens and all transitions are complete.
         */
        "onXnAfterShow"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the modal closes. Calling `event.preventDefault()` will prevent it from being closed.
         */
        "onXnHide"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the overlay is clicked. Calling `event.preventDefault()` will prevent the modal from closing.
         */
        "onXnOverlayDismiss"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the modal opens. Calling `event.preventDefault()` will prevent it from being opened.
         */
        "onXnShow"?: (event: CustomEvent<any>) => void;
        /**
          * Indicates whether or not the modal is open. You can use this in lieu of the show/hide methods.
         */
        "open"?: boolean;
    }
    interface XenaPageSize {
        /**
          * Label added just before the size selector.
         */
        "label"?: string;
        /**
          * Emitted when the selected size changes.
         */
        "onSizeChange"?: (event: CustomEvent<any>) => void;
        /**
          * The current page size.
         */
        "size"?: number;
        /**
          * The selectable page sizes.
         */
        "sizes"?: number[] | string;
    }
    interface XenaPagination {
        /**
          * The tooltip for button the changes paginator to the first page.
         */
        "firstPageTooltip"?: string;
        /**
          * The tooltip for button the changes paginator to the last page.
         */
        "lastPageTooltip"?: string;
        /**
          * The tooltip for button the changes paginator to the next page.
         */
        "nextPageTooltip"?: string;
        /**
          * Emitted when the page changes.
         */
        "onPageChange"?: (event: CustomEvent<any>) => void;
        /**
          * The current page.
         */
        "page"?: number;
        /**
          * Label added just before the page selector.
         */
        "pageLabel"?: string;
        /**
          * The tooltip for button the changes paginator to the previous page.
         */
        "previousPageTooltip"?: string;
        /**
          * The total pages available.
         */
        "totalPages"?: number;
        /**
          * Label added just before the total number of pages.
         */
        "totalPagesLabel"?: string;
    }
    interface XenaPanel {
        /**
          * The panel header
         */
        "header"?: string;
    }
    interface XenaPanelDivider {
    }
    interface XenaPopover {
        /**
          * Show arrow on the popover pointing to the trigger.
         */
        "arrow"?: boolean;
        /**
          * The distance in pixels from which to offset the panel away from its trigger.
         */
        "distance"?: number;
        /**
          * Indicates whether or not the popover is open.
         */
        "open"?: boolean;
    }
    interface XenaProgressBar {
        /**
          * When true, percentage is ignored, the label is hidden, and the progress bar is drawn in an indeterminate state.
         */
        "indeterminate"?: boolean;
        /**
          * The progress bar's percentage, 0 to 100.
         */
        "percentage"?: number;
    }
    interface XenaProgressRing {
        /**
          * The current progress percentage, 0 - 100.
         */
        "percentage"?: number;
        /**
          * The size of the progress ring in pixels.
         */
        "size"?: number;
        /**
          * The stroke width of the progress ring in pixels.
         */
        "strokeWidth"?: number;
    }
    interface XenaRadio {
        /**
          * Set to true to draw the radio in a checked state.
         */
        "checked"?: boolean;
        /**
          * Set to true to disable the radio.
         */
        "disabled"?: boolean;
        /**
          * This will be true when the control is in an invalid state. Validity in range inputs is determined by the message provided by the `setCustomValidity` method.
         */
        "invalid"?: boolean;
        /**
          * The radio's name attribute.
         */
        "name"?: string;
        /**
          * Emitted when the control's checked state changes.
         */
        "onCheckedChange"?: (event: CustomEvent<boolean>) => void;
        /**
          * Emitted when the control loses focus.
         */
        "onXnBlur"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the control gains focus.
         */
        "onXnFocus"?: (event: CustomEvent<any>) => void;
        /**
          * Set to true to make the radio readonly.
         */
        "readonly"?: boolean;
        /**
          * The radio's value attribute.
         */
        "value"?: string;
    }
    interface XenaRadioGroup {
        /**
          * Set to true to disable the component.
         */
        "disabled"?: boolean;
        /**
          * Emits any changes to the value of the component.
         */
        "onValueChange"?: (event: CustomEvent<string>) => void;
        /**
          * The value of this component.
         */
        "value"?: string;
    }
    interface XenaRow {
    }
    interface XenaSelect {
        /**
          * Set to true to add a clear button when the select is populated.
         */
        "clearable"?: boolean;
        /**
          * Set to true to disable the select control.
         */
        "disabled"?: boolean;
        /**
          * The select's error text. Alternatively, you can use the error-text slot.
         */
        "errorText"?: string;
        /**
          * The select's help text. Alternatively, you can use the help-text slot.
         */
        "helpText"?: string;
        /**
          * Enable this option to prevent the panel from being clipped when the component is placed inside a container with `overflow: auto|scroll`.
         */
        "hoist"?: boolean;
        /**
          * This will be true when the control is in an invalid state. Validity is determined by the `required` prop.
         */
        "invalid"?: boolean;
        /**
          * The select's label. Alternatively, you can use the label slot.
         */
        "label"?: string;
        /**
          * The maximum number of tags to show when `multiple` is true. After the maximum, "+n" will be shown to indicate the number of additional items that are selected. Set to -1 to remove the limit.
         */
        "maxTagsVisible"?: number;
        /**
          * Set to true to enable multiselect.
         */
        "multiple"?: boolean;
        /**
          * The select's name.
         */
        "name"?: string;
        /**
          * Emitted when the control's value changes.
         */
        "onValueChange"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the control loses focus.
         */
        "onXnBlur"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the control gains focus.
         */
        "onXnFocus"?: (event: CustomEvent<any>) => void;
        /**
          * Set to true to draw a pill-style select with rounded edges.
         */
        "pill"?: boolean;
        /**
          * The select's placeholder text.
         */
        "placeholder"?: string;
        /**
          * Set to true to hide remove button from each tag.
         */
        "removeTagClearable"?: boolean;
        /**
          * The select's required attribute.
         */
        "required"?: boolean;
        /**
          * The select's size.
         */
        "size"?: 'small' | 'medium' | 'large';
        /**
          * The value of the control. This will be a string or an array depending on `multiple`.
         */
        "value"?: string | Array<string>;
    }
    interface XenaSlider {
        /**
          * Container height is set with the height-property. It is set with pixels or percentage of containing element.
         */
        "height"?: string;
        /**
          * The property for setting the slider's maximum value. Default is 100.
         */
        "max"?: string | number | { x: number; y: number };
        /**
          * The property for setting the slider's minimum value. Default is 0.
         */
        "min"?: string | number | { x: number; y: number };
        /**
          * Value is emitted when the handler is moved via mousedown or mousemove events.
         */
        "onValueChange"?: (event: CustomEvent<{ x: number; y: number }>) => void;
        /**
          * The slider type. Default is horizontal.
         */
        "type"?: 'horizontal' | 'vertical' | 'both';
        /**
          * The components value is split into 'x' and 'y'. Default values are 0.
         */
        "value"?: string | number | { x: number; y: number };
        /**
          * Container width is set with the width-property. It is set with pixels or percentage of containing element.
         */
        "width"?: string;
    }
    interface XenaSpinner {
        /**
          * Spinner label
         */
        "label"?: string;
        /**
          * Spinner style
         */
        "mode"?: 'circle' | 'squares';
    }
    interface XenaStatistic {
        /**
          * Label of the statistic
         */
        "label"?: string;
        /**
          * Optional theming
         */
        "type"?: 'success' | 'danger';
    }
    interface XenaStatus {
        /**
          * The status color in hex format
         */
        "color"?: string;
        /**
          * Whether label is to be shown or not
         */
        "label"?: boolean;
    }
    interface XenaStep {
        /**
          * The active step.
         */
        "step"?: number;
    }
    interface XenaStepItem {
        /**
          * Whether the step is active or not. (Will be set by the Step component)
         */
        "active"?: boolean;
        /**
          * Header for the step item. (Will be set by the Step component.)
         */
        "header"?: string;
        /**
          * Label for the step item.
         */
        "label"?: string;
    }
    interface XenaSwitch {
        /**
          * Set to true to draw the switch in a checked state.
         */
        "checked"?: boolean;
        /**
          * Set to true to disable the switch.
         */
        "disabled"?: boolean;
        /**
          * This will be true when the control is in an invalid state. Validity is determined by the `required` prop.
         */
        "invalid"?: boolean;
        /**
          * Set to true if margin matching other input's label space should be added.
         */
        "labelMargin"?: boolean;
        /**
          * The switch's name attribute.
         */
        "name"?: string;
        /**
          * Emitted when the control's checked state changes.
         */
        "onCheckedChange"?: (event: CustomEvent<boolean>) => void;
        /**
          * Emitted when the control loses focus.
         */
        "onXnBlur"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the control gains focus.
         */
        "onXnFocus"?: (event: CustomEvent<any>) => void;
        /**
          * Set to true to make the switch a required field.
         */
        "required"?: boolean;
        /**
          * The switch's value attribute.
         */
        "value"?: string;
    }
    interface XenaTab {
        /**
          * Set to true to draw the tab in an active state.
         */
        "active"?: boolean;
        /**
          * When true, the tab will be rendered with a close icon.
         */
        "closable"?: boolean;
        /**
          * Set to true to draw the tab in a disabled state.
         */
        "disabled"?: boolean;
        /**
          * Emitted when the tab is closable and the close button is activated.
         */
        "onXnClose"?: (event: CustomEvent<any>) => void;
        /**
          * The name of the tab panel the tab will control. The panel must be located in the same tab group.
         */
        "panel"?: string;
    }
    interface XenaTabGroup {
        /**
          * Disables the scroll arrows that appear when tabs overflow.
         */
        "noScrollControls"?: boolean;
        /**
          * Emitted when value changes
         */
        "onValueChange"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when a tab is hidden.
         */
        "onXnTabHide"?: (event: CustomEvent<{ name: string }>) => void;
        /**
          * Emitted when a tab is shown.
         */
        "onXnTabShow"?: (event: CustomEvent<{ name: string }>) => void;
        /**
          * The placement of the tabs.
         */
        "placement"?: 'top' | 'bottom' | 'left' | 'right';
        /**
          * Name of the selected tab
         */
        "value"?: string;
    }
    interface XenaTabPanel {
        /**
          * When true, the tab panel will be shown.
         */
        "active"?: boolean;
        /**
          * The tab panel's name.
         */
        "name"?: string;
    }
    interface XenaTable {
        /**
          * When hover the rows whith the mouse the row coler will change
         */
        "hoverable"?: boolean;
        /**
          * Adjust the cell padding
         */
        "size"?: SizeTypes;
        /**
          * When scrolling the table the table headers will stick to the top of the screen
         */
        "stickyHeader"?: boolean;
        /**
          * Set header styling or hide the header
         */
        "type"?: 'default' | 'light' | 'hidden';
        /**
          * Make first column a vertical header
         */
        "verticalHeader"?: boolean;
    }
    interface XenaTag {
        /**
          * Set to true to make the tag clearable.
         */
        "clearable"?: boolean;
        /**
          * Emitted when the clear button is activated.
         */
        "onXnClear"?: (event: CustomEvent<any>) => void;
        /**
          * Set to true to draw a pill-style tag with rounded edges.
         */
        "pill"?: boolean;
        /**
          * The tag's size.
         */
        "size"?: 'small' | 'medium' | 'large';
        /**
          * The tag's type.
         */
        "type"?: 'default' | 'primary' | 'success' | 'info' | 'warning' | 'danger' | 'text';
    }
    interface XenaTextarea {
        /**
          * The textarea's autocaptialize attribute.
         */
        "autocapitalize"?: string;
        /**
          * The textarea's autocomplete attribute.
         */
        "autocomplete"?: string;
        /**
          * The textarea's autocorrect attribute.
         */
        "autocorrect"?: string;
        /**
          * The textarea's autofocus attribute.
         */
        "autofocus"?: boolean;
        /**
          * Set to true to disable the textarea.
         */
        "disabled"?: boolean;
        /**
          * The textarea's help text. Alternatively, you can use the help-text slot.
         */
        "helpText"?: string;
        /**
          * The textarea's inputmode attribute.
         */
        "inputmode"?: 'none' | 'text' | 'decimal' | 'numeric' | 'tel' | 'search' | 'email' | 'url';
        /**
          * This will be true when the control is in an invalid state. Validity is determined by props such as `required`, `minlength`, and `maxlength` using the browser's constraint validation API.
         */
        "invalid"?: boolean;
        /**
          * The textarea's label. Alternatively, you can use the label slot.
         */
        "label"?: string;
        /**
          * The maximum length of input that will be considered valid.
         */
        "maxlength"?: number;
        /**
          * The minimum length of input that will be considered valid.
         */
        "minlength"?: number;
        /**
          * The textarea's name attribute.
         */
        "name"?: string;
        /**
          * Emitted when the control's value changes.
         */
        "onValueChange"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the control loses focus.
         */
        "onXnBlur"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the control gains focus.
         */
        "onXnFocus"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the control receives input.
         */
        "onXnInput"?: (event: CustomEvent<any>) => void;
        /**
          * The textarea's placeholder text.
         */
        "placeholder"?: string;
        /**
          * Set to true for a readonly textarea.
         */
        "readonly"?: boolean;
        /**
          * The textarea's required attribute.
         */
        "required"?: boolean;
        /**
          * Controls how the textarea can be resized.
         */
        "resize"?: 'none' | 'vertical' | 'auto';
        /**
          * The number of rows to display by default.
         */
        "rows"?: number;
        /**
          * The textarea's size.
         */
        "size"?: 'small' | 'medium' | 'large';
        /**
          * The textarea's spellcheck attribute.
         */
        "spellcheck"?: boolean;
        /**
          * The textarea's value attribute.
         */
        "value"?: string;
    }
    interface XenaTimeline {
        /**
          * Set to true to show items in reverse order.
         */
        "showReverse"?: boolean;
    }
    interface XenaTimelineItem {
        /**
          * Set if event has attachments.
         */
        "hasAttachments"?: boolean;
    }
    interface XenaTooltip {
        /**
          * The tooltip's content.
         */
        "content"?: string;
        /**
          * Set to true to disable the tooltip so it won't show when triggered.
         */
        "disabled"?: boolean;
        /**
          * The distance in pixels from which to offset the tooltip away from its target.
         */
        "distance"?: number;
        /**
          * Emitted after the tooltip has hidden and all transitions are complete.
         */
        "onXnAfterHide"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted after the tooltip has shown and all transitions are complete.
         */
        "onXnAfterShow"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the tooltip begins to hide. Calling `event.preventDefault()` will prevent it from being hidden.
         */
        "onXnHide"?: (event: CustomEvent<any>) => void;
        /**
          * Emitted when the tooltip begins to show. Calling `event.preventDefault()` will prevent it from being shown.
         */
        "onXnShow"?: (event: CustomEvent<any>) => void;
        /**
          * Indicates whether or not the tooltip is open. You can use this in lieu of the show/hide methods.
         */
        "open"?: boolean;
        /**
          * The preferred placement of the tooltip. Note that the actual placement may vary as needed to keep the tooltip inside of the viewport.
         */
        "placement"?: | 'top'
    | 'top-start'
    | 'top-end'
    | 'right'
    | 'right-start'
    | 'right-end'
    | 'bottom'
    | 'bottom-start'
    | 'bottom-end'
    | 'left'
    | 'left-start'
    | 'left-end';
        /**
          * The distance in pixels from which to offset the tooltip along its target.
         */
        "skidding"?: number;
        /**
          * Controls how the tooltip is activated. Possible options include `click`, `hover`, `focus`, and `manual`. Multiple options can be passed by separating them with a space. When manual is used, the tooltip must be activated programmatically.
         */
        "trigger"?: string;
    }
    interface IntrinsicElements {
        "xena-alert": XenaAlert;
        "xena-autocomplete": XenaAutocomplete;
        "xena-autocomplete-list": XenaAutocompleteList;
        "xena-avatar": XenaAvatar;
        "xena-button": XenaButton;
        "xena-button-group": XenaButtonGroup;
        "xena-card": XenaCard;
        "xena-card-footer": XenaCardFooter;
        "xena-card-header": XenaCardHeader;
        "xena-cell": XenaCell;
        "xena-checkbox": XenaCheckbox;
        "xena-color": XenaColor;
        "xena-color-picker": XenaColorPicker;
        "xena-column": XenaColumn;
        "xena-dropdown": XenaDropdown;
        "xena-empty": XenaEmpty;
        "xena-fiscal-calendar": XenaFiscalCalendar;
        "xena-fiscal-datepicker": XenaFiscalDatepicker;
        "xena-icon": XenaIcon;
        "xena-icon-button": XenaIconButton;
        "xena-icon-library": XenaIconLibrary;
        "xena-input": XenaInput;
        "xena-label": XenaLabel;
        "xena-list": XenaList;
        "xena-list-item": XenaListItem;
        "xena-menu": XenaMenu;
        "xena-menu-divider": XenaMenuDivider;
        "xena-menu-item": XenaMenuItem;
        "xena-menu-label": XenaMenuLabel;
        "xena-modal": XenaModal;
        "xena-page-size": XenaPageSize;
        "xena-pagination": XenaPagination;
        "xena-panel": XenaPanel;
        "xena-panel-divider": XenaPanelDivider;
        "xena-popover": XenaPopover;
        "xena-progress-bar": XenaProgressBar;
        "xena-progress-ring": XenaProgressRing;
        "xena-radio": XenaRadio;
        "xena-radio-group": XenaRadioGroup;
        "xena-row": XenaRow;
        "xena-select": XenaSelect;
        "xena-slider": XenaSlider;
        "xena-spinner": XenaSpinner;
        "xena-statistic": XenaStatistic;
        "xena-status": XenaStatus;
        "xena-step": XenaStep;
        "xena-step-item": XenaStepItem;
        "xena-switch": XenaSwitch;
        "xena-tab": XenaTab;
        "xena-tab-group": XenaTabGroup;
        "xena-tab-panel": XenaTabPanel;
        "xena-table": XenaTable;
        "xena-tag": XenaTag;
        "xena-textarea": XenaTextarea;
        "xena-timeline": XenaTimeline;
        "xena-timeline-item": XenaTimelineItem;
        "xena-tooltip": XenaTooltip;
    }
}
export { LocalJSX as JSX };
declare module "@stencil/core" {
    export namespace JSX {
        interface IntrinsicElements {
            "xena-alert": LocalJSX.XenaAlert & JSXBase.HTMLAttributes<HTMLXenaAlertElement>;
            "xena-autocomplete": LocalJSX.XenaAutocomplete & JSXBase.HTMLAttributes<HTMLXenaAutocompleteElement>;
            "xena-autocomplete-list": LocalJSX.XenaAutocompleteList & JSXBase.HTMLAttributes<HTMLXenaAutocompleteListElement>;
            "xena-avatar": LocalJSX.XenaAvatar & JSXBase.HTMLAttributes<HTMLXenaAvatarElement>;
            "xena-button": LocalJSX.XenaButton & JSXBase.HTMLAttributes<HTMLXenaButtonElement>;
            "xena-button-group": LocalJSX.XenaButtonGroup & JSXBase.HTMLAttributes<HTMLXenaButtonGroupElement>;
            "xena-card": LocalJSX.XenaCard & JSXBase.HTMLAttributes<HTMLXenaCardElement>;
            "xena-card-footer": LocalJSX.XenaCardFooter & JSXBase.HTMLAttributes<HTMLXenaCardFooterElement>;
            "xena-card-header": LocalJSX.XenaCardHeader & JSXBase.HTMLAttributes<HTMLXenaCardHeaderElement>;
            "xena-cell": LocalJSX.XenaCell & JSXBase.HTMLAttributes<HTMLXenaCellElement>;
            "xena-checkbox": LocalJSX.XenaCheckbox & JSXBase.HTMLAttributes<HTMLXenaCheckboxElement>;
            "xena-color": LocalJSX.XenaColor & JSXBase.HTMLAttributes<HTMLXenaColorElement>;
            "xena-color-picker": LocalJSX.XenaColorPicker & JSXBase.HTMLAttributes<HTMLXenaColorPickerElement>;
            "xena-column": LocalJSX.XenaColumn & JSXBase.HTMLAttributes<HTMLXenaColumnElement>;
            "xena-dropdown": LocalJSX.XenaDropdown & JSXBase.HTMLAttributes<HTMLXenaDropdownElement>;
            "xena-empty": LocalJSX.XenaEmpty & JSXBase.HTMLAttributes<HTMLXenaEmptyElement>;
            "xena-fiscal-calendar": LocalJSX.XenaFiscalCalendar & JSXBase.HTMLAttributes<HTMLXenaFiscalCalendarElement>;
            "xena-fiscal-datepicker": LocalJSX.XenaFiscalDatepicker & JSXBase.HTMLAttributes<HTMLXenaFiscalDatepickerElement>;
            "xena-icon": LocalJSX.XenaIcon & JSXBase.HTMLAttributes<HTMLXenaIconElement>;
            "xena-icon-button": LocalJSX.XenaIconButton & JSXBase.HTMLAttributes<HTMLXenaIconButtonElement>;
            "xena-icon-library": LocalJSX.XenaIconLibrary & JSXBase.HTMLAttributes<HTMLXenaIconLibraryElement>;
            "xena-input": LocalJSX.XenaInput & JSXBase.HTMLAttributes<HTMLXenaInputElement>;
            "xena-label": LocalJSX.XenaLabel & JSXBase.HTMLAttributes<HTMLXenaLabelElement>;
            "xena-list": LocalJSX.XenaList & JSXBase.HTMLAttributes<HTMLXenaListElement>;
            "xena-list-item": LocalJSX.XenaListItem & JSXBase.HTMLAttributes<HTMLXenaListItemElement>;
            "xena-menu": LocalJSX.XenaMenu & JSXBase.HTMLAttributes<HTMLXenaMenuElement>;
            "xena-menu-divider": LocalJSX.XenaMenuDivider & JSXBase.HTMLAttributes<HTMLXenaMenuDividerElement>;
            "xena-menu-item": LocalJSX.XenaMenuItem & JSXBase.HTMLAttributes<HTMLXenaMenuItemElement>;
            "xena-menu-label": LocalJSX.XenaMenuLabel & JSXBase.HTMLAttributes<HTMLXenaMenuLabelElement>;
            "xena-modal": LocalJSX.XenaModal & JSXBase.HTMLAttributes<HTMLXenaModalElement>;
            "xena-page-size": LocalJSX.XenaPageSize & JSXBase.HTMLAttributes<HTMLXenaPageSizeElement>;
            "xena-pagination": LocalJSX.XenaPagination & JSXBase.HTMLAttributes<HTMLXenaPaginationElement>;
            "xena-panel": LocalJSX.XenaPanel & JSXBase.HTMLAttributes<HTMLXenaPanelElement>;
            "xena-panel-divider": LocalJSX.XenaPanelDivider & JSXBase.HTMLAttributes<HTMLXenaPanelDividerElement>;
            "xena-popover": LocalJSX.XenaPopover & JSXBase.HTMLAttributes<HTMLXenaPopoverElement>;
            "xena-progress-bar": LocalJSX.XenaProgressBar & JSXBase.HTMLAttributes<HTMLXenaProgressBarElement>;
            "xena-progress-ring": LocalJSX.XenaProgressRing & JSXBase.HTMLAttributes<HTMLXenaProgressRingElement>;
            "xena-radio": LocalJSX.XenaRadio & JSXBase.HTMLAttributes<HTMLXenaRadioElement>;
            "xena-radio-group": LocalJSX.XenaRadioGroup & JSXBase.HTMLAttributes<HTMLXenaRadioGroupElement>;
            "xena-row": LocalJSX.XenaRow & JSXBase.HTMLAttributes<HTMLXenaRowElement>;
            "xena-select": LocalJSX.XenaSelect & JSXBase.HTMLAttributes<HTMLXenaSelectElement>;
            "xena-slider": LocalJSX.XenaSlider & JSXBase.HTMLAttributes<HTMLXenaSliderElement>;
            "xena-spinner": LocalJSX.XenaSpinner & JSXBase.HTMLAttributes<HTMLXenaSpinnerElement>;
            "xena-statistic": LocalJSX.XenaStatistic & JSXBase.HTMLAttributes<HTMLXenaStatisticElement>;
            "xena-status": LocalJSX.XenaStatus & JSXBase.HTMLAttributes<HTMLXenaStatusElement>;
            "xena-step": LocalJSX.XenaStep & JSXBase.HTMLAttributes<HTMLXenaStepElement>;
            "xena-step-item": LocalJSX.XenaStepItem & JSXBase.HTMLAttributes<HTMLXenaStepItemElement>;
            "xena-switch": LocalJSX.XenaSwitch & JSXBase.HTMLAttributes<HTMLXenaSwitchElement>;
            "xena-tab": LocalJSX.XenaTab & JSXBase.HTMLAttributes<HTMLXenaTabElement>;
            "xena-tab-group": LocalJSX.XenaTabGroup & JSXBase.HTMLAttributes<HTMLXenaTabGroupElement>;
            "xena-tab-panel": LocalJSX.XenaTabPanel & JSXBase.HTMLAttributes<HTMLXenaTabPanelElement>;
            "xena-table": LocalJSX.XenaTable & JSXBase.HTMLAttributes<HTMLXenaTableElement>;
            "xena-tag": LocalJSX.XenaTag & JSXBase.HTMLAttributes<HTMLXenaTagElement>;
            "xena-textarea": LocalJSX.XenaTextarea & JSXBase.HTMLAttributes<HTMLXenaTextareaElement>;
            "xena-timeline": LocalJSX.XenaTimeline & JSXBase.HTMLAttributes<HTMLXenaTimelineElement>;
            "xena-timeline-item": LocalJSX.XenaTimelineItem & JSXBase.HTMLAttributes<HTMLXenaTimelineItemElement>;
            "xena-tooltip": LocalJSX.XenaTooltip & JSXBase.HTMLAttributes<HTMLXenaTooltipElement>;
        }
    }
}
