import { EventEmitter } from '../../stencil-public-runtime';
/**
 * @since 1.8
 * @status experimental
 *
 * @part base - The component's base wrapper.
 */
export declare class ColorPicker {
  dropdown: HTMLXenaDropdownElement;
  element: HTMLXenaColorPickerElement;
  hue: number;
  saturation: number;
  lightness: number;
  showCustomColorPicker: boolean;
  isDragging: boolean;
  customToggle: boolean;
  /** The components value. The value is set by selecting a color with the color picker. */
  value: string;
  /** Swatches are predefined colors shown at the top of the color picker. Swatches must be written as hex values with `#` as prefix like this: `#517770`. */
  swatches: string;
  /** The components type. */
  type: 'default' | 'expandable' | 'swatches';
  /** A hex value is emitted whenever the color is changed by swatches, sliders, or input. */
  valueChange: EventEmitter<string>;
  valueChangedHandler(value: any): void;
  componentWillLoad(): void;
  componentDidLoad(): void;
  checkForType(): void;
  private parseSwatches;
  toggleVisibility(): void;
  checkForSwatches(): void;
  handleSwatchClick(hexValue: string): void;
  handleColorInput(event: Event): void;
  handleInputEnter(event: KeyboardEvent): void;
  hueChangeHandler(event: CustomEvent<{
    x: number;
    y: number;
  }>): void;
  toneChangeHandler(event: CustomEvent<{
    x: number;
    y: number;
  }>): void;
  stayInHundreds: (value: number) => number;
  updateColorHslHex(): void;
  updateColorHexHsl(): void;
  render(): any;
}
