import { EventEmitter } from '../../stencil-public-runtime';
/**
 * @since 1.4
 * @status experimental
 *
 * @part base - The component's base wrapper.
 */
export declare class Color {
  radio: HTMLXenaRadioElement;
  /** Set to true to disable the component. */
  disabled: boolean;
  /** Set to true to make the component selectable. */
  selectable: boolean;
  /** Set to true to draw the component in a checked state. */
  checked: boolean;
  /**
   * The color value of this component.
   */
  value: string;
  /**
   * Emits any changes to the value of the component.
   */
  valueChange: EventEmitter<string>;
  /** Emitted when the control's checked state changes. */
  checkedChange: EventEmitter;
  handleCheckedChange(): void;
  /** Sets focus on the radio. */
  setFocus(options?: FocusOptions): Promise<void>;
  /** Removes focus from the radio. */
  removeFocus(): Promise<void>;
  onCheckedChange(ev: CustomEvent): void;
  componentDidRender(): void;
  render(): any;
}
