import { EventEmitter } from '../../stencil-public-runtime';
/**
 * @since 1.0
 * @status stable
 *
 * @part base - The component's base wrapper.
 */
export declare class Icon {
  constructor();
  host: HTMLXenaIconElement;
  svg: string;
  /** The name of the icon to draw. */
  name: string;
  /** An external URL of an SVG file. */
  src: string;
  /** An alternative description to use for accessibility. If omitted, the icon is considered decorative and is hidden from accessibility tree */
  label: string;
  /** The name of a registered custom icon library. */
  library: string;
  /** Emitted when the icon has loaded. */
  xnLoad: EventEmitter;
  /** Emitted when the icon failed to load. */
  xnError: EventEmitter<{
    status?: number;
  }>;
  handleChange(): void;
  connectedCallback(): void;
  componentDidLoad(): void;
  disconnectedCallback(): void;
  /** @internal Fetches the icon and redraws it. Used to handle library registrations. */
  redraw(): Promise<void>;
  setIcon(): Promise<void>;
  render(): any;
}
