import { SizeTypes } from '../../utils/types';
/**
 * @since 1.8
 * @status experimental
 *
 * @part base - The base wrapper
 */
export declare class Table {
  table: HTMLTableElement;
  private host;
  private mutationObserver;
  /**
   * When hover the rows whith the mouse the row coler will change
   */
  hoverable: boolean;
  /**
   * Adjust the cell padding
   */
  size: SizeTypes;
  /**
   * When scrolling the table the table headers will stick to the top of the screen
   */
  stickyHeader: boolean;
  /**
   * Set header styling or hide the header
   */
  type: 'default' | 'light' | 'hidden';
  /**
   * Make first column a vertical header
   */
  verticalHeader: boolean;
  connectedCallback(): void;
  disconnectedCallback(): void;
  private updateElements;
  getColumns(): [HTMLXenaColumnElement];
  render(): any;
}
