/**
 * @since 1.5
 * @status experimental
 *
 * @slot default - Body text
 * @slot icon - Icon for the timeline item
 * @slot author - The origin of this timeline event
 * @slot status - Optional slot for showing status
 * @slot timestamp - Slot for when the timeline event happened
 * @slot header - The headline for this event
 * @slot actions - Slot for dropdown menu
 *
 * @part base - The component's base wrapper
 * @part prefix - Icon and line area
 * @part content - Content area
 * @part info - Basic information area
 * @part body - Body area
 * @part suffix - Menu area
 *
 */
export declare class TimelineItem {
  /** Set if event has attachments. */
  hasAttachments: boolean;
  render(): any;
}
