export declare class Colors {
  private static _colors;
  private static _shades;
  /**
   * Retrieves the available shade.
   */
  static get shades(): number[];
  /**
   * Retrieves the available colors.
   */
  static get colors(): string[];
  /**
   * Retrieves a color shade based on the color name and shade value.
   * @param color The name of the color.
   * @param shade The shade number.
   * @returns The CSS variable matching the requested color shade.
   */
  static getColorShade(color: string, shade: number): string;
  static hslToRgb(h: number, s: number, l: number): {
    r: number;
    g: number;
    b: number;
  };
  static rgbToHex(r: number, g: number, b: number): string;
  static hexToRgb(hexValue: string): {
    r: number;
    g: number;
    b: number;
  };
  static rgbToHsl(r: number, g: number, b: number): {
    h: number;
    s: number;
    l: number;
  };
}
