/**
 * Elements inside of web components sometimes need to inherit global attributes
 * set on the host. For example, the inner input in `ion-input` should inherit
 * the `title` attribute that developers set directly on `ion-input`. This
 * helper function should be called in componentWillLoad and assigned to a variable
 * that is later used in the render function.
 *
 * This does not need to be reactive as changing attributes on the host element
 * does not trigger a re-render.
 */
export declare const inheritAttributes: (el: HTMLElement, attributes?: string[]) => {
  [k: string]: any;
};
/**
 *
 * @param element Detects whether element has css class specified.
 * @param cssClass
 */
export declare const hasClass: (element: HTMLElement, cssClass: string) => boolean;
/**
 * Retrioeves whether element has parent specified with cssquery in dom tree.
 * @param element
 * @param cssQueries
 */
export declare const hasParent: (element: HTMLElement, ...cssQueries: string[]) => boolean;
