# Gap

Utilities for controlling gutters between grid rows and columns.

The following is the list of supported gaps. They can be specified as `gap-[key]`, `gap-x-[key]` or `gap-y-[key]` each mapped to CSS as either 'gap:', 'row-gap:' or 'column-gap' respectively.

| Key | Equals                    |
| --- | ------------------------- |
| 0   | 0                         |
| 1   | `--xena-spacing-3x-small` |
| 2   | `--xena-spacing-2x-small` |
| 3   | `--xena-spacing-x-small`  |
| 4   | `--xena-spacing-small`    |
| 5   | `--xena-spacing-medium`   |
| 6   | `--xena-spacing-large`    |
| 7   | `--xena-spacing-x-large`  |
| 8   | `--xena-spacing-2x-large` |
| 9   | `--xena-spacing-3x-large` |

## Usage

Use `gap-{size}` to change the gap between both rows and columns in grid layouts.

```html preview
<div class="grid gap-4 grid-cols-2">
  <xena-button>1</xena-button>
  <xena-button>2</xena-button>
  <xena-button>3</xena-button>
  <xena-button>4</xena-button>
</div>
```

### Changing row and column gaps independently

Use `gap-x-{size}` and `gap-y-{size}` to change the gap between rows and columns independently.

```html preview
<div class="grid gap-x-8 gap-y-4 grid-cols-3">
  <xena-button>1</xena-button>
  <xena-button>2</xena-button>
  <xena-button>3</xena-button>
  <xena-button>4</xena-button>
  <xena-button>5</xena-button>
  <xena-button>6</xena-button>
</div>
```
