# Spacing Tokens

Spacing tokens are used to provide consistent spacing in components. The same spacing system is used for margins.

| Token                      | Value          | Example                                                                                      |
| -------------------------- | -------------- | -------------------------------------------------------------------------------------------- |
| `--xena-spacing-3x-small`  | 0.125rem (2px) | <div class="spacing-demo" style="width: var(--xena-spacing-3x-small); height: 16px;"></div>  |
| `--xena-spacing-2x-small`  | 0.25rem (4px)  | <div class="spacing-demo" style="width: var(--xena-spacing-2x-small); height: 16px;"></div>  |
| `--xena-spacing-x-small`   | 0.5rem (8px)   | <div class="spacing-demo" style="width: var(--xena-spacing-x-small); height: 16px;"></div>   |
| `--xena-spacing-small`     | 0.75rem (12px) | <div class="spacing-demo" style="width: var(--xena-spacing-small); height: 16px;"></div>     |
| `--xena-spacing-medium`    | 1rem (16px)    | <div class="spacing-demo" style="width: var(--xena-spacing-medium); height: 16px;"></div>    |
| `--xena-spacing-large`     | 1.5rem (24px)  | <div class="spacing-demo" style="width: var(--xena-spacing-large); height: 16px;"></div>     |
| `--xena-spacing-x-large`   | 2rem (32px)    | <div class="spacing-demo" style="width: var(--xena-spacing-x-large); height: 16px;"></div>   |
| `--xena-spacing-2x-large`  | 3rem (48px)    | <div class="spacing-demo" style="width: var(--xena-spacing-2x-large); height: 16px;"></div>  |
| `--xena-spacing-3x-large`  | 4rem (64px)    | <div class="spacing-demo" style="width: var(--xena-spacing-3x-large); height: 16px;"></div>  |
| `--xena-spacing-4x-large`  | 6rem (96px)    | <div class="spacing-demo" style="width: var(--xena-spacing-4x-large); height: 16px;"></div>  |
| `--xena-spacing-5x-large`  | 8rem (128px)   | <div class="spacing-demo" style="width: var(--xena-spacing-5x-large); height: 16px;"></div>  |
| `--xena-spacing-6x-large`  | 12rem (192px)  | <div class="spacing-demo" style="width: var(--xena-spacing-6x-large); height: 16px;"></div>  |
| `--xena-spacing-7x-large`  | 16rem (256px)  | <div class="spacing-demo" style="width: var(--xena-spacing-7x-large); height: 16px;"></div>  |
| `--xena-spacing-8x-large`  | 24rem (384px)  | <div class="spacing-demo" style="width: var(--xena-spacing-8x-large); height: 16px;"></div>  |
| `--xena-spacing-9x-large`  | 32rem (512px)  | <div class="spacing-demo" style="width: var(--xena-spacing-9x-large); height: 16px;"></div>  |
| `--xena-spacing-10x-large` | 40rem (640px)  | <div class="spacing-demo" style="width: var(--xena-spacing-10x-large); height: 16px;"></div> |
| `--xena-spacing-11x-large` | 48rem (768px)  | <div class="spacing-demo" style="width: var(--xena-spacing-11x-large); height: 16px;"></div> |
