# Common actions

Some actions frequently appear across different components and workflows and should work consistently throughout EG Xena.

See also:

- [Create](/ux-guide/create.md)
- [Delete](/ux-guide/delete.md)
- [Edit/update](/ux-guide/edit-update.md)

## Cancel

Cancel stops the current action and directs the user back to where the action was initiated. Use a secondary button or a link for cancel actions. Cancel buttons should be _the last_ interactive element in the form or dialog.

![Cancel button.][def1]

## Clear

Clear removes data from a field, removes selections or reset the form field. Use the close icon on the right side of a field.

![Filters with clear buttons.][def2]

## Close

Close terminates or dismiss the current window, notification, or [dialog](/ux-guide/dialogs.md). The close icon is typically placed on the upper right side.

![A dialog with a close button.][def3]

## Context menus

Context menus (some call it overflow menu) holds access to related features and data. Context menus are always in the right side; but the dropdown it self defaults to the left alignment with its parent element.

![A table with a context menu on each row.][def4]

## Errors

Show an error message next to the field when there is a validation error. Provide context of a clear path to continue. See also [Forms](/ux-guide/forms.md) for additional patterns for field validation.

![An input field with an error message.][def5]

Use an error summary (preferably at the top of a view) to summarize any errors. Always show an error summary when there is a validation error, even if there’s only one.

![An error summary.][def6]

## Search

Most tables have at least one filter, an "inline" search to quickly filter the entries. See also [Filtering](/ux-guide/filtering.md).

![A search field above a table.][def7]

[def1]: ../assets/patterns/common_cancel.jpg
[def2]: ../assets/patterns/common_clear.jpg
[def3]: ../assets/patterns/common_close.jpg
[def4]: ../assets/patterns/common_context.jpg
[def5]: ../assets/patterns/common_error.jpg
[def6]: ../assets/patterns/common_summary.jpg
[def7]: ../assets/patterns/common_search.jpg
