# Creating data

Adding new data to the system is done by creating new entities of different types.

## Initiate creation

There are three places to initiate the process of creating new data objects:

![Illustration of EG Xena UI. The three places from where a user can initiate the creation process are highlighted with numbers 1 to 3.][def1]

1. **In context:** You can typically create a new instance of an entity type from the list of entities. For example, a new order from the list of orders.
2. **Global:** It is also possible to have a "shortcut" to create some of the more commonly used objects, from a central place in the UI. For example, the dropdown menu in the header to quickly create an order, partner, or article.
3. **From within navigation:** Some main menu points also have a link to initiate the creation process.
4. **Inline data:** If one type of entity is needed for another, you can often create it on the spot.
5. **[Nested context](#nested-data):** In a list of nested data, you can typically add additional entities.

## Independent objects

### Creation process

If needed, a modal is presented to the user with some options for creating the new entity. For example, some basic settings needed for a new order.

![Illustration of EG Xena UI after opening a creation modal.][def2]

See also the pattern [Dialogs](/ux-guide/dialogs.md).

In other cases, the user is directly redirected to another view, with the new entity ready for editing. For example, when creating a new project.

![Illustration of the user flow of initiating the creation process (A) and being directly redirected to the new entity (B).][def3]

### After creation

After the creation process is completed, the user is directed to the new entity. For example, after creating a new order, the user is redirected to that new order.

![Illustration of the user flow of initiating the creation process (A), making some settings (B), and then being redirected to the new entity (C).][def4]

## Nested data

"Nested data" is a more simple data set, like phone number, address, order line, etc. These are often presented in lists within another data entity. Nested data is created in one of the following ways:

![Example of creating nested data via modal (A) and in a table (B).][def6]

<ol type="A">
<li><b>Via dialog:</b> Added via a dialog (as described above).</li>
<li><b>Via inline edit:</b> Add a blank instance of the element, e.g. new table row in edit mode (like for contact information) or new panel with input fields (like for order tasks).</li>
</ol>

After creating nested data via a dialog, the user is directed back to the parent of the entity (if not already there). For example, after creating a new reminder setting, the user stays at the overview of reminder setups.

![Illustration of the user flow of initiating the creation process (A), making some settings (B), and then coming back to the first place (A).][def5]

## Terminology

| **Applies to** | **Action** |
| -------------- | ---------- |
| Objects        | Create     |
| Nested objects | Add        |
| Features       | Install    |
|                | Activate   |

[def1]: ../assets/patterns/create_positions.jpg
[def2]: ../assets/patterns/create_dialog.jpg
[def3]: ../assets/patterns/create_atob.svg
[def4]: ../assets/patterns/create_atobtoc.svg
[def5]: ../assets/patterns/create_atobbacktoa.svg
[def6]: ../assets/patterns/create_nested.jpg
