# Delete data

To delete data means removing it from the fiscal. Depending on the importance of a data object, the user experience of deleting it can vary.

## Definitions

- **Deactivate:** The entity or part of an entity is disabled and no longer considered in the fiscal. Deactivated entities can be activated again, but the data might have been reset.
- **Soft delete:** The entity is removed from lists and overviews and has no effect on the fiscal anymore. But it is still included in logs and history and can still be accessed. A soft deleted entity can be restored to its former position with all included information.
- **Hard delete:** The entity is removed completely from the fiscal with no option to restore it or to undo the action. There might still be traces in logs and history.

!> No matter the importance, deleting data is always considered a _destructive action._ Therefore, elements related to deletion should be presented as "danger".

## Deleting experience based on data importance

Avoid presenting a delete option as the first thing; often it is hidden behind at least one click. For example, inside a dropdown menu.

### Deactivating a feature

After the user has confirmed the action, the data is reset and the feature disabled.

Examples:

- When deactivating stock management on an article.
- When removing an app.

### Nested data

The entity is deleted right away with no warning or confirmation.

Examples:

- Phone numbers
- E-mail addresses
- Unused accounts
- Order lines

### Entity

**If there is a chance to undo the action:** The entity is soft deleted, meaning removed from the list or view. There is no warning or confirmation.

Examples:

- Orders
- Articles
- Partners
- Projects

Soft deleted entities can still be viewed, but have a clear message telling about its state.

**If no option of reverting the action:** After the user has confirmed the action, the entity is removed and deleted.

Examples:

- Fiscal

## Terminology

| **Applies to** | **State** (If something is …) | **Action** (… you can) |
| -------------- | ----------------------------- | ---------------------- |
| Objects        | Created                       | Delete                 |
|                | Deleted                       | Restore                |
| Nested objects | Added                         | Remove                 |
|                | Removed                       | Add                    |
| Features       | Installed                     | Uninstall              |
|                | Uninstalled                   | Install                |
|                | Active                        | Deactivate             |
|                | Inactive                      | Activate               |
