# Filtering

Filtering data is crucial for finding the right foundation for decisions, generating reports, and having a good overview. Whatever filters are set in the view are also reflected in the connected reports and exports as shown in the image below.

![Filters in a view will be reflected in the generated reports and exports.][def1]

Filters can be one single checkbox or text field **(A)**, all the way up to multiple select boxes, comboboxes, and ranges **(B)**.

![Two examples of filters. A: One text input and a checkbox. B: Two date ranges, one date picker, one select box, and eight comboboxes.][def3]

<ol type="A">
<li>One text input and a checkbox.</li>
<li>Two date ranges, one date picker, one select box, and eight comboboxes.</li>
</ol>

## Key behaviors

### Immediate response

Immediately after selecting a filter, the view or list is updated to reflect it.

### Resets and blanks

Many filters also can be reset and/or to have the option to select "none" as a filter (meaning selecting entities that do not have that data specified). – See also [Common actions](/ux-guide/commonactions.md?id=clear), under the heading "Clear"

![Filters with clear buttons.][def2]

### Remembering

Some filters always reset back to default settings after page reload. But some are remembered across the system. In the example below, the selected date range in one view, is remembered an reused in another view. All other filters are reset on reload.

![Example of selected dates in one view are remembered in another view.][def4]

[def1]: ../assets/patterns/filter_reports.jpg
[def2]: ../assets/patterns/common_clear.jpg
[def3]: ../assets/patterns/filter_complex.jpg
[def4]: ../assets/patterns/filter_remember.jpg
