# Overview of user experience patterns in EG Xena

"Patterns" are best practice solutions for how a user achieves a goal. We present reusable combinations of components and templates that address common user objectives in EG Xena. The patterns should be used as a reference for guidelines; it's not a law and should be updated according to new discoveries and own findings to design the best user experience.

In general, consistency is key.

<xena-list bordered>
<xena-list-item href="/#/ux-guide/commonactions"><b>Common actions</b><br>Typical ways to interact with components</xena-list-item>
<xena-list-item href="/#/ux-guide/communication"><b>Communication</b><br>Best practices and conventions on communicating with the user</xena-list-item>
<xena-list-item href="/#/ux-guide/create"><b>Create</b><br>Where the process of creating data is initiated, and the different stages of creation process</xena-list-item>
<xena-list-item href="/#/ux-guide/data"><b>Data presentation</b><br>How to present data in tables, lists, etc.</xena-list-item>
<xena-list-item href="/#/ux-guide/visualization"><b>Data visualization</b><br>How to present data with charts, graphs, etc.</xena-list-item>
<xena-list-item href="/#/ux-guide/delete"><b>Delete</b><br>The process of deleting data and objects</xena-list-item>
<xena-list-item href="/#/ux-guide/dialogs"><b>Dialogs</b><br>The difference between modal and non-modal and when to use them</xena-list-item>
<xena-list-item href="/#/ux-guide/edit"><b>Edit and update</b><br>The process of editing data</xena-list-item>
<xena-list-item href="/#/ux-guide/empty"><b>Empty state</b><br>What it looks like when no data is available</xena-list-item>
<xena-list-item href="/#/ux-guide/filters"><b>Filtering</b><br>Implementing filters in lists and tables</xena-list-item>
<xena-list-item href="/#/ux-guide/forms"><b>Forms</b><br>Organizing the experience of entering data</xena-list-item>
<xena-list-item href="/#/ux-guide/layout"><b>Layout</b><br>How EG Xena UI is organized</xena-list-item>
<xena-list-item href="/#/ux-guide/navigation"><b>Navigation</b><br>How the navigation of EG Xena is designed</xena-list-item>
<xena-list-item href="/#/ux-guide/notifications"><b>Notifications</b><br>How and when to provide notifications</xena-list-item>
<xena-list-item href="/#/ux-guide/status"><b>Status indication</b><br>Ways of providing crusial information at a glance</xena-list-item>
</xena-list>
