# Layout

This page contains general patterns for page layout in Xena.

## Header and navigation

Xena consists of three main areas (or "landmarks"):

![The three main landmarks highlighted in the Xena layout.][def3]

1. **Header:** The header is "sticky". It contains our branding and info about what fiscal is currently active.
2. **Navigation:** The navigation bar can be collapsed to make the main area bigger. On smaller screens the navigation bar goes away altogether and can be summoned by clicking the hamburger menu icon in the header.
3. **Main area:** Inside the main area you can have the contents in one or more columns. Content can be presented in full width or in a narrower view.

## Columns in main area

The main area typically has content in **one column.** This can either be a wide or a narrow column. Some views have so much content that taking up the whole width is the best solution. If, however, there is a lot of white space in the view, a narrow column will be better.

![Examples of one column layouts; one in full width and one with a narrow column.][def1]

In some instances, content is presented in **two columns.**

![Examples of two column layouts; one spanning the full width, one within the same space a one narrow column, and one with headlines to the left and content to the right.][def2]

!> Three or more columns should be avoided, as the content becomes very hard to scan and there is no clear hierarchy.

[def1]: ../assets/patterns/layout_onecolumn.svg
[def2]: ../assets/patterns/layout_twocolumns.svg
[def3]: ../assets/patterns/layout_landmarks.jpg
