# Navigation

Navigation is taking you from one view or page to another. Or, taking you from one part of the view to another.

## Navigation tree

The main menu in Xena is divided by responsibility and for a large part matches an individual employed in a mid-sized company. The actual menu items in the tree, can have sub items.

Besides the main menu for navigating the fiscal, there is also an area for user-specific content available in the header.

![The header with user area, and the main menu from EG Xena.][def3]

The header is global, meaning it is always available no matter what view you are in. The main menu is not 100% global, as it can be collapsed or removed completely depending on several variables, such as screen size and user permissions.

?> **Rule of thumb:** If clicking an element changes the URL, it's a link `<a>`. Everything else is a `<button>`. Avoid using `<a href="#">` as it is unclear what it does.

## Accessibility

There are several ways to navigate Xena. First of all, with a mouse or touch input. The following sections describes alternatives.

### Navigate by headers

Screen reader users can navigate by headlines. Making sure the headlines have a logical hierarchy helps to get a mental picture of the view.

![Screenshot from EG Xena.][def1]

- **Title:** Desktop | Fiscal name | EG Xena
- **H1:** Desktop
  - **H2:** My fiscals
  - **H2:** I am a customer at

### "Skip to content"-link

The first interactive element in the view is a visually hidden link to jump to the main content. This way, the user does not need to tab through all the navigation links every time a page is loaded. See "[Bypass blocks](https://www.w3.org/WAI/WCAG21/Understanding/bypass-blocks.html)" at w3.org.

### Landmark regions

Landmarks are HTML regions that helps "explain" the layout to screen reader users. Examples of common landmarks regions are: Header, navigation, main, footer, section, aside.

![Screenshot from EG Xena with regions header, navigation, main, and footer highlighted.][def2]

Having landmark regions helps users who cannot see the visual grouping of the content, to navigate it.

[def1]: ../assets/patterns/navigation_headings.jpg
[def2]: ../assets/patterns/navigation_landmarks.jpg
[def3]: ../assets/patterns/navigation_global.jpg
