# Notifications

Use notifications to inform users of important status changes and updates; this is important for building trust. Notifications should be used sparingly, to not disturb the user.

Definitions:

- **Alerts** are for making the user aware of important things; it is not for regular text
- **Toasts** are for situations where an action does not show an immediate result on the screen

## Notification layout

![An alert with the follow parts highlighted: 1: Icon. 2: Title. 3: Action. 4: Close button. 5: Message.][def3]

1. **Icon:** Informs users of the kind of notification at a glance. This is accompanied by the color of the alert
2. **Title:** Gives users a quick overview of the notification
3. **Action (if actionable):** Button that allows users to address the notification or navigates them to a page with further details
4. **Close button (optional):** Closes the notification
5. **Message:** Provides additional detail and actionable steps for the user to take.

As shown in the [component `xena-alert`](/components/alert), it comes in different styles: Danger, default, info, primary, success, warning.

## Placements

### Alerts

Alerts are often "inline", or in context, close to the current action.

![Three examples of alert placements.][def1]

### Toasts

Toasts are for notifying users when the result of an action is not visible. Toasts are non-modal, time-based, floating elements in top of the screen and disappear after a few seconds.

![Examples of toast placements.][def2]

- User-generated: For example, saving a template in the order does not show the user any result after clicking Save. Instead, a toast can confirm that something actually was saved to the backend.
- System-generated: For example, information about new notifications.

## Legacy alerts

EG Xena still contains some legacy alerts **(1)** that are not supported in XenaDS. Whenever possible, we try to convert these.

![Example of an old alert still used in EG Xena.][def4]
![Example of an old style of alert still used in EG Xena.][def5]

[def1]: ../assets/patterns/notification_alerts.svg
[def2]: ../assets/patterns/notification_toasts.svg
[def3]: ../assets/patterns/notification_alertanatomy.jpg
[def4]: ../assets/patterns/notification_legacy.jpg
[def5]: ../assets/patterns/common_summary.jpg
