# Status indicators

## Colors

In EG Xena, many things can have a status. This includes for example orders, tasks, task lines, projects, stock, and order state.

!> Do not rely solely on color to communicate status. Color blind users may not be able to tell the difference

![Example of using colors and text to indicate status.][def1]

1. Color + status name (read mode)
2. Color + status name (dropdown menu)
3. Color + `title` attribute – _Use with caution as it is not clear without hovering, what the status is_

### Warnings and errors

Colors are used to highlight and communicate warnings and errors.

![Example of an alert with red color, indicating its importance.][def4]

| Color  | Signals                    |
| ------ | -------------------------- |
| Red    | Danger, destructive, error |
| Yellow | Warning, awareness         |
| Green  | Success, complete, good    |
| Blue   | Primary, actionable        |
| Gray   | "Nice to know"             |

## Notification counters

Summarizing the number of unhandled notifications can help the user to stay on top of tasks. Some notifications are regarding the business **(1 and 2)**, others are for the user specifically **(3)**.

![Example of notification counts.][def2]

1. Total number in main menu module
2. Total number in main menu point
3. Number of personal notifications

## Loading

If the view is loading data, a spinner in the header **(1)** tells the user that the system is still working on something.

![The loading spinner in EG Xena.][def3]

[def1]: ../assets/patterns/status_colors.jpg
[def2]: ../assets/patterns/status_count.jpg
[def3]: ../assets/patterns/status_spinner.jpg
[def4]: ../assets/patterns/status_alert.jpg
